/**
 * Block 기능을 수행하는 클래스
 * @class Block 기능을 수행하는 클래스
 */
var Blocks =
{
	create_return_func : null,
	create_401_func : null,
	create_error_func : null
}
//-----------------------------------------------------------------
Blocks.SetCreateReturnFunc = function(func)
{
	this.create_return_func = func;	
}

Blocks.SetCreate401Func = function(func)
{
	this.create_401_func = func;	
}

Blocks.SetCreateErrorFunc = function(func)
{
	this.create_error_func = func;	
}

Blocks.OnCreate = function(httpRequest)
{
	alert("Blocks.OnCreate()");
	HomeMgr.Summary.get(TwitterMain.SessionUserID,function(){
		if(Blocks.create_return_func)
			Blocks.create_return_func();
	});
}

Blocks.OnCreate401 = function(httpRequest)
{
	alert("Blocks.OnCreate401()");
	if(Blocks.create_401_func)
		Blocks.create_401_func();
}

Blocks.OnCreateError = function(httpRequest)
{
	alert("Blocks.OnCreate401()");
	if(Blocks.create_error_func)
		Blocks.create_error_func();
}

Blocks.Create = function(target_id)
{
	TwitterConsumer.Init("post", BLOCKS_CREATE_URL + target_id + ".xml");
//	TwitterConsumer.SetOn401Receive(Blocks.OnCreate401);
	TwitterConsumer.SetOnErrorReceive(Blocks.OnCreateError);
	TwitterConsumer.SetOnReceive(Blocks.OnCreate);
	TwitterConsumer.Request();
}
//-----------------------------------------------------------------