/**
 * 요청 제한 횟수를 얻기 위한 클래스
 * @class 요청 제한 횟수를 얻기 위한 클래스
 */
var RateLimitStatus = 
{
	status : null,
	httpRequest : null,
	updated : false
}

RateLimitStatus.SetOnGetFunc = function(func)
{
	this.onget_return_func = func;
}

		
RateLimitStatus.CheckRemainingRequest = function()
{
	alert("RateLimitStatus.Get()");
	
	if(this.updated)
	{
		return;
	}
	
	this.updated = true;
	
	if (this.httpRequest != null) 
	{
		this.httpRequest.destroy();
	}
	
	this.httpRequest = new XMLHttpRequest();
	if (this.httpRequest) 
	{
		this.httpRequest.onreadystatechange = RateLimitStatus.OnGet; 
		this.httpRequest.open("get", RATE_LIMIT_STATUS_URL, true);
		this.httpRequest.send();
	}
}

RateLimitStatus.GetRemainingHits = function()
{
	alert("RateLimitStatus.GetRemainingHits() -> " + this.status.remaining_hits);
	return this.status.remaining_hits;
}

RateLimitStatus.GetResetTimeInMillisecond = function()
{
	return this.status.reset_time_in_seconds*1000;
}

RateLimitStatus.GetResetTime = function()
{
	return new Date(this.GetResetTimeInMillisecond());
}

RateLimitStatus.GetRemainingTimeInMinute = function()
{
	return Math.round((RateLimitStatus.GetResetTimeInMillisecond()-new Date().getTime())/1000/60);
}

RateLimitStatus.OnGet = function(httpRequest)
{
	alert("RateLimitStatus.OnGet()");
	
	if(RateLimitStatus.httpRequest.readyState == 4)
	{
		
		if(RateLimitStatus.httpRequest.status == 200)
		{
			alert(RateLimitStatus.httpRequest.responseText);
			RateLimitStatus.status = eval("("+RateLimitStatus.httpRequest.responseText+")");
			
			if(RateLimitStatus.GetRemainingHits() <= 150) //요청횟수가 끝났으면
			{
				MessageBoxMgr.Show(SID_MIX_API_REQUESTS_LIMIT_EXCEEDED_TRY_AGAIN_MSG.Replace(RateLimitStatus.GetRemainingTimeInMinute()),
								   function()
								   {
								   		widgetAPI.sendReturnEvent();
								   },null,10*1000);
			}		
		}
		RateLimitStatus.updated = false;
	}
}