/**
 * Status를 만들어 내는 클래스
 * @class Status를 만들어 내는 클래스
 */
var StatusMaker =
{
	
}

StatusMaker.MakeStatusList = function(responseXML)
{
	var doc = responseXML;
	var response = doc.documentElement;
	var tmpItems = response.getElementsByTagName("status");
	var StatusList = null;
	if(tmpItems.length > 0 && tmpItems[0].hasChildNodes())
	{	
		StatusList = new Array(tmpItems.length);
		for (var i=0; i<Timeline.COUNT_IN_PAGE; i++)
			StatusList[i] = null;
		for (var i = 0; i < tmpItems.length; i++) 
		{
			var createdat = new Date(Date.parse(GetXmlNodeData(tmpItems[i].getElementsByTagName("created_at"))));
			
			var id = GetXmlNodeData(tmpItems[i].getElementsByTagName("id"));
			var text = GetXmlNodeData(tmpItems[i].getElementsByTagName("text"));
			var source = GetXmlNodeData(tmpItems[i].getElementsByTagName("source"));
			var truncatedstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("truncated"));
			var truncated = (truncatedstr == "true" ? true : false);
			var inreplytostatusid = GetXmlNodeData(tmpItems[i].getElementsByTagName("in_reply_to_status_id"));
			var inreplytouserid = GetXmlNodeData(tmpItems[i].getElementsByTagName("in_reply_to_user_id"));
			var favoritedstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("favorited"));
			var favorited = (favoritedstr == "true" ? true : false);
			var inreplytoscreenname = GetXmlNodeData(tmpItems[i].getElementsByTagName("in_reply_to_screen_name"));
			
			var tmpUser = tmpItems[i].getElementsByTagName("user");
			var user = null;
			if (tmpUser.length > 0 && tmpUser[0].hasChildNodes()) 
			{
				var tmpUser_id = GetXmlNodeData(tmpUser[0].getElementsByTagName("id"));
				var tmpUser_name = GetXmlNodeData(tmpUser[0].getElementsByTagName("name"));
				var tmpUser_screenname = GetXmlNodeData(tmpUser[0].getElementsByTagName("screen_name"));
				var tmpUser_location = GetXmlNodeData(tmpUser[0].getElementsByTagName("location"));
				var tmpUser_description = GetXmlNodeData(tmpUser[0].getElementsByTagName("description"));
				var tmpUser_profileimageurl = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_image_url"));
				var tmpUser_url = GetXmlNodeData(tmpUser[0].getElementsByTagName("url"));
				var tmpUser_protectedstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("protected"));
				var tmpUser_protected = (tmpUser_protectedstr == "true" ? true : false);
				var tmpUser_followerscount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("followers_count")));
				var tmpUser_profilebackgroundcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_background_color"));
				var tmpUser_profiletextcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_text_color"));
				var tmpUser_profilelinkcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_link_color"));
				var tmpUser_profilesidebarfillcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_sidebar_fill_color"));
				var tmpUser_profilesidebarbordercolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_sidebar_border_color"));
				var tmpUser_friendscount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("friends_count")));
				var tmpUser_createdat = new Date(Date.parse(GetXmlNodeData(tmpUser[0].getElementsByTagName("created_at"))));
				var tmpUser_favouritescount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("favourites_count")));
				var tmpUser_utcoffset = GetXmlNodeData(tmpUser[0].getElementsByTagName("utc_offset"));
				var tmpUser_timezone = GetXmlNodeData(tmpUser[0].getElementsByTagName("time_zone"));
				var tmpUser_profilebackgroundimageurl = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_background_image_url"));
				var tmpUser_profilebackgroundtilestr = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_background_tile"));
				var tmpUser_profilebackgroundtile = (tmpUser_profilebackgroundtilestr == "true" ? true : false);
				var tmpUser_statusescount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("statuses_count")));
				var tmpUser_notificationsstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("notifications"));
				var tmpUser_notifications = (tmpUser_notificationsstr == "true" ? true : false);
				var tmpUser_verifiedstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("verified"));
				var tmpUser_verified = (tmpUser_verifiedstr == "true" ? true : false);
				var tmpUser_followingstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("following"));
				var tmpUser_following = (tmpUser_followingstr == "true" ? true : false);				
				
				/*
				 * (Id, Name, ScreenName, Location, Description, ProfileImageUrl, Url, Protected,
			  FollowersCount, ProfileBackgroundColor, ProfileLinkColor, ProfileSidebarFillColor,
			  ProfileSidebarBorderColor, FriendsCount, CreatedAt, FavouriesCount, UtcOffset,
			  TimeZone, ProfileBackgroundImageUrl, ProfileBackgroundTile, StatusesCount,
			  Notifications, Verified, Following)
				 */
				user = new User(tmpUser_id, tmpUser_name, tmpUser_screenname, tmpUser_location, tmpUser_description, 
								tmpUser_profileimageurl, tmpUser_url, tmpUser_protected, tmpUser_followerscount, 
								tmpUser_profilebackgroundcolor, tmpUser_profiletextcolor, tmpUser_profilelinkcolor, 
								tmpUser_profilesidebarfillcolor, tmpUser_profilesidebarbordercolor, tmpUser_friendscount, 
								tmpUser_createdat, tmpUser_favouritescount, tmpUser_utcoffset, tmpUser_timezone, 
								tmpUser_profilebackgroundimageurl, tmpUser_profilebackgroundtile, tmpUser_statusescount, 
								tmpUser_notifications, tmpUser_verified, tmpUser_following);
			}	
						
			StatusList[i] = new Status(createdat, id, text, source, truncated, inreplytostatusid, inreplytouserid, 
									   favorited, inreplytoscreenname, user);
		}	
	}
	return StatusList;
}
