/**
 * User 데이터를 만드는 클래스
 * @class User 데이터를 만드는 클래스
 */
var UserMaker =
{
	
}

UserMaker.MakeUser = function(responseXML)
{
	
	var doc = responseXML;
	var response = doc.documentElement;
	//var tmpUser = response.getElementsByTagName("user");
	var user = null;
	
	//alert(tmpItems.length);
	
	var tmpUser_id = GetXmlNodeData(response.getElementsByTagName("id"));
	var tmpUser_name = GetXmlNodeData(response.getElementsByTagName("name"));
	
	var tmpUser_screenname = GetXmlNodeData(response.getElementsByTagName("screen_name"));
	var tmpUser_location = GetXmlNodeData(response.getElementsByTagName("location"));
	var tmpUser_description = GetXmlNodeData(response.getElementsByTagName("description"));
	var tmpUser_profileimageurl = GetXmlNodeData(response.getElementsByTagName("profile_image_url"));
	var tmpUser_url = GetXmlNodeData(response.getElementsByTagName("url"));
	var tmpUser_protectedstr = GetXmlNodeData(response.getElementsByTagName("protected"));
	var tmpUser_protected = (tmpUser_protectedstr == "true" ? true : false);
	var tmpUser_followerscount = parseInt(GetXmlNodeData(response.getElementsByTagName("followers_count")));
	var tmpUser_profilebackgroundcolor = GetXmlNodeData(response.getElementsByTagName("profile_background_color"));
	var tmpUser_profiletextcolor = GetXmlNodeData(response.getElementsByTagName("profile_text_color"));
	var tmpUser_profilelinkcolor = GetXmlNodeData(response.getElementsByTagName("profile_link_color"));
	var tmpUser_profilesidebarfillcolor = GetXmlNodeData(response.getElementsByTagName("profile_sidebar_fill_color"));
	var tmpUser_profilesidebarbordercolor = GetXmlNodeData(response.getElementsByTagName("profile_sidebar_border_color"));
	var tmpUser_friendscount = parseInt(GetXmlNodeData(response.getElementsByTagName("friends_count")));
	var tmpUser_createdat = new Date(Date.parse(GetXmlNodeData(response.getElementsByTagName("created_at"))));
	var tmpUser_favouritescount = parseInt(GetXmlNodeData(response.getElementsByTagName("favourites_count")));
	var tmpUser_utcoffset = GetXmlNodeData(response.getElementsByTagName("utc_offset"));
	var tmpUser_timezone = GetXmlNodeData(response.getElementsByTagName("time_zone"));
	var tmpUser_profilebackgroundimageurl = GetXmlNodeData(response.getElementsByTagName("profile_background_image_url"));
	var tmpUser_profilebackgroundtilestr = GetXmlNodeData(response.getElementsByTagName("profile_background_tile"));
	var tmpUser_profilebackgroundtile = (tmpUser_profilebackgroundtilestr == "true" ? true : false);
	var tmpUser_statusescount = parseInt(GetXmlNodeData(response.getElementsByTagName("statuses_count")));
	var tmpUser_notificationsstr = GetXmlNodeData(response.getElementsByTagName("notifications"));
	var tmpUser_notifications = (tmpUser_notificationsstr == "true" ? true : false);
	var tmpUser_verifiedstr = GetXmlNodeData(response.getElementsByTagName("verified"));
	var tmpUser_verified = (tmpUser_verifiedstr == "true" ? true : false);
	var tmpUser_followingstr = GetXmlNodeData(response.getElementsByTagName("following"));
	var tmpUser_following = (tmpUser_followingstr == "true" ? true : false);
	var tmpUser_status = response.getElementsByTagName("status");
	//alert("@#@#%@#%@#@$@#$@#%@#%@#$");
	var status = null;
	if (tmpUser_status.length > 0 && tmpUser_status[0].hasChildNodes())
	{
		var createdat = new Date(Date.parse(GetXmlNodeData(tmpUser_status[0].getElementsByTagName("created_at"))));
			
		var id = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("id"));
		var text = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("text"));
		var source = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("source"));
		var truncatedstr = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("truncated"));
		var truncated = (truncatedstr == "true" ? true : false);
		var inreplytostatusid = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_status_id"));
		var inreplytouserid = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_user_id"));
		var favoritedstr = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("favorited"));
		var favorited = (favoritedstr == "true" ? true : false);
		var inreplytoscreenname = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_screen_name"));
		
		status = new Status(createdat, id, text, source, truncated, inreplytouserid,
							favorited, inreplytoscreenname);
	}
	
	user = new User(tmpUser_id, tmpUser_name, tmpUser_screenname, tmpUser_location, tmpUser_description, 
					tmpUser_profileimageurl, tmpUser_url, tmpUser_protected, tmpUser_followerscount, 
					tmpUser_profilebackgroundcolor, tmpUser_profiletextcolor, tmpUser_profilelinkcolor, 
					tmpUser_profilesidebarfillcolor, tmpUser_profilesidebarbordercolor, tmpUser_friendscount, 
					tmpUser_createdat, tmpUser_favouritescount, tmpUser_utcoffset, tmpUser_timezone, 
					tmpUser_profilebackgroundimageurl, tmpUser_profilebackgroundtile, tmpUser_statusescount, 
					tmpUser_notifications,  tmpUser_verified, tmpUser_following, status);
					
	return user;
}

