/**
 * FindPeople의 IME 팝업을 구현한 클래스, 현재 API제약사항으로 기능구현 안되어 있음
 * @class FindPeople의 IME 팝업을 구현한 클래스
 */
var FindPeopleIME =
{	
	ime : null,
	
	return_focus_object : null,
	
	back_func : null,
	
	KEYPAD_X : 600,
	KEYPAD_Y : 105,
	
	MAX_LENGTH : 100
}

FindPeopleIME.Init = function()
{
	UIFindPeopleIME.Init();
	//this.SetReturnFocusFunc(object_name);

	if(!this.ime)
		this.ime = new IMEShell("FindPeoplePopupIMEInputText", FindPeopleIME.InitCallback);
	//KeyHandler.FocusNoKey();	
}

//키패드를 닫았을 때 되돌아 갈 포커스 함수 지정
FindPeopleIME.SetReturnFocusFunc = function(object_name)
{
	this.return_focus_object = object_name;
}

FindPeopleIME.Focus = function()
{
	document.getElementById("FindPeoplePopupIMEInputText").focus();	
}

//화면에 키패드와 input객체를 보인다.
FindPeopleIME.Show = function(back_func)
{
	this.back_func = back_func;
	this.Focus();
	FindPeopleIME.ime.setString("");
	UIFindPeopleIME.Show();
}

FindPeopleIME.InitCallback = function(imeobj)
{	
	//if you need input object, use "getInputObj" function
	var inputobj = imeobj.getInputObj();
	
	alert("start initializing : "+inputobj.id);
	
	//keypad x,y position
	imeobj.setKeypadPos(FindPeopleIME.KEYPAD_X, FindPeopleIME.KEYPAD_Y);

	Util.T9WordBoxPos(imeobj);
	
	//option : set function that runs after all key input (pass array as arguments)
	//when IME runs the function, first argument is Keycode, second argument will be the first element of the array
	//imeobj.setAnyKeyFunc("testf2", [0,1,2,3]);

	// option : set function that callwhen left key pressed on cursor position is at the beginning of input box
//	imeobj.setPrevEventOnLeftFunc(testf1);

	// option : set function that called when letter is completed
	imeobj.setOnCompleteFunc(FindPeopleIME.OnComplete);
	imeobj.setEnterFunc(FindPeopleIME.OnEnter);
	imeobj.setKeyFunc(tvKey.KEY_RETURN, FindPeopleIME.OnReturn);
	imeobj.setKeyFunc(tvKey.KEY_DOWN, FindPeopleIME.OnDown);
	imeobj.setKeyFunc(tvKey.KEY_BLUE, FindPeopleIME.OnBlue);
	//imeobj.setString("");

	// option : set function that called when enter key is pressed.
//	imeobj.setEnterFunc(sampleEnter);
	
	// option : set function that called when input reached maxlength
//	imeobj.setMaxLengthFunc(sampleMaxLength);

	// option
	//imeobj.reset();
	
	//option : 키코드에 새로운 함수를 연결하고 싶을때.. ex) red key , blue key
	//if fuctions is registered, keycode will be a parameter when the function is called.
	//if the function returns true, IME continues
	//if the function returns false, IME returns
	
	
	/*
	imeobj.setKeyFunc(88, textobjKeyFunc); 
	imeobj.setKeyFunc(keyc.KEY_UP, textobjKeyFunc);
	imeobj.setKeyFunc(keyc.KEY_DOWN, textobjKeyFunc);
	*/
	
//	imeobj.setBlockSpace(true);
//	imeobj.setKeyFunc(keyc.KEY_5, testf1);


//	imeobj.setKeyFunc(keyc.KEY_YELLOW, function(){});
//	imeobj.setKeyFunc(keyc.KEY_RIGHT, function(){});
	
	// to unregister key Function assign null function to keycode
//	imeobj.setKeyFunc(5, function(){});

	//document.getElementById("item").focus();
	//document.getElementById("item2").focus();
	
	//document.getElementById("FindPeoplePopupIMEInputText").focus();
	//document.getElementById("FindPeoplePopupIMEInputText").style.display = DISPLAY_BLOCK;
	alert("ime_init end...");
	
}

//한문자가 완성되었을 때 호출 됨
FindPeopleIME.OnComplete = function(text)
{
	//$('resultBox').innerHTML = arg;
	//UIReplyIME.SetRemain(FindPeopleIME.MAX_LENGTH-text.length);
	//UIReplyIME.Refresh();
}

FindPeopleIME.OnBlue = function()
{
	alert("FindPeopleIME.OnBlue()");
	
	UIFindPeopleIME.Hide();
	//UIHome.Show();
	MoreMgr.Focus();
}

FindPeopleIME.OnDown = function()
{
}

//엔터키를 눌렀을 때 호출 됨
FindPeopleIME.OnEnter = function()
{
	var text = document.getElementById("FindPeoplePopupIMEInputText").value;
	
	/*
	//SearchMgr.Show(text);
	MainMenuMgr.Hide();
	FindPeopleIME.Hide();
	MoreMgr.Hide();
	//SearchMgr.Focus();
	*/
}

//리턴키를 눌렀을 때 호출 됨
FindPeopleIME.OnReturn = function()
{
	alert("FindPeopleIME.OnReturn()");
	
	YesNoPopupMgr.Show(function(return_code)
					   {
					    	alert("return_code -> " + return_code);
							if(return_code == 0)
							{
								FindPeopleIME.back_func();	
							}
							else
							{
								FindPeopleIME.Focus();	
							}
					   });
}

//IME 숨김
FindPeopleIME.Hide = function()
{
	FindPeopleIME.ime.setString("");
	//document.getElementById("ReplyIMEInputText").style.display = DISPLAY_NONE;
	if(FindPeopleIME.return_focus_object)
		FindPeopleIME.return_focus_object.focus();
	UIFindPeopleIME.Hide();
}