/**
 * Topic 카테고리?서 검?된 결과??Trending Topics??택??경우??결과??시?는 ?이지?구현???래??
 * @class Topic 카테고리?서 검?된 결과??Trending Topics??택??경우??결과??시?는 ?이지?구현???래??
 */
var SearchMgr = 
{
	current_page : 1,
	current_index : 0,
	max_page : -1,
	is_first_show : true,
	current_status_list : null,
	current_status_cut_list : null,
	key_anchor : null,
	preloading_image : null,
	search_load_finish : false,
	COUNT_IN_PAGE : 4
	, arrCoordY : [ 98, 196, 293, 301 ]
	, nextCursor : null
}

/**
 * SearchMgr 초기??
 */	
SearchMgr.Init = function()
{
	alert("SearchMgr.Init()");
	UISearch.Init();
	this.key_anchor = document.getElementById("SearchKeyAnchor");
}

/**
 * 검??결과 ?오??Status??택?는 ?수
 */
SearchMgr.SelectStatus = function()
{
	DetailViewMgr.Show(this.current_status_cut_list[this.current_index], 4);
}

/**
 * 검??결과???입???커?? 주는 ?수 
 */
SearchMgr.Focus = function()
{
	alert("SearchMgr.Focus()");
	this.key_anchor.focus();
}

SearchMgr.Refresh = function()
{
	UISearch.Hide();
	UISearch.Show();
}

/**
 * 검?한 결과??공?으?받았??경우 ?행?는 콜백?수
 * @param {Object} search_list 받아??리스??
 * @param {Object} next ?음?이지??청?????요???별??
 */
SearchMgr.OnSearchSuccessful = function(search_list, pAdditional)
{
	SearchMgr.nextCursor = pAdditional.next_page;
	alert("SearchMgr.OnSearchSuccessful()");
	LoadingMgr.Hide();
	SearchMgr.Focus();
	if(search_list == null)
	{
		if(SearchMgr.nextCursor)
		{
			SearchMgr.current_page = 1;
			SearchMgr.current_index = 0;
			
			SearchMgr.Display();
			SearchMgr.Focus();
		}
		else
		{
			//SearchMgr.moreCallback(false);
          
			//interactive remote start
			iRemoteTW.messgPopup("", SID_MIX_NO_RESULTS_FOR.Replace(SearchMgr.query)); 
			//interactive remote end
			MessageBoxMgr.Show("", SID_MIX_NO_RESULTS_FOR.Replace(SearchMgr.query),
						   function()
						   {
						   		MainMenuMgr.ShowCurrentMenu();
					   			SearchMgr.Hide();
								TopicsMgr.Show(true);
								TopicsMgr.Focus();

								//interactive remote start
								iRemoteTW.onLoad();
								iRemoteTW.topics();
								//interactive remote end
						   });	
		}
		if (SearchMgr.current_status_list) {
			var nTotalPage = Math.ceil(SearchMgr.current_status_list.length / SearchMgr.COUNT_IN_PAGE);
			if (SearchMgr.current_page > nTotalPage) 
				SearchMgr.current_page = nTotalPage;
			SearchMgr.search_load_finish = true;
		}
		return;
	}
	
	if (pAdditional.page > 1) {
		for (var i = 0; i < search_list.length; i++) 
			SearchMgr.current_status_list[SearchMgr.current_status_list.length] = search_list[i];
		//SearchMgr.moreCallback(true);
			SearchMgr.Refresh();
			SearchMgr.Display();
			SearchMgr.Focus();
	}
	else {
		SearchMgr.current_status_list = search_list;
	}
	
	HelpNavigationMgr.ShowSearchHelp(1);
	SearchMgr.Display();
	UISearch.Show();
}

/**
 * 검?결과? ?면???시?는 ?수
 * @param {Object} query 검?할 쿼리
 */
SearchMgr.Show = function(query)
{	
	this.current_index = 0;
	this.current_page =1;
	this.query = query;
	
	UISearch.SetMessage(query);
	
	LoadingMgr.Show();
	KeyHandler.FocusNoKey();
	MainMenuMgr.Hide();
	TopicsMgr.Hide();
	HelpNavigationMgr.ShowSearchHelp(1);
	UISearch.HideAllList();
	UISearch.Show();
	
	this.search_load_finish = false;
	Search.SetSearchReturnFunc(SearchMgr.OnSearchSuccessful);
	Search.setSearchFailByLimit(function(pSec) {
           
			//interactive remote start
			iRemoteTW.messgPopup("",  SID_MIX_API_REQUESTS_LIMIT_EXCEEDED_TRY_AGAIN_MSG.Replace(Math.floor(pSec/60))); 
			//interactive remote end
			MessageBoxMgr.Show("", SID_MIX_API_REQUESTS_LIMIT_EXCEEDED_TRY_AGAIN_MSG.Replace(Math.floor(pSec/60)),
			   function()
			   {
			   		LoadingMgr.Hide();
					SearchMgr.Hide();
					TopicsMgr.Show(true);
					TopicsMgr.Focus();

					//interactive remote start
					iRemoteTW.onLoad();
					iRemoteTW.topics();
					//interactive remote end
					MainMenuMgr.ShowCurrentMenu();
			   });
	});
	Search.Search(query, null);
}

/**
 * 검?결과? ?면?서 ?기???수
 */
SearchMgr.Hide = function()
{
	ScrollBarMgr.Hide();
	UISearch.Hide();
	HelpNavigationMgr.HideSearchHelp();
	PageIndicatorMgr.Hide();
}

/**
 * ?커?? ?나 ?로 ?동?는 ?수
 */
SearchMgr.MoveUp = function()
{
	alert("SearchMgr.MoveUp()");
	this.current_index--;
	
	if(this.GetRealIndex() < 0)
	{
		this.current_page = Math.floor((this.current_status_list.length-1)/this.COUNT_IN_PAGE)+1;
		this.current_index = (this.current_status_list.length-1)%this.COUNT_IN_PAGE;
	}
	else if(this.current_index<0)
	{
		this.current_page--;
		this.current_index = this.COUNT_IN_PAGE-1;
	}
	
	this.Display();	
}

/**
 * ?커?? ?나 ?래??동?는 ?수
 */
SearchMgr.MoveDown = function()
{
	TWAlert("SearchMgr.MoveDown()");
	
	if ((this.GetRealIndex() + 1) >= this.current_status_list.length) {
		this.More(function(pIsMore){
			if (!pIsMore) {
				SearchMgr.current_page = 1;
				SearchMgr.current_index = 0;
				SearchMgr.Display();
			} else {
				SearchMgr.moveNext();
			}
		});
	}
	else {
		SearchMgr.moveNext();
		this.Display();
	}
}

SearchMgr.moveNext = function() {
	this.current_index++;
	if (this.current_index % this.COUNT_IN_PAGE == 0) {
		this.current_page++;
		this.current_index = 0;
	}
}

/**
 * ?면??보일 ? 만큼?리스?? ?르???수
 */
SearchMgr.CutList = function()
{
	alert("SearchMgr.CutList()");
	var lowerbound = (this.current_page-1) * this.COUNT_IN_PAGE;
	var upperbound = (this.current_page-1) * this.COUNT_IN_PAGE + this.COUNT_IN_PAGE;
	
	alert("SearchMgr.CutList() -> "+ lowerbound + " " + upperbound);
	var list = new Array();
	for(var i=lowerbound; i<upperbound; i++)
	{
		if(this.current_status_list[i])
			list[list.length] = this.current_status_list[i];
	}
	
	this.current_status_cut_list = list;
}

/**
 * ?전 ?이지??동?는 ?수
 */
SearchMgr.PageUpList = function()
{
	if(!this.current_status_list)
		return;
	alert("HomeMgr.PageUpList -> " + this.current_page);
	
	var nTotalPage = Math.floor((this.current_status_list.length-1) / this.COUNT_IN_PAGE)+1;
	if (nTotalPage < 2) return
	
	this.current_page--;
	
	if (this.current_page <= 0) 
	{
		this.current_page = nTotalPage;
	}
	
	this.current_index = 0;
	this.Display();
}

/**
 * ?음 ?이지??동?는 ?수
 */
SearchMgr.PageDownList = function()
{
	if(!this.current_status_list)
		return;
	
	var nTotalPage = Math.ceil(SearchMgr.current_status_list.length / SearchMgr.COUNT_IN_PAGE);
	if (nTotalPage < 2) return
	
	alert("HomeMgr.PageDownList -> " + this.current_page);
	if (SearchMgr.current_page + 1 >nTotalPage) 
	{
        SearchMgr.More(function(pIsMore){
			if (!pIsMore) {
				SearchMgr.current_page = 1;
				SearchMgr.current_index = 0;
				SearchMgr.Display();
			} else {
				_NextPage(false);
			}
        });
	}
	else {
		_NextPage();
		SearchMgr.Display();
	}
	
	function _NextPage(pConditional) {
		SearchMgr.current_page++;
		if (pConditional && SearchMgr.current_page > nTotalPage) 
		{
			SearchMgr.current_page=1;
		}
		SearchMgr.current_index = 0;
	}
}

/**
 * ?재 ?커?의 ?제 ?덱?? 구하???수
 */
SearchMgr.GetRealIndex = function()
{
	return ((this.current_page-1)*this.COUNT_IN_PAGE+this.current_index);	
}

/**
 * ?제 검?결과? ?면??그리???수
 */
SearchMgr.Display = function()
{
	ScrollBarMgr.Display(this.GetRealIndex(), this.current_status_list.length);
	ScrollBarMgr.Show();
	ScrollBarMgr.Refresh();
	this.CutList();
	
	UISearch.Display(this.current_status_cut_list);
	PageIndicatorMgr.SetIndicatorText(this.current_page,Math.floor((this.current_status_list.length-1)/this.COUNT_IN_PAGE)+1);
	PageIndicatorMgr.Show();	
	this.Refresh();

	//interactive remote start
    	if(TopicsMgr.current_index == -1){
		iRemoteTW.newTopicSearch();

	}
     	else
     	{
	 	iRemoteTW.topicItemSearch();

     	}
	 //interactive remote end
}

/**
 * ?재 ?커???덱?? 구하???수
 */
SearchMgr.GetCurrentIndex = function()
{
	return this.current_index;
}

//SearchMgr.moreCallback = null;

/**
 * ?직 로드?? ?? 리스?? ?으?가?오???수
 */
SearchMgr.More = function(pEventListner)
{
	this.nLastIndex = this.current_index;
	this.nLastPage = this.current_page;
	
	alert("SearchMgr.More()");
	
	//SearchMgr.moreCallback = pEventListner;
	
	if (this.search_load_finish) 
	{
		pEventListner(false);
	}
	else 
	{
		pEventListner(true);
		LoadingMgr.Show();
		KeyHandler.FocusNoKey();
		Search.SetSearchReturnFunc(SearchMgr.OnSearchSuccessful);
		Search.setSearchFailByLimit(function(pSec) {
               
				//interactive remote start
				iRemoteTW.messgPopup("", SID_MIX_API_REQUESTS_LIMIT_EXCEEDED_TRY_AGAIN_MSG.Replace(Math.floor(pSec/60))); 
				//interactive remote end
				MessageBoxMgr.Show("", SID_MIX_API_REQUESTS_LIMIT_EXCEEDED_TRY_AGAIN_MSG.Replace(Math.floor(pSec/60)),
				   function()
				   {
				   		LoadingMgr.Hide();

						//interactive remote start
						iRemoteTW.onLoad();
						//interactive remote end
						SearchMgr.current_page = 1;
						SearchMgr.current_index = 0;
						SearchMgr.Display();
				   });
		});		
		Search.Search(SearchMgr.query, SearchMgr.nextCursor, true); //?음 ?이지 로드
	}
}

/**
 * ?직 로드?? ?? 리스?? ?으?가?오???수
 */
SearchMgr.refreshList = function()
{
	alert("SearchMgr.refreshList()");

	LoadingMgr.Show();
	KeyHandler.FocusNoKey();
	SearchMgr.current_status_list = [];
	SearchMgr.current_page = 1;
	SearchMgr.current_index = 0;
	Search.SetSearchReturnFunc(SearchMgr.OnSearchSuccessful);
	Search.Search(SearchMgr.query, null, true);
}

/**
 * 검?결??이지?????들??
 */
SearchMgr.KeyHandler = function()
{
	if (!CUtil.delayKey()) return;
	alert("SearchMgr.KeyHandler -> KeyCode : " + event.keyCode);
	switch (event.keyCode)
	{
		case tvKey.KEY_RW:
			SearchMgr.PageUpList();            
            break;
        case tvKey.KEY_FF:
            SearchMgr.PageDownList();
            break;	
		case tvKey.KEY_UP:
			SearchMgr.MoveUp();
			break;
		case tvKey.KEY_DOWN:
			SearchMgr.MoveDown();
			break;
		case tvKey.KEY_ENTER:
			//SearchMgr.DeleteStatus();
			//UISearch.Hide();
			SearchMgr.SelectStatus();
			break;
		case tvKey.KEY_TOOLS:
			var objCurrentStatus = this.current_status_cut_list[this.current_index];
	
			if ((objCurrentStatus.UserId ? objCurrentStatus.UserId : objCurrentStatus.Id) != TwitterMain.SessionUID) 
			{		
				var x = 705, y = this.arrCoordY[this.current_index];
				LoadingMgr.Show();
				KeyHandler.FocusNoKey();
				Search.fillUserInfo.get(objCurrentStatus, function(){
					LoadingMgr.Hide();
					SearchMgr.Focus();
					HomePopupMgr.Show(x, y, objCurrentStatus, 4);
					
					//interactive remote start
					iRemoteTW.popup((4*(this.current_page-1)) + this.current_index);
					//interactive remote end
	            });
			}
			break;
		case tvKey.KEY_BLUE:
			this.Hide();
			MainMenuMgr.ShowHomeMenu();
			HomeMgr.Show();
			HomeMgr.Focus();
			break;
		case tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);

			//interactive remote start
			iRemoteTW.onLoad();
			//interactive remote end
			this.Hide();
			TopicsMgr.Show(true);
			TopicsMgr.Focus();
			MainMenuMgr.ShowCurrentMenu();
			break;
		case tvKey.KEY_RED:
			SearchMgr.refreshList();
			break;
	}
}
