/**
 * Topic 카테고리에서 사용하는 스크롤바를 구현한 클래스
 * @class Topic 카테고리에서 사용하는 스크롤바를 구현한 클래스
 */
var TopicScrollBarMgr =
{
	
}

/**
 * TopicScrollBarMgr 초기화
 */
TopicScrollBarMgr.Init = function()
{
	UITopicScrollBar.Init();
}

/**
 * @see ScrollBarMgr.Display
 */
TopicScrollBarMgr.Display = function(current_value, total_value)
{
	alert("TopicScrollBarMgr.Display() -> " + current_value + " " + total_value);
	if (current_value < 0) current_value = 0; 
	UITopicScrollBar.Display(current_value, total_value-1);
}

/**
 * @see ScrollBarMgr.Move
 */
TopicScrollBarMgr.Move = function(x, y)
{
	UITopicScrollBar.Move(x,y);
}

/**
 * Topic 카테고리의 스크롤바를 화면에 표시하는 함수
 * @param {Object} x X좌표
 * @param {Object} y Y좌표
 */
TopicScrollBarMgr.Show = function(x, y)
{
	this.Move(x,y);
	UITopicScrollBar.Show();
}

/**
 * Topic 카테고리의 스크롤바를 화면에서 숨기는 함수
 */
TopicScrollBarMgr.Hide = function()
{
	UITopicScrollBar.Hide();
}

TopicScrollBarMgr.Refresh = function()
{
	UITopicScrollBar.Refresh();
}
