
var UIDirectMessageDetailView = 
{
	name_div : null,
	datetime_div : null,
	image_div : null,
	text_div : null,
	detailviewpopup_div : null,
	reply_text_div : null,
	favorite_text_div : null,
	delete_text_div : null,
	profile_text_div : null,
	highlight_div : Array(),
	favorite_text_div : null,
	/*starimage_div : null,*/
	
	IMG_WIDTH : 48,
	IMG_HEIGHT : 48,
	
	COUNT_IN_PAGE : 3
}

UIDirectMessageDetailView.Init = function()
{
	this.image_div = document.getElementById("DirectMessageDetailViewPopup_Image");
	this.datetime_div = document.getElementById("DirectMessageDetailViewPopup_Datetime");
	this.name_div = document.getElementById("DirectMessageDetailViewPopup_Name");
	this.text_div = document.getElementById("DirectMessageDetailViewPopup_Text");
	this.detailviewpopup_div = document.getElementById("DirectMessageDetailViewPopup");
	//this.favorite_text_div = document.getElementById("DirectMessageDetailViewPopup_Favorite_Text");
	this.reply_text_div = document.getElementById("DirectMessageDetailViewPopup_Reply_Text");
	this.delete_text_div = document.getElementById("DirectMessageDetailViewPopup_Delete_Text");
	this.profile_text_div = document.getElementById("DirectMessageDetailViewPopup_Profile_Text");
	//this.starimage_div = document.getElementById("DirectMessageDetailViewPopup_StarImage");
	
	for(var i=0; i<this.COUNT_IN_PAGE; i++)
		this.highlight_div[i] = document.getElementById("DirectMessageDetailViewPopup_Highlight" + (i+1));
			
	this.SetDeleteText();
	this.SetReplyText();
	this.SetProfileText();
}

UIDirectMessageDetailView.ShowStarImage = function()
{
	this.starimage_div.style.display = DISPLAY_BLOCK;
}

UIDirectMessageDetailView.HideStarImage = function()
{
	this.starimage_div.style.display = DISPLAY_NONE;
}

UIDirectMessageDetailView.SetProfileText = function()
{
	widgetAPI.putInnerHTML(this.profile_text_div, TWID_PROFILE);
}

UIDirectMessageDetailView.SetReplyText = function()
{
	widgetAPI.putInnerHTML(this.reply_text_div, TWID_REPLY);
}

UIDirectMessageDetailView.SetDeleteText = function()
{
	widgetAPI.putInnerHTML(this.delete_text_div, SID_DELETE);
}

UIDirectMessageDetailView.Show = function()
{
	alert("UIDirectMessageDetailView.Show()");
	this.detailviewpopup_div.style.display = DISPLAY_BLOCK;
}

UIDirectMessageDetailView.Hide = function()
{
	this.detailviewpopup_div.style.display = DISPLAY_NONE;
}

UIDirectMessageDetailView.Refresh = function()
{
	this.Hide();
	this.Show();
}

UIDirectMessageDetailView.SetNameToNameDiv = function(name)
{
	alert("UIDirectMessageDetailView.SetNameToNameDiv()");
	widgetAPI.putInnerHTML(this.name_div, name);
}

UIDirectMessageDetailView.SetDatetimeToDatetimeDiv = function(datetime)
{
	alert("UIDirectMessageDetailView.SetDatetimeToDatetimeDiv()");
	widgetAPI.putInnerHTML(this.datetime_div, datetime);
}

UIDirectMessageDetailView.SetTextToTextDiv = function(text)
{
	alert("UIDirectMessageDetailView.SetTextToTextDiv()");
	widgetAPI.putInnerHTML(this.text_div, text.toSeperate());
}

UIDirectMessageDetailView.SetImageToImageDiv = function(img_path)
{
	alert("UIDirectMessageDetailView.SetImageToImageDiv()");
	var tmp = "<img src='" + img_path + "' width='" + this.IMG_WIDTH + "' height='" + this.IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.image_div, tmp);
}

UIDirectMessageDetailView.SetFocus = function(index)
{
	alert("UIDirectMessageDetailView.SetFocus() -> " + index)
	//this.Hide();
	var i;
	for (i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		this.highlight_div[i].style.display = DISPLAY_NONE;
	}
	this.highlight_div[index].style.display = DISPLAY_BLOCK;
	//this.Show();
}
