var UIHelpNavigation =
{
	help_div : null,
	help_home_div : null,
	help_detailview_div : null,
	help_reply_div : null,
	help_writing_div : null,
	help_multiline_div : null,
	help_people_div : null,
	help_directmessages_div : null,
	help_profile_div : null, 
	help_topics_div : null,
	help_more_div : null,
	help_search_div : null,
	help_search_ime_div : null,
	
	ENTER_IMAGE2 : "img/help_enter.png",
	GREEN_IMAGE : "img/help_icon_g.png",
	YELLOW_IMAGE : "img/help_icon_y.png",
	BLUE_IMAGE : "img/help_icon_b.png",
	RED_IMAGE : "img/help_icon_r.png",
	REW_IMAGE : "img/help_rew.png",
	FF_IMAGE : "img/help_ff.png",
	TOOLS_IMAGE : "img/help_tools.png",
	RETURN_IMAGE : "img/help_back.png",
	TWITTER_RETURN_IMAGE : "img/twitter_return_icon.png",
	ENTER_IMAGE : "img/twitter_moreview_icon.png",
	USER_IMAGE : "img/help_icon_user.png",
	
	USER_IMAGE_WIDTH : 16,
	USER_IMAGE_HEIGHT : 16,
	ENTER_IMAGE_WIDTH : 24,
	ENTER_IMAGE_HEIGHT : 17,
	TWITTER_RETURN_IMAGE_WIDTH : 17,
	TWITTER_RETURN_IMAGE_HEIGHT : 16,
	COLOR_IMAGE_WIDTH : 28,
	COLOR_IMAGE_HEIGHT : 28
}

UIHelpNavigation.Init = function()
{
	this.help_div = document.getElementById("HelpNavigation");
	this.help_home_div = document.getElementById("HelpNavigation_Home");
	this.help_detailview_div = document.getElementById("DetailViewPopup_Help");
	this.help_reply_div = document.getElementById("ReplyPopup_Help");
	this.help_writing_div = document.getElementById("WritingPopup_Help");
	this.help_multiline_div = document.getElementById("MultilineIME_Help");
	this.help_people_div = document.getElementById("HelpNavigation_People");
	this.help_directmessages_div = document.getElementById("HelpNavigation_DirectMessages");
	this.help_profile_div = document.getElementById("HelpNavigation_Profile");
	this.help_directmessageime_div = document.getElementById("DirectMessageIME_Help");
	this.help_topics_div = document.getElementById("HelpNavigation_Topics");
	this.help_more_div = document.getElementById("HelpNavigation_More");
	this.help_search_div = document.getElementById("HelpNavigation_Search");
	this.help_search_ime_div = document.getElementById("SearchPopup_Help");
	this.help_profilepeople_div = document.getElementById("HelpNavigation_ProfilePeople");
}

UIHelpNavigation.Show = function()
{
	this.help_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.Hide = function()
{
	this.help_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.Refresh = function()
{
	this.Hide();
	this.Show();
}

UIHelpNavigation.CreateImageHtml = function(img,width,height)
{
	var tmpHtml = "";
	tmpHtml += "<img src='" + img + "' width='" + width +"' height='" + height +"' align='middle' style = 'padding-bottom:3px;vertical-align:middle;'>";
	return tmpHtml;
}

//mode 1 : 자신의 글에 하이라이트 위치, mode 2 : 자신의 글이 아닌 곳에 하이라이트 위치
//favorite 1 : unfavorite 글에 하이라이트 위치, favorite 2 : favorite 글에 하이라이트 위치
UIHelpNavigation.ShowHomeHelp = function(mode, favorite, pFilter)
{
	var tmpHtml = "";
	
	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";
	
	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";
	
	if (HomeMgr.Ready.get()) 
		tmpHtml += this.CreateImageHtml(this.GREEN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   (favorite == 1 ? TWID_FAVORITE : TEMPID_UNFAVORITE) + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_NEW_TWEET + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	if (HomeMgr.Ready.get()) 
		tmpHtml += this.CreateImageHtml(this.BLUE_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_SORT + "&nbsp;&nbsp;&nbsp;&nbsp;";
	
	if (HomeMgr.Ready.get() && PageIndicatorMgr.getTotalPage() > 1) {
		tmpHtml += this.CreateImageHtml(this.REW_IMAGE, this.COLOR_IMAGE_WIDTH, this.COLOR_IMAGE_WIDTH);
		tmpHtml += this.CreateImageHtml(this.FF_IMAGE, this.COLOR_IMAGE_WIDTH, this.COLOR_IMAGE_WIDTH) +
			SID_PAGE_MOVE_TR +
			"&nbsp;&nbsp;&nbsp;&nbsp;";
	}
	if (mode == 2) 
	{
		tmpHtml += this.CreateImageHtml(this.TOOLS_IMAGE, this.COLOR_IMAGE_WIDTH, this.COLOR_IMAGE_WIDTH) +
										SID_OPTION +	"&nbsp;&nbsp;&nbsp;&nbsp;";
	}
			   
	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_home_div, tmpHtml);
	
	this.help_home_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowPeopleHelp = function(mode)
{
	var tmpHtml = "";

	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";
	
	
	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.BLUE_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
		   (mode==1?TWID_FOLLOWERS:TWID_FOLLOWING) + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	if (PeopleMgr.Ready.get() && PageIndicatorMgr.getTotalPage() > 1)  {
		tmpHtml += this.CreateImageHtml(this.REW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH);
		tmpHtml += this.CreateImageHtml(this.FF_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_PAGE_MOVE_TR + "&nbsp;&nbsp;&nbsp;&nbsp;";		
	}

			   
//	tmpHtml += this.CreateImageHtml(this.TOOLS_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
//			   SID_OPTION + "&nbsp;&nbsp;&nbsp;&nbsp;";

	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_people_div, tmpHtml);
	
	this.help_people_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowDirectMessagesHelp = function(mode)
{
	alert("UIHelpNavigation.ShowDirectMessagesHelp() Start");
	//여기서부터 일 해야함
	var tmpHtml = "";

	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";
	
	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";

	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_NEW_MESSAGE + "&nbsp;&nbsp;&nbsp;&nbsp;";

	tmpHtml += this.CreateImageHtml(this.BLUE_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   (mode==100 ? SID_SENT : TWID_INBOX) + "&nbsp;&nbsp;&nbsp;&nbsp;";

	if(DirectMessagesMgr.Ready.get() && PageIndicatorMgr.getTotalPage() > 1) {
		tmpHtml += this.CreateImageHtml(this.REW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH);
		tmpHtml += this.CreateImageHtml(this.FF_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_PAGE_MOVE_TR + "&nbsp;&nbsp;&nbsp;&nbsp;";
	}

	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_directmessages_div, tmpHtml);
	
	this.help_directmessages_div.style.display = DISPLAY_BLOCK;
	alert("UIHelpNavigation.ShowDirectMessagesHelp() End");
}

UIHelpNavigation.ShowDirectMessagesNoListHelp = function(mode)
{
	alert("UIHelpNavigation.ShowDirectMessagesNoListHelp()");
	//여기서부터 일 해야함
	var tmpHtml = "";

	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";

	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";

	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_NEW_MESSAGE + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.BLUE_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   (mode==100 ? SID_SENT : TWID_INBOX) + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_directmessages_div, tmpHtml);
	
	this.help_directmessages_div.style.display = DISPLAY_BLOCK;
	alert("UIHelpNavigation.ShowDirectMessagesHelp()2");
}


UIHelpNavigation.ShowProfileHelp = function(mode)
{
	alert("UIHelpNavigation.ShowProfileHelp()");

	var tmpHtml = "";

	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";
	
	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	if (ProfileMgr.Ready.get())		
		tmpHtml += this.CreateImageHtml(this.GREEN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   (mode==1 ? TEMPID_UNFAVORITE : TWID_FAVORITE) + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.BLUE_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   TWID_HOME + "&nbsp;&nbsp;&nbsp;&nbsp;";
	
	if (ProfileMgr.Ready.get() && PageIndicatorMgr.getTotalPage() > 1) {
		tmpHtml += this.CreateImageHtml(this.REW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH);
		tmpHtml += this.CreateImageHtml(this.FF_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_PAGE_MOVE_TR + "&nbsp;&nbsp;&nbsp;&nbsp;";
	}
			   
	tmpHtml += this.CreateImageHtml(this.TOOLS_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_OPTION + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_profile_div, tmpHtml);
	
	this.help_profile_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowProfileLeftHelp = function(mode)
{
	alert("UIHelpNavigation.ShowProfileHelp()");

	var tmpHtml = "";

	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";

	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_profile_div, tmpHtml);
	
	this.help_profile_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowProfilePeopleHelp = function()
{
	alert("UIHelpNavigation.ShowProfilePeopleHelp()");
	
	var tmpHtml = "";
	
	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";

	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.BLUE_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   TWID_HOME + "&nbsp;&nbsp;&nbsp;&nbsp;";
	
	if (PageIndicatorMgr.getTotalPage() > 1) {
		tmpHtml += this.CreateImageHtml(this.REW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH);
		tmpHtml += this.CreateImageHtml(this.FF_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
				   SID_PAGE_MOVE_TR + "&nbsp;&nbsp;&nbsp;&nbsp;";		
	}
			   
	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_profilepeople_div, tmpHtml);
	
	this.help_profilepeople_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowTopicsHelp = function()
{
	alert("UIHelpNavigation.ShowTopicsHelp()");
	var tmpHtml = "";
	
	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";

	if (PageIndicatorMgr.getTotalPage() > 1) {
	tmpHtml += this.CreateImageHtml(this.REW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH);
	tmpHtml += this.CreateImageHtml(this.FF_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_PAGE_MOVE_TR + "&nbsp;&nbsp;&nbsp;&nbsp;";		
	}
			   
	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_topics_div, tmpHtml);
	
	this.help_topics_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowSearchHelp = function(mode)
{
	alert("UIHelpNavigation.ShowSearchHelp() -> "+mode);
	var tmpHtml = "";

	//tmpHtml += this.CreateImageHtml(this.GREEN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
	//		   (mode==1 ?TEMPID_UNFAVORITE : TWID_FAVORITE) + "&nbsp;&nbsp;&nbsp;&nbsp;";
	
	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";
			   
	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.BLUE_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   TWID_HOME + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	if (PageIndicatorMgr.getTotalPage() > 1) {
	tmpHtml += this.CreateImageHtml(this.REW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH);
	tmpHtml += this.CreateImageHtml(this.FF_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_PAGE_MOVE_TR + "&nbsp;&nbsp;&nbsp;&nbsp;";		
	}
			   
	tmpHtml += this.CreateImageHtml(this.TOOLS_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_OPTION + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
	
	widgetAPI.putInnerHTML(this.help_search_div, tmpHtml);
	
	this.help_search_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowMoreHelp = function(mode)
{
	alert("UIHelpNavigation.ShowMoreHelp()");
	/*
	var tmpHtml = "";
	
	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";

	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_more_div, tmpHtml);
	*/
	var tmpHtml = "";

	tmpHtml += "<div style='position:fixed;left:33px;top:516px;width:16px;height:16px'>";
	tmpHtml += UIHelpNavigation.CreateImageHtml(this.USER_IMAGE, this.USER_IMAGE_WIDTH, this.USER_IMAGE_HEIGHT);
	tmpHtml += "</div>";
	
	tmpHtml += "<div style='position:fixed;left:57px;top:516px;width:16px;height:16px;font-size:16px;color:#FFFFFF;'>";
	tmpHtml += ID;
	tmpHtml += "</div>";
	
	tmpHtml += this.CreateImageHtml(this.RED_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_HEIGHT)+
			   SID_REFRESH + "&nbsp;&nbsp;&nbsp;&nbsp;";
	
	if(MoreMgr.Ready.get())		   
		tmpHtml += this.CreateImageHtml(this.GREEN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   (mode==1 ?TEMPID_UNFAVORITE : TWID_FAVORITE) + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	if(MoreMgr.Ready.get() && PageIndicatorMgr.getTotalPage() > 1) {
		tmpHtml += this.CreateImageHtml(this.REW_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH);
		tmpHtml += this.CreateImageHtml(this.FF_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_PAGE_MOVE_TR + "&nbsp;&nbsp;&nbsp;&nbsp;";
	}
			   
	tmpHtml += this.CreateImageHtml(this.RETURN_IMAGE,this.COLOR_IMAGE_WIDTH,this.COLOR_IMAGE_WIDTH)+
			   SID_RETURN + "&nbsp;&nbsp;&nbsp;&nbsp;";
			   
	widgetAPI.putInnerHTML(this.help_more_div, tmpHtml);
	this.help_more_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.ShowDetailViewHelp = function()
{
	var tmpHtml = "";

	tmpHtml += this.CreateImageHtml(this.TWITTER_RETURN_IMAGE,this.TWITTER_RETURN_IMAGE_WIDTH,
									this.TWITTER_RETURN_IMAGE_HEIGHT)+ " " + SID_RETURN;
			   
	widgetAPI.putInnerHTML(this.help_detailview_div, tmpHtml);
}

UIHelpNavigation.ShowReplyHelp = function()
{
	var tmpHtml = "";

	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,
									this.COLOR_IMAGE_HEIGHT)+ " " + SID_SPACE_WORD + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.ENTER_IMAGE,this.ENTER_IMAGE_WIDTH,
									this.ENTER_IMAGE_HEIGHT)+ " " + SID_COMPLETE_COMPLETE + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.TWITTER_RETURN_IMAGE, this.TWITTER_RETURN_IMAGE_WIDTH,
									this.TWITTER_RETURN_IMAGE_HEIGHT)+ " " + SID_RETURN;
			   
	widgetAPI.putInnerHTML(this.help_reply_div, tmpHtml);
}

UIHelpNavigation.ShowWritingHelp = function()
{
	var tmpHtml = "";

	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,
									this.COLOR_IMAGE_HEIGHT)+ " " + SID_SPACE_WORD + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.ENTER_IMAGE,this.ENTER_IMAGE_WIDTH,
									this.ENTER_IMAGE_HEIGHT)+ " " + SID_COMPLETE_COMPLETE + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.TWITTER_RETURN_IMAGE, this.TWITTER_RETURN_IMAGE_WIDTH,
									this.TWITTER_RETURN_IMAGE_HEIGHT)+ " " + SID_RETURN;
			   
	widgetAPI.putInnerHTML(this.help_writing_div, tmpHtml);
}

UIHelpNavigation.ShowMultilineHelp = function()
{
	var tmpHtml = "";

	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,
									this.COLOR_IMAGE_HEIGHT)+ " " + SID_SPACE_WORD + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.ENTER_IMAGE,this.ENTER_IMAGE_WIDTH,
									this.ENTER_IMAGE_HEIGHT)+ " " + SID_COMPLETE_COMPLETE + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.TWITTER_RETURN_IMAGE, this.TWITTER_RETURN_IMAGE_WIDTH,
									this.TWITTER_RETURN_IMAGE_HEIGHT)+ " " + SID_RETURN;
			   
	widgetAPI.putInnerHTML(this.help_multiline_div, tmpHtml);
}



UIHelpNavigation.ShowSearchIMEHelp = function()
{
	var tmpHtml = "";

	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,
									this.COLOR_IMAGE_HEIGHT)+ " " + SID_SPACE_WORD + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.ENTER_IMAGE,this.ENTER_IMAGE_WIDTH,
									this.ENTER_IMAGE_HEIGHT)+ " " + SID_SEARCH + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.TWITTER_RETURN_IMAGE, this.TWITTER_RETURN_IMAGE_WIDTH,
									this.TWITTER_RETURN_IMAGE_HEIGHT)+ " " + SID_RETURN;
			   
	widgetAPI.putInnerHTML(this.help_search_ime_div, tmpHtml);
	
	this.help_search_ime_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.HideSearchIMEHelp = function()
{
	this.help_search_ime_div.style.display = DISPLAY_NONE;
}



UIHelpNavigation.ShowDirectMessageIMEHelp = function()
{
	var tmpHtml = "";

	tmpHtml += this.CreateImageHtml(this.YELLOW_IMAGE,this.COLOR_IMAGE_WIDTH,
									this.COLOR_IMAGE_HEIGHT)+ " " + SID_SPACE_WORD + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.ENTER_IMAGE,this.ENTER_IMAGE_WIDTH,
									this.ENTER_IMAGE_HEIGHT)+ " " + SID_SEND + 
									"&nbsp;&nbsp;&nbsp;&nbsp;";
									
	tmpHtml += this.CreateImageHtml(this.TWITTER_RETURN_IMAGE, this.TWITTER_RETURN_IMAGE_WIDTH,
									this.TWITTER_RETURN_IMAGE_HEIGHT)+ " " + SID_RETURN;
			   
	widgetAPI.putInnerHTML(this.help_directmessageime_div, tmpHtml);
	
	this.help_directmessageime_div.style.display = DISPLAY_BLOCK;
}

UIHelpNavigation.HideTopicsHelp = function()
{
	this.help_topics_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideDirectMessageIMEHelp = function()
{
	this.help_directmessageime_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideHomeHelp = function()
{
	this.help_home_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HidePeopleHelp = function()
{
	this.help_people_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideDirectMessagesHelp = function()
{
	this.help_directmessages_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideProfileHelp = function()
{
	this.help_profile_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideProfileLeftHelp = function()
{
	this.help_profile_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideProfilePeopleHelp = function()
{
	this.help_profilepeople_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideMoreHelp = function()
{
	this.help_more_div.style.display = DISPLAY_NONE;
}

UIHelpNavigation.HideSearchHelp = function()
{
	this.help_search_div.style.display = DISPLAY_NONE;
}