var UIMessageBox = 
{
	messagebox_div : null,
	message1_div : null,
	message2_div : null,
	ok_button_div : null,
	ok_button_text_div : null,
	dim_div : null,
	
	OK_NORMAL_BUTTON_PATH : "img/messagebox/setting_popup_btn_2.png",
	OK_HIGHLIGHT_BUTTON_PATH : "img/messagebox/twitter_popup_highlightbox2.png",
	OK_BUTTON_WIDTH : 126,
	OK_BUTTON_HEIGHT : 41,
}
/*
<div id="MessageBoxDiv">
			<div id="MessageBoxDiv_Background_Image"></div>
			<div id="MessageBoxDiv_Message1"></div>
			<div id="MessageBoxDiv_Message2"></div>
			<div id="MessageBoxDiv_OneButton">
				<div id="MessageBoxDiv_OK_Button"></div>
				<div id="MessageBoxDiv_OK_Button_Text"></div>
			</div>
*/

UIMessageBox.Init = function()
{
	alert("UIMessageBox.Init()");
	
	this.messagebox_div = document.getElementById("MessageBoxDiv");
	this.message1_div = document.getElementById("MessageBoxDiv_Message1");
	this.message2_div = document.getElementById("MessageBoxDiv_Message2");
	this.ok_button_div = document.getElementById("MessageBoxDiv_OK_Button");
	this.ok_button_text_div = document.getElementById("MessageBoxDiv_OK_Button_Text");
	this.dim_div = document.getElementById("MessageBoxDiv_Background_DIM");
	
	this.DrawOneHighlightButton();
	this.SetOneButtonText(SID_OK);
}

UIMessageBox.Move = function(x, y)
{
	x = Math.ceil(x);
	y = Math.ceil(y);
	alert(x + " " + y);
	this.messagebox_div.style.left = x+"px";
	this.messagebox_div.style.top = y+"px";
	
	this.dim_div.style.left = -x+"px";
	this.dim_div.style.top = -y+"px";
}


UIMessageBox.Show = function()
{
	this.messagebox_div.style.visibility = VISIBILITY_VISIBLE;
}


UIMessageBox.Hide = function()
{
	this.messagebox_div.style.visibility = VISIBILITY_HIDDEN;
}

UIMessageBox.SetMessage1 = function(text)
{
	widgetAPI.putInnerHTML(this.message1_div, text);
}

UIMessageBox.SetMessage2 = function(text)
{
	widgetAPI.putInnerHTML(this.message2_div, "<table><tr><td style = 'width:405px;height:95px;text-align:center;vertical-align:middle;'>"+text+"</td></tr></table>");
}

UIMessageBox.SetOneButtonText = function(text)
{
	widgetAPI.putInnerHTML(this.ok_button_text_div, text);
}


UIMessageBox.DrawOneNormalButton = function()
{
	Util.SetImageToDiv(this.ok_button_div, this.OK_NORMAL_BUTTON_PATH, this.OK_BUTTON_WIDTH, this.OK_BUTTON_HEIGHT);
}

UIMessageBox.DrawOneHighlightButton = function()
{
	var tmp_img = new Image();
	tmp_img.src = this.OK_HIGHLIGHT_BUTTON_PATH;
	Util.SetImageToDiv(this.ok_button_div, tmp_img.src, this.OK_BUTTON_WIDTH, this.OK_BUTTON_HEIGHT);
}