var UIMore =
{
	more_div : null,
	myprofile_div : null,
	findpeople_div : null,
	
	profile_image_div : null,
	title_div : null,
	name_text_div : null,
	location_text_div : null,
	web_text_div : null,
	bio_text_div : null,
	following_text_div : null,
	followers_text_div : null,
	tweets_text_div : null,
	
	findpeople_title_div : null,
	bigname_div : null,
	name_div : null,
	location_div : null,
	web_div : null,
	bio_div : null,
	following_div : null,
	followers_div : null,
	tweets_div : null,
	message_div : null,
	findpeople_text_div : null,
	PROFILE_IMAGE_WIDTH : 73,
	PROFILE_IMAGE_HEIGHT : 73,
///////

	
	listbox_background_div : Array(),
	datetime_div : Array(),
	text_div : Array(),
	clock_image_div : Array(),
	list_div : Array(),
	starimage_div : Array(),
	
	STARIMAGE_HIGHLIGHT_IMG : "img/twitter_star_icon.png",
	STARIMAGE_NORMAL_IMG : "img/twitter_star_icon_2.png",
	STARIMAGE_WIDTH : 18,
	STARIMAGE_HEIGHT : 17,
	
	LISTBOX_HIGHLIGHT_IMG : "img/profile_list_highlight.png",
	LISTBOX_NORMAL_IMG : "img/profile_list_box.png",
	
	LISTBOX_IMG_WIDTH : 524,
	LISTBOX_IMG_HEIGHT : 96,
	
	CLOCK_NORMAL_IMAGE : "img/twitter_clock_icon_2.png",
	CLOCK_HIGHLIGHT_IMAGE : "img/twitter_clock_icon_1.png",
	CLOCK_IMAGE_WIDTH : 14,
	CLOCK_IMAGE_HEIGHT : 14,
	
	COUNT_IN_PAGE : 4
} 

UIMore.Init = function()
{
	this.more_div = document.getElementById("MoreDiv");
	this.myprofile_div = document.getElementById("MyProfileDiv"); 
	//this.findpeople_div = document.getElementById("FindPeopleDiv"); 
	this.profile_image_div = document.getElementById("MyProfileDiv_Profile_Image");
	
	this.bigname_div = document.getElementById("MyProfileDiv_BigName");
	this.name_div = document.getElementById("MyProfileDiv_Name"); 
	this.location_div = document.getElementById("MyProfileDiv_Location"); 
	this.web_div = document.getElementById("MyProfileDiv_Web"); 
	this.bio_div = document.getElementById("MyProfileDiv_Bio"); 
	this.following_div = document.getElementById("MyProfileDiv_Following");
	this.followers_div = document.getElementById("MyProfileDiv_Followers");
	this.tweets_div = document.getElementById("MyProfileDiv_Tweets");
	this.title_div = document.getElementById("MyProfileDiv_Title");
	
	this.name_text_div = document.getElementById("MyProfileDiv_Name_Text");
	this.location_text_div = document.getElementById("MyProfileDiv_Location_Text");
	this.web_text_div = document.getElementById("MyProfileDiv_Web_Text");
	this.bio_text_div = document.getElementById("MyProfileDiv_Bio_Text");
	this.following_text_div = document.getElementById("MyProfileDiv_Following_Text");
	this.followers_text_div = document.getElementById("MyProfileDiv_Followers_Text");
	this.tweets_text_div = document.getElementById("MyProfileDiv_Tweets_Text");
	
	this.SetTitle();
	this.SetNameText();
	this.SetLocationText();
	this.SetWebText();
	this.SetBioText();
	this.SetFollowingText();
	this.SetFollowersText();
	this.SetTweetsText();
	
	for (var i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		this.listbox_background_div[i] = document.getElementById("MyProfileDiv_Listbox" + (i + 1));
		this.datetime_div[i] = document.getElementById("MyProfileDiv_Datetime" + (i + 1));
		this.text_div[i] = document.getElementById("MyProfileDiv_Text" + (i + 1));
		this.clock_image_div[i] = document.getElementById("MyProfileDiv_Clock" + (i + 1));
		this.list_div[i] = document.getElementById("MyProfileDiv_List" + (i+1));
		this.starimage_div[i] = document.getElementById("MyProfileDiv_StarImage" + (i+1));	
	}
}

UIMore.SetDateTimeToDatetimeDiv = function(index, datetime)
{
	widgetAPI.putInnerHTML(this.datetime_div[index], datetime);
}

UIMore.SetTextToTextDiv = function(index, text)
{
	widgetAPI.putInnerHTML(this.text_div[index], text.toSeperate(15));
}

UIMore.DrawClockImage = function(index, image_path)
{
	Util.SetImageToDiv(this.clock_image_div[index], image_path, 
					   this.CLOCK_IMAGE_WIDTH, this.CLOCK_IMAGE_HEIGHT);
}

UIMore.SetNormalStyleToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.datetime_div[index], "MyProfileDiv_Normal_DateTime_Style");
}

UIMore.SetHighlightStyleToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.datetime_div[index], "MyProfileDiv_Highlight_DateTime_Style");
}

UIMore.SetNormalStyleToTextDiv = function(index)
{
	Util.SetClassToDiv(this.text_div[index], "MyProfileDiv_Normal_Text_Style");
}

UIMore.SetHighlightStyleToTextDiv = function(index)
{
	Util.SetClassToDiv(this.text_div[index], "MyProfileDiv_Highlight_Text_Style");
}

UIMore.DrawNormalListboxBackground = function(index)
{
	Util.SetImageToDiv(this.listbox_background_div[index], this.LISTBOX_NORMAL_IMG,
					   this.LISTBOX_IMG_WIDTH, this.LISTBOX_IMG_HEIGHT);	
}

UIMore.DrawHighlightListboxBackground = function(index)
{
	Util.SetImageToDiv(this.listbox_background_div[index], this.LISTBOX_HIGHLIGHT_IMG,
					   this.LISTBOX_IMG_WIDTH, this.LISTBOX_IMG_HEIGHT);
}

UIMore.ShowList = function(index)
{
	this.list_div[index].style.display = DISPLAY_BLOCK;
}

UIMore.HideList = function(index)
{
	this.list_div[index].style.display = DISPLAY_NONE;
}

UIMore.HideStarImage = function(index)
{
	this.starimage_div[index].style.display = DISPLAY_NONE;
}

UIMore.ShowStarImage = function(index)
{
	this.starimage_div[index].style.display = DISPLAY_BLOCK;
}

UIMore.SetStarImageToStarImageDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.STARIMAGE_WIDTH 
	       + "' height='" + this.STARIMAGE_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.starimage_div[index], tmp);
}

UIMore.Refresh = function()
{
	this.Hide();
	this.Show();
}
UIMore.Show = function()
{
	this.more_div.style.display = DISPLAY_BLOCK;
}

UIMore.Hide = function()
{
	this.more_div.style.display = DISPLAY_NONE;
}

UIMore.SetTitle = function()
{
	widgetAPI.putInnerHTML(this.title_div, SID_MY_PROFILE);	
}

UIMore.SetNameText = function()
{
	widgetAPI.putInnerHTML(this.name_text_div, SID_NAME);	
}

UIMore.SetLocationText = function()
{
	widgetAPI.putInnerHTML(this.location_text_div, TWID_LOCATION);	
}

UIMore.SetWebText = function()
{
	widgetAPI.putInnerHTML(this.web_text_div, SID_WEB);	
}

UIMore.SetBioText = function()
{
	widgetAPI.putInnerHTML(this.bio_text_div, TWID_BIO);	
}

UIMore.SetFollowingText = function()
{
	widgetAPI.putInnerHTML(this.following_text_div, TWID_FOLLOWING);	
}

UIMore.SetFollowersText = function()
{
	widgetAPI.putInnerHTML(this.followers_text_div, TWID_FOLLOWERS);	
}

UIMore.SetTweetsText = function()
{
	widgetAPI.putInnerHTML(this.tweets_text_div, TWID_TWEETS);	
}
UIMore.SetBigName = function(name)
{
	widgetAPI.putInnerHTML(this.bigname_div, name.toSeperate());
}

UIMore.SetName = function(name)
{
	widgetAPI.putInnerHTML(this.name_div, name.toSeperate(15));
}

UIMore.SetLocation = function(location)
{
	widgetAPI.putInnerHTML(this.location_div, location.toSeperate(15));
}

UIMore.SetWeb = function(web)
{
	widgetAPI.putInnerHTML(this.web_div, web.toSeperate(15));
}

UIMore.SetBio = function(bio)
{
	widgetAPI.putInnerHTML(this.bio_div, bio.toSeperate(15));
}

UIMore.SetFollowing = function(following)
{
	widgetAPI.putInnerHTML(this.following_div, following);
}

UIMore.SetFollowers = function(followers)
{
	widgetAPI.putInnerHTML(this.followers_div, followers);
}

UIMore.SetTweets = function(tweets)
{
	widgetAPI.putInnerHTML(this.tweets_div, tweets);
}

UIMore.DrawProfileImage = function(img_path)
{
	//div, image_path,width,height
	Util.SetImageToDiv(this.profile_image_div,img_path,this.PROFILE_IMAGE_WIDTH,this.PROFILE_IMAGE_HEIGHT);
}

UIMore.Display = function(user_data, status_list)
{
	alert("UIMore.Display()");
	this.SetBigName(user_data.ScreenName);
	this.SetName(user_data.Name);
	this.SetWeb(user_data.Url);
	this.SetBio(user_data.Description);
	this.SetFollowing(People.getFollowingsQuantity());
	this.SetFollowers(People.getFollowersQuantity());
	this.SetTweets(People.getTweetsQuantity());
	this.SetLocation(user_data.Location);
	this.DrawProfileImage(user_data.ProfileImageUrl);
	
	if (status_list) {
		MoreMgr.Ready.set();
		this.RightSideDisplay(status_list);
	} else {
		UIMore.HideList(0);
		UIMore.HideList(1);
		UIMore.HideList(2);
		UIMore.HideList(3);
		MoreMgr.Ready.unset();		
		HelpNavigationMgr.ShowMoreHelp(1);
	}
}

UIMore.RightSideDisplay = function(status_list)
{
	//this.Hide();
	alert("UIMore.RightSideDisplay()");
	if(status_list == null)
		return;
	//HelpNavigationMgr.HideProfileHelp();
	
	var current_index = MoreMgr.GetCurrentIndex();
	
	if (status_list[current_index].Favorited) 
		HelpNavigationMgr.ShowMoreHelp(1);
	else 
		HelpNavigationMgr.ShowMoreHelp(2);
	/*
	if(ProfileMgr.GetFocusLocation() == 1)
	{
		if (status_list[current_index].Favorited) 
			HelpNavigationMgr.ShowProfileHelp(1);
		else 
			HelpNavigationMgr.ShowProfileHelp(2);
	}
	*/
	for (var i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		if (status_list[i]) 
		{
			//alert("status_list[i].Favorited -> " + status_list[i].Favorited);
			if (status_list[i].Favorited) 
			{
				this.SetStarImageToStarImageDiv(i, this.STARIMAGE_NORMAL_IMG);
				this.ShowStarImage(i);
			}
			else 
			{
				this.HideStarImage(i);
			}
			
			this.DrawNormalListboxBackground(i);
			this.SetNormalStyleToDatetimeDiv(i);
			this.SetNormalStyleToTextDiv(i);
			this.SetTextToTextDiv(i, status_list[i].Text);
			this.SetDateTimeToDatetimeDiv(i, Util.ExtractMessage(status_list[i], status_list[i].CreatedAt));
			this.DrawClockImage(i, this.CLOCK_NORMAL_IMAGE);
			
			if (i == current_index) 
			{
				if (status_list[i].Favorited) 
				{
					this.SetStarImageToStarImageDiv(i, this.STARIMAGE_HIGHLIGHT_IMG);
					this.ShowStarImage(i);
				}
				else
					this.HideStarImage(i);
				
				this.DrawHighlightListboxBackground(i);
				this.DrawClockImage(i, this.CLOCK_HIGHLIGHT_IMAGE);
				this.SetHighlightStyleToDatetimeDiv(i);
				this.SetHighlightStyleToTextDiv(i);
			}
			this.ShowList(i);
		}
		else
			this.HideList(i);
	}
	//this.Show();
	this.Refresh();
}