var UIScrollBar =
{
	scrollbar_div : null,
	scroll_div : null,
	
	SCROLLBAR_TOP : 13,
	SCROLLBAR_HEIGHT : 351,
	SCROLL_HEIGHT : 52,
	
	DEFAULT_SCROLLBAR_LEFT : 905,
	DEFAULT_SCROLLBAR_TOP : 91
}



UIScrollBar.Init = function()
{
	this.scrollbar_div = document.getElementById("ScrollBarDiv");
	this.scroll_div = document.getElementById("ScrollBarDiv_Scroll");
}

UIScrollBar.Move = function(x, y)
{
	var left = (x==null ? this.DEFAULT_SCROLLBAR_LEFT : x);
	var top = (y==null ? this.DEFAULT_SCROLLBAR_TOP : y);
	
	alert("UIScrollBar.Move() -> " + left + " "+top);
	
	this.scrollbar_div.style.left = left;
	this.scrollbar_div.style.top = top;
}

UIScrollBar.Show = function()
{
	this.scrollbar_div.style.display = DISPLAY_BLOCK;
}

UIScrollBar.Hide = function()
{
	this.scrollbar_div.style.display = DISPLAY_NONE;
}

UIScrollBar.Refresh = function()
{
	this.Hide();
	this.Show();
}

UIScrollBar.SetScrollPosition = function(top)
{
	this.scroll_div.style.top = top;
}

UIScrollBar.Display = function(current_value, total_value)
{
	alert("UIScrollBar.Display() -> " + current_value + " " + total_value);
	if (total_value == 0) 
	{
		this.Hide();
		return;
	}
	var scroll_pos = this.SCROLLBAR_TOP + (this.SCROLLBAR_HEIGHT - this.SCROLL_HEIGHT) 
					 * current_value / total_value;
	alert(scroll_pos);
	this.SetScrollPosition(Math.floor(scroll_pos));
	
	//this.Refresh();
}

