// Class for managing XMLHttpRequest object
function XMLHttpRequestPool(pSize) {
	// Constructor
	var nTotalXHRObj = pSize;
	var idxCurXHRObj = 0;
	
	var arrXHRObjPool = new Array(nTotalXHRObj);
	
	for (var xhrIdx = 0; xhrIdx < pSize; xhrIdx++) {
		arrXHRObjPool[xhrIdx] = new XMLHttpRequest();
	}
	
	// Return current XHR object in pool	
	this.getXHRObj = function() {
		if (arrXHRObjPool[idxCurXHRObj]) {
//			arrXHRObjPool[idxCurXHRObj].destroy();
			arrXHRObjPool[idxCurXHRObj] = new XMLHttpRequest();
		}

		idxCurXHRObj = idxCurXHRObj < (nTotalXHRObj-1) ? idxCurXHRObj + 1 : 0;
		
		return arrXHRObjPool[idxCurXHRObj];
	}
}
