/*
 * @author Samsung
 */
function checkBrowserVersion(){ 
     var browserVersion = navigator.appVersion;
     var tStrArr = new Array();
     tStrArr = browserVersion.split("(");
     if(parseInt(tStrArr[0],10) < 6.0){
          return false;
     }else{
          return true;
     } 
}

 
var iRemoteTW = new iRemote();
function iRemote(){
	this.switchFlag =  0;
	this.topicsearch = "0";
	this.selectedUserId = "0";
	this.detailViewFlag = "0";
	this.brwsrVer = checkBrowserVersion();
}

 /*
 * @brief iPhone action
 * @remarks function for handling category action
 * @param str -
 *            xml metadata string received from mobile
 * @return void
 */
function iRemote_input(str) {
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var xmlDoc = jQuery.sfIRemote('parser', str);
	
	jQuery(xmlDoc).find("menu").each(function() {
		if(jQuery(xmlDoc).find("menu").length != 0) {
			var str = jQuery(xmlDoc).find("menu").text();
			if(str == "Home"){
				if (UIYesNoPopup.cancelpopup_div.style.visibility == VISIBILITY_VISIBLE) {
					YesNoPopupMgr.Hide();
                    
					HomeMgr.Focus();
				
					iRemoteTW.onLoad();
					HomeMgr.Show();
				}
				else {
					SearchMgr.Hide();
					ProfilePeopleMgr.Hide();
					ProfileMgr.Hide();
					PeopleMgr.Hide();
					MainMenuMgr.Hide();
					TopicsMgr.Hide();
					MoreMgr.Hide();
					DirectMessagesMgr.Hide();
					MainMenuMgr.current_state = 0;
					MainMenuMgr.ShowCurrentMenu();
			
					iRemoteTW.onLoad();
					HomeMgr.Show();
				}
			}
			else if(str == "People"){
				ProfilePeopleMgr.Hide();
				ProfileMgr.Hide();
				HomeMgr.Hide();
				MainMenuMgr.Hide();
				MoreMgr.Hide();
				TopicsMgr.Hide();
				DirectMessagesMgr.Hide();
				MainMenuMgr.current_state = 1;
				MainMenuMgr.ShowCurrentMenu();
				PeopleMgr.Show();
			}
			else if(str == "DirectMessage"){
				ProfilePeopleMgr.Hide();
				HomeMgr.Hide();
				MoreMgr.Hide();
				MainMenuMgr.Hide();
				TopicsMgr.Hide();
				PeopleMgr.Hide();
				MainMenuMgr.current_state = 2;
				MainMenuMgr.ShowCurrentMenu();
				DirectMessagesMgr.Show();
			}
			else if(str == "Topics"){
				ProfileMgr.Hide();
				ProfilePeopleMgr.Hide();
				HomeMgr.Hide();
				MoreMgr.Hide();
				MainMenuMgr.Hide();
				PeopleMgr.Hide();
				DirectMessagesMgr.Hide();
				MainMenuMgr.current_state = 3;
				MainMenuMgr.ShowCurrentMenu();
				TopicsMgr.Show();
			}
			else if(str == "MyProfile"){
				ProfileMgr.Hide();
				ProfilePeopleMgr.Hide();
				HomeMgr.Hide();
				MainMenuMgr.Hide();
				DirectMessagesMgr.Hide();
				PeopleMgr.Hide();
				TopicsMgr.Hide();
				DirectMessagesMgr.Hide();
				MainMenuMgr.current_state = 4;
				MainMenuMgr.ShowCurrentMenu();
	
				MoreMgr.Show();
			}
			else if(str == "topiclistRefresh"){
				SearchMgr.refreshList();
			}
		}
	});
	
	jQuery(xmlDoc).find("colormenu").each(function() {
		if(jQuery(xmlDoc).find("colormenu").length != 0) {
			var str = jQuery(xmlDoc).find("colormenu").text();
			
			if(str == "ProfilePeopleRefresh"){
				ProfilePeopleMgr.refreshList();
			}
			else if(str == "ProfileRefresh"){
				ProfileMgr.RefreshList();
			}
			else if(str == "PeopleRefresh"){
				PeopleMgr.RefreshList();
			}
			else if(str == "Refresh"){
				HomeMgr.RefreshList();
			}
			else if(str == "TopicRefresh"){
				TopicsMgr.RefreshList();
			}
			else if(str == "Tweet"){
				iRemoteTW.tweet();
			}
			else if(str == "Sort"){
				if (!HomeMgr.Ready.get())
				return;
				FilteringMgr.Show();

				iRemoteTW.popupSort();

			}
			else if(str == "SwitchMode"){
				iRemoteTW.switchFlag = 1;
				PeopleMgr.SwitchMode();
				PeopleMgr.Show();
			}
			else if(str == "MyProfileRefresh"){
				MoreMgr.RefreshList();
			}
			else if(str == "TopicsSearch"){
				TopicsMgr.current_index = -1;
				TopicsMgr.Select();
			}
			else if(str == "DirMessageRefresh"){
				DirectMessagesMgr.RefreshList();
			}
			else if(str == "DirMessageSwitchMode"){
				DirectMessagesMgr.SwitchMode();
				DirectMessagesMgr.GetMessages(1);
				iRemoteTW.switchFlag = 1;
				
				iRemoteTW.onLoad();
			}
			else if(str == "DirMessNew"){
				DirectMessageIME.Show(this.current_status, 
							  	  function()
								  {
                                    					iRemoteTW.onLoad();
									DirectMessagesMgr.Refresh();
								  	DirectMessagesMgr.Focus();
									DirectMessagesMgr.Show();
                                     					iRemoteTW.directMessage();
								  }, "",0);
				iRemoteTW.directNewMessage();
			}	
			else if(str == "UnFollow"){
				ProfileMgr.leftside_current_index = 0;
				ProfileMgr.SetFocusLocation(0);
				ProfileMgr.SetLeftSideFocus();
				ProfileMgr.Display();
				ProfileMgr.SelectLeft();
			}
			else if(str == "Following"){
				ProfileMgr.leftside_current_index = 1;
				ProfileMgr.SetFocusLocation(0);
				ProfileMgr.SetLeftSideFocus();
				ProfileMgr.SelectLeft();
				HomeMgr.Hide();
			}
			else if(str == "Followers"){
				ProfileMgr.leftside_current_index = 2;
				ProfileMgr.SetFocusLocation(0);
				ProfileMgr.SetLeftSideFocus();
				ProfileMgr.SelectLeft();
				HomeMgr.Hide();
			}
		}
	});
	
	jQuery(xmlDoc).find("select").each(function() {
		if(jQuery(xmlDoc).find("select").length != 0) {
			var str = jQuery(xmlDoc).find("select").text();
			
			if(str == "all"){
				FilteringMgr.current_index = 0;
				FilteringMgr.Select();
				FilteringMgr.Hide();
				
				iRemoteTW.popupOff();
			}
			else if(str == "username"){
				FilteringMgr.current_index = 1;
				FilteringMgr.Select();
				FilteringMgr.Hide();
			
				iRemoteTW.popupOff();
			}
			else if(str == "favorites"){
				FilteringMgr.current_index = 2;
				FilteringMgr.Display();
				FilteringMgr.Select();
				FilteringMgr.Hide();
				
				iRemoteTW.popupOff();
			}
			else if(str == "return"){
			
				iRemoteTW.popupOff();
				FilteringMgr.Hide();
				UIHelpNavigation.Refresh();
				HomeMgr.Focus();
			}
			else if(str == "DetailView0"){
				UIDetailView.moveFocus(DetailViewMgr.current_index, 0);
				DetailViewMgr.current_index = 0;
				DetailViewMgr.Select();
			}
			else if(str == "DetailView1"){
				UIDetailView.moveFocus(DetailViewMgr.current_index, 1);
				DetailViewMgr.current_index = 1;
				DetailViewMgr.Select();
			}
			else if(str == "DetailView2"){
				UIDetailView.moveFocus(DetailViewMgr.current_index, 2);
				DetailViewMgr.current_index = 2;
				DetailViewMgr.Select();
			}
			else if(str == "DetailView3"){
				UIDetailView.moveFocus(DetailViewMgr.current_index, 3);
				DetailViewMgr.current_index = 3;
				DetailViewMgr.Select();
			}
			else if(str == "DirDetailView0"){
				DirectMessageDetailViewMgr.current_index = 0;
				UIDirectMessageDetailView.SetFocus(0);
				DirectMessageDetailViewMgr.Select();
			}
			else if(str == "DirDetailView1"){
				DirectMessageDetailViewMgr.current_index = 1;
				UIDirectMessageDetailView.SetFocus(1);
				DirectMessageDetailViewMgr.Select();
			}
			else if(str == "DirDetailView2"){
				DirectMessageDetailViewMgr.current_index = 2;
				UIDirectMessageDetailView.SetFocus(2);
				DirectMessageDetailViewMgr.Select();
			}
		}
	});
	
	jQuery(xmlDoc).find("delete").each(function() {
		if(jQuery(xmlDoc).find("delete").length != 0) {
			var str = jQuery(xmlDoc).find("delete").text();
			
			if(str == "Yes"){
				
				iRemoteTW.popupOff();
				
				iRemoteTW.onLoad();
				YesNoPopupMgr.current_index = 0;
				YesNoPopupMgr.return_func(0);
				YesNoPopupMgr.Hide();
				DetailViewMgr.Hide();
				DirectMessageDetailViewMgr.Hide();
			}
			else if(str == "No"){
				
				iRemoteTW.popupOff();
				YesNoPopupMgr.current_index = 1;
				YesNoPopupMgr.return_func(1);
				YesNoPopupMgr.Hide();
	
				if (MainMenuMgr.current_state == 2) {
					DirectMessageDetailViewMgr.Focus();
				}
				else {
					DetailViewMgr.Focus();
				}
			}
		}
	});
	jQuery(xmlDoc).find("newTweet").each(function() {
		if(jQuery(xmlDoc).find("newTweet").length != 0) {
			var newTweetStr = jQuery(xmlDoc).find("newTweet").text();
			HomeMgr.NewTwit.OnEnter(newTweetStr);
    		
			iRemoteTW.onLoad();
		}
	});			
	
	jQuery(xmlDoc).find("reply").each(function() {
		if(jQuery(xmlDoc).find("reply").length != 0) {
			var replyStr = jQuery(xmlDoc).find("reply").text();
			replyStr =  "@" + DetailViewMgr.current_status.ScreenName + " " + replyStr;
	  		TwitterReply.OnEnter(DetailViewMgr.current_status.Id, replyStr, DetailViewMgr.mode, SID_REPLAY_SENT_SUCCESSFULLY); 
		}
	});	
	
	jQuery(xmlDoc).find("retweet").each(function() {
		if(jQuery(xmlDoc).find("retweet").length != 0) {
			var retweetStr = jQuery(xmlDoc).find("retweet").text();
			retweetStr = "RT @" + DetailViewMgr.current_status.ScreenName + ": " + DetailViewMgr.current_status.Text + " " + retweetStr;
     		TwitterReply.OnEnter(DetailViewMgr.current_status.Id, retweetStr, DetailViewMgr.mode, SID_TWEET_POSTED); 
		}
	}); 
	  
	jQuery(xmlDoc).find("HomeMen").each(function() {
		if(jQuery(xmlDoc).find("HomeMen").length != 0) {
			var mentionStr = jQuery(xmlDoc).find("HomeMen").text();
			mentionStr = "@" + HomePopupMgr.current_status.ScreenName +  " " + mentionStr;
     		TwitterReply.OnEnter(HomePopupMgr.current_status.Id,mentionStr, HomePopupMgr.mode, SID_TWEET_POSTED); 
		}
	}); 
	
	jQuery(xmlDoc).find("ProMen").each(function() {
		if(jQuery(xmlDoc).find("ProMen").length != 0) {
			var mentionStr = jQuery(xmlDoc).find("ProMen").text();
			mentionStr = "@" + ProfilePopupMgr.current_status.ScreenName +  " " + mentionStr;
     		TwitterReply.OnEnter(ProfilePopupMgr.current_status.Id,mentionStr, 3, SID_TWEET_POSTED); 
		}
	}); 

	jQuery(xmlDoc).find("DVDirMssg").each(function() {
		if(jQuery(xmlDoc).find("DVDirMssg").length != 0) {
			var DVDirMssgStr = jQuery(xmlDoc).find("DVDirMssg").text();
			var  text = DVDirMssgStr;
			if (text.replace(/ /gi, '') == "") {
				UIDirectMessageIME.Hide();
				
				iRemoteTW.messgPopup("", SID_PLEASE_ENTER_A_MESSAGE); 
				MessageBoxMgr.Show("", SID_PLEASE_ENTER_A_MESSAGE, function(){
					UIDirectMessageIME.Show();
					DirectMessageIME.FocusInputText2();
				});
			}
			else if (DirectMessageIME.MAX_LENGTH - text.length < 0){
				UIDirectMessageIME.Hide();
		        
				iRemoteTW.messgPopup("",SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140")); 
				MessageBoxMgr.Show("", SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140"), function()
				{
					UIDirectMessageIME.Show();
					DirectMessageIME.Focus();
				});
			}
			else{
				DirectMessageIME.Hide();
				KeyHandler.FocusNoKey();
				LoadingMgr.Show();
				DirectMessages.SetSendDirectMessageReturnFunc(DirectMessageIME.OnSendDirectMessageSuccessful);
				DirectMessages.SetSendDirectMessageErrorFunc(DirectMessageIME.OnSendDirectMessageError);
				//DirectMessages.SendDirectMessage(DirectMessageIME.name_input.value, text);
				DirectMessages.SendDirectMessage(DirectMessageIME.user_name, text);
			}
		}
	});
     
	jQuery(xmlDoc).find("HpmDirMssg").each(function() {
		if(jQuery(xmlDoc).find("HpmDirMssg").length != 0) {
			var HpmDirMssgStr = jQuery(xmlDoc).find("HpmDirMssg").text();
     		
			var  text = HpmDirMssgStr;
			if (text.replace(/ /gi,'') == ""){
				UIDirectMessageIME.Hide();
		        
				iRemoteTW.messgPopup("", SID_PLEASE_ENTER_A_MESSAGE); 
				MessageBoxMgr.Show("", SID_PLEASE_ENTER_A_MESSAGE, function(){
								   		UIDirectMessageIME.Show();
										DirectMessageIME.FocusInputText2();
								   });
			}
			else if (DirectMessageIME.MAX_LENGTH - text.length < 0){
				UIDirectMessageIME.Hide();
		        
				iRemoteTW.messgPopup("",SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140")); 
				MessageBoxMgr.Show("", SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140"), function()
				{
					UIDirectMessageIME.Show();
					DirectMessageIME.Focus();
				});
			}
			else {
				DirectMessageIME.Hide();
				KeyHandler.FocusNoKey();
				LoadingMgr.Show();
				DirectMessages.SetSendDirectMessageReturnFunc(DirectMessageIME.OnSendDirectMessageSuccessful);
				DirectMessages.SetSendDirectMessageErrorFunc(DirectMessageIME.OnSendDirectMessageError);
				//DirectMessages.SendDirectMessage(DirectMessageIME.name_input.value, text);
				DirectMessages.SendDirectMessage(DirectMessageIME.user_name, text);
			}
		}	
	});		
			
    jQuery(xmlDoc).find("PpmDirMssg").each(function() {
		if(jQuery(xmlDoc).find("PpmDirMssg").length != 0) {
			var PpmDirMssgStr = jQuery(xmlDoc).find("PpmDirMssg").text();
			
			var  text = PpmDirMssgStr;
			if (text.replace(/ /gi,'') == ""){
				UIDirectMessageIME.Hide();
		        
				iRemoteTW.messgPopup("", SID_PLEASE_ENTER_A_MESSAGE); 
				MessageBoxMgr.Show("", SID_PLEASE_ENTER_A_MESSAGE, 
								   function()
								   {
								   		UIDirectMessageIME.Show();
										DirectMessageIME.FocusInputText2();
								   });
			}
			else if (DirectMessageIME.MAX_LENGTH - text.length < 0) {
				UIDirectMessageIME.Hide();
		       
				iRemoteTW.messgPopup("",SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140")); 
				MessageBoxMgr.Show("", SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140"), function()
				{
					UIDirectMessageIME.Show();
					DirectMessageIME.Focus();
				});
			}
			else {
				DirectMessageIME.Hide();
				KeyHandler.FocusNoKey();
				LoadingMgr.Show();
				DirectMessages.SetSendDirectMessageReturnFunc(DirectMessageIME.OnSendDirectMessageSuccessful);
				DirectMessages.SetSendDirectMessageErrorFunc(DirectMessageIME.OnSendDirectMessageError);
				//DirectMessages.SendDirectMessage(DirectMessageIME.name_input.value, text);
				DirectMessages.SendDirectMessage(DirectMessageIME.user_name, text);
			}
		}
	});
			
    jQuery(xmlDoc).find("dirReply").each(function() {
		if(jQuery(xmlDoc).find("dirReply").length != 0) {
			var dirReplyStr = jQuery(xmlDoc).find("dirReply").text();
            DirectMessageIME.text_input.value = dirReplyStr;
       		DirectMessageIME.back_func =  function(){
                                     	LoadingMgr.Show();
				  	KeyHandler.FocusNoKey();
				  	if(DirectMessagesMgr.GetMode() == 100)
					{
						DirectMessages.SetGetSentDirectMessageReturnFunc(
							DirectMessageDetailViewMgr.OnGetSentDirectMessagesSuccessful1);
						DirectMessages.GetSentDirectMessages(1, true);
					}
					else if(DirectMessagesMgr.GetMode() == 101)
					{
						DirectMessages.SetGetSentDirectMessageReturnFunc(
							DirectMessageDetailViewMgr.OnGetSentDirectMessagesSuccessful2);
						DirectMessages.GetSentDirectMessages(1, true);
					}
								  	
				  	DirectMessageIME.Hide();
					DirectMessageDetailViewMgr.Hide();

					//interactive remote start
					iRemoteTW.onLoad();
					iRemoteTW.directMessage();
					//interactive remote end
			 }
            DirectMessageIME.user_name = (DirectMessagesMgr.GetMode()==100 ? DirectMessageDetailViewMgr.current_status.SenderScreenName : DirectMessageDetailViewMgr.current_status.RecipientScreenName);
            DirectMessageIME.mode = 102; 
            DirectMessageIME.user_id = (DirectMessagesMgr.GetMode()==100 ? DirectMessageDetailViewMgr.current_status.Sender.Id : DirectMessageDetailViewMgr.current_status.Recipient.Id);
			DirectMessageIME.OnEnter_Text();
		}
	});
     
     jQuery(xmlDoc).find("search").each(function() {
		if(jQuery(xmlDoc).find("search").length != 0) {
			var search = jQuery(xmlDoc).find("search").text();
			if (search == "") {
				UISearchIME.Hide();
		        
				iRemoteTW.messgPopup("", SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140")); 
				MessageBoxMgr.Show("", SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140"), function(){
										UISearchIME.Show();
										SearchIME.Focus();
									});
			}
			else {		
		    	SearchMgr.Show(search, true);
		        MainMenuMgr.Hide();
				SearchIME.Hide();
				TopicsMgr.Hide();
		      
		      	SearchMgr.Focus();
		      	
			 	iRemoteTW.newTopicSearch(search);
		     	search = "";
		     }
		}
	});
	
	jQuery(xmlDoc).find("ulist").each(function() {
		if(jQuery(xmlDoc).find("ulist").length != 0) {
			var homeListId = jQuery(xmlDoc).find("ulist").text();
			iRemoteTW.selectedUserId = homeListId;
			if (DetailViewMgr.mode == 1) {
				HomeMgr.current_page = parseInt(iRemoteTW.selectedUserId / 4) + 1;
				HomeMgr.current_index = iRemoteTW.selectedUserId % 4;
				HomeMgr.Display();
				DetailViewMgr.Show(HomeMgr.current_status_list[homeListId], 1);
	
			} else if (DetailViewMgr.mode == 3) {
				ProfileMgr.current_page = parseInt(iRemoteTW.selectedUserId / 4) + 1;
				ProfileMgr.rightside_current_index = iRemoteTW.selectedUserId % 4;
				ProfileMgr.SetFocusLocation(1);
				ProfileMgr.SetRightSideFocus();
				ProfileMgr.Display();
				DetailViewMgr.Show(ProfileMgr.current_status_list[homeListId], 3);
			} else if (DetailViewMgr.mode == 4) {
				SearchMgr.current_page = parseInt(iRemoteTW.selectedUserId / 4) + 1;
				SearchMgr.current_index = iRemoteTW.selectedUserId % 4;
				SearchMgr.Display();
				DetailViewMgr.Show(SearchMgr.current_status_list[homeListId], 4);
			} else if (DetailViewMgr.mode == 6) {
				MoreMgr.current_page = parseInt(iRemoteTW.selectedUserId / 4) + 1;
				MoreMgr.current_index = iRemoteTW.selectedUserId % 4;
				MoreMgr.Display();
	
				DetailViewMgr.Show(MoreMgr.current_status_list[iRemoteTW.selectedUserId], 6);
			}
		}
	});
			
	jQuery(xmlDoc).find("taglist").each(function() {
		if(jQuery(xmlDoc).find("taglist").length != 0) {
			var homeListId = jQuery(xmlDoc).find("taglist").text();
			
			iRemoteTW.popup(homeListId);
			var x = 705, y = 0;
			var PgNo = parseInt(homeListId / 4);
	
			// alert("PgNo" + PgNo);
			var focusId = homeListId % 4;
			switch (focusId) {
			case 0:
				y = 98;
				break;
			case 1:
				y = 196;
				break;
			case 2:
				y = 293;
				break;
			case 3:
				y = 301;
				break;
			}
			// if(MainMenuMgr.current_state == 0){
			if (HomePopupMgr.mode == 1) {
				HomeMgr.current_page = PgNo + 1;
				HomeMgr.current_index = focusId;
				HomeMgr.Display();
	
				HelpNavigationMgr.HideHomeHelp();
				HomePopupMgr
						.Show(x, y, HomeMgr.current_status_cut_list[focusId], 1);
			}
			// else if(MainMenuMgr.current_state == 1){
			else if (HomePopupMgr.mode == 2) {
				PeopleMgr.current_page = PgNo + 1;
				PeopleMgr.current_index = focusId;
				PeopleMgr.Display();
				HelpNavigationMgr.HideHomeHelp();
				HomePopupMgr.Show(x, y, PeopleMgr.current_status_cut_list[focusId],
						2);
			}
	
			// else if(MainMenuMgr.current_state == 3){
			else if (HomePopupMgr.mode == 4) {
				SearchMgr.current_page = PgNo + 1;
				SearchMgr.current_index = focusId;
				SearchMgr.Display();
				HelpNavigationMgr.HideHomeHelp();
				HomePopupMgr.Show(x, y, SearchMgr.current_status_cut_list[focusId],
						4);
			}
	
			else if (HomePopupMgr.mode == 5) {
				ProfilePeopleMgr.current_page = PgNo + 1;
				ProfilePeopleMgr.current_index = focusId;
				ProfilePeopleMgr.Display();
				HelpNavigationMgr.HideHomeHelp();
				HomePopupMgr.Show(x, y,
				ProfilePeopleMgr.current_status_cut_list[focusId], 5);
			}
		}
	});
	
	jQuery(xmlDoc).find("profileTools").each(function() {
		if(jQuery(xmlDoc).find("profileTools").length != 0) {
			var profileListId = jQuery(xmlDoc).find("profileTools").text();
		
			iRemoteTW.popupProfile(profileListId);
			var x = 705, y = 0;
			var PgNo = parseInt(profileListId / 4) + 1;
	
			// alert("PgNo" + PgNo);
			var focusId = profileListId % 4;
			switch (focusId) {
			case 0:
				y = 98;
				break;
			case 1:
				y = 196;
				break;
			case 2:
				y = 293;
				break;
			case 3:
				y = 301;
				break;
			}
	
			ProfileMgr.current_page = PgNo;
			ProfileMgr.rightside_current_index = focusId;
			ProfileMgr.SetFocusLocation(1);
			ProfileMgr.SetRightSideFocus();
			ProfileMgr.Display();
	
			HelpNavigationMgr.HideHomeHelp();
			ProfilePopupMgr.Show(x, y, ProfileMgr.current_status_cut_list[focusId]);
		}
	});
	
	jQuery(xmlDoc).find("directMessgDetailView").each(function() {
		if(jQuery(xmlDoc).find("directMessgDetailView").length != 0) {
			var commandID = jQuery(xmlDoc).find("directMessgDetailView").text();
			iRemoteTW.selectedUserId = commandID;
			DirectMessagesMgr.current_page = parseInt(commandID / 4) + 1;
			DirectMessagesMgr.current_index = commandID % 4;
			DirectMessagesMgr.Display();
	
			DirectMessagesMgr.SelectStatus();
		}
	});		
	
	jQuery(xmlDoc).find("selpopup").each(function() {
		if(jQuery(xmlDoc).find("selpopup").length != 0) {
			var commandID = jQuery(xmlDoc).find("selpopup").text();
		
			if(commandID == "Profile"){
				HomePopupMgr.current_index = 0;
			
				iRemoteTW.popupOff();
				HomePopupMgr.Select();
			}
			else if(commandID == "Mention"){
				HomePopupMgr.current_index = 1;
		
				iRemoteTW.popupOff();
				HomePopupMgr.Select();
			}

			else if(commandID == "DirectMessage"){
				HomePopupMgr.current_index = 2;
		
				iRemoteTW.popupOff();
				HomePopupMgr.Select();
			}

			else if(commandID == "UnFollow"){
				HomePopupMgr.current_index = 3;
	
				iRemoteTW.popupOff();
				HomePopupMgr.Select();
			}

			else if(commandID == "Block"){
				HomePopupMgr.current_index = 4;
	
				iRemoteTW.popupOff();
				HomePopupMgr.Select();
			}

			else if(commandID == "Return"){

				iRemoteTW.popupOff();
				HomePopupMgr.Hide();
	
				if (HomePopupMgr.mode == 1){
					// HomeMgr.Refresh();
					HomeMgr.Display();
					UIHome.Hide();
					UIHome.Show();
					HomeMgr.Focus();
				}
				else if (HomePopupMgr.mode == 2){
					HelpNavigationMgr.ShowPeopleHelp();
					PeopleMgr.Refresh();
					PeopleMgr.Focus();
				}
				else if (HomePopupMgr.mode == 4){
					SearchMgr.Refresh();
					SearchMgr.Focus();
				} 
				else if (HomePopupMgr.mode == 5){
					ProfilePeopleMgr.Refresh();
					ProfilePeopleMgr.Focus();
				} 
				else if (HomePopupMgr.mode == TwitterDefine.From.Wave) {
					ProfilePeopleMgr.Refresh();
					ProfilePeopleMgr.Focus();
				}
			}
			
		}
	});
		
	jQuery(xmlDoc).find("selpopupPro").each(function() {
		if(jQuery(xmlDoc).find("selpopupPro").length != 0) {
			var commandID = jQuery(xmlDoc).find("selpopupPro").text();
			if(commandID == "Mention"){
				ProfilePopupMgr.current_index = 0;
	
				iRemoteTW.popupOff();
				ProfilePopupMgr.Select();
			}

			else if(commandID == "DirectMessage"){
				ProfilePopupMgr.current_index = 1;

				iRemoteTW.popupOff();
				ProfilePopupMgr.Select();
			}

			else if(commandID == "Block"){
				ProfilePopupMgr.current_index = 2;

				iRemoteTW.popupOff();
				ProfilePopupMgr.Select();
			}
			
			else if(commandID == "Return"){

				iRemoteTW.popupOff();
				ProfilePopupMgr.Hide();
				ProfileMgr.Focus();
			}
		}
	});
	
	jQuery(xmlDoc).find("topicsIndex").each(function() {
		if(jQuery(xmlDoc).find("topicsIndex").length != 0) {
			var topicListId = jQuery(xmlDoc).find("topicsIndex").text();
			TopicsMgr.current_page = parseInt(topicListId / 8) + 1;
			TopicsMgr.current_index = topicListId % 8;
			TopicsMgr.Display();
			TopicsMgr.Select();
		}
	});		
						
	jQuery(xmlDoc).find("MailSenderName").each(function() {
		if(jQuery(xmlDoc).find("MailSenderName").length != 0) {
			var mailsendername = jQuery(xmlDoc).find("MailSenderName").text();
			DirectMessageIME.user_name = mailsendername;
		}
	});		
	
	jQuery(xmlDoc).find("EditMessage").each(function() {
		if(jQuery(xmlDoc).find("EditMessage").length != 0) {
			var editMessage = jQuery(xmlDoc).find("EditMessage").text();
			DirectMessageIME.text_input.value = editMessage;
       		DirectMessageIME.back_func =  function(){
                                     					iRemoteTW.onLoad();
									DirectMessagesMgr.Refresh();
								  	DirectMessagesMgr.Focus();
									DirectMessagesMgr.Show();
                                    					iRemoteTW.directMessage();
								  }
			DirectMessageIME.OnEnter_Text();
		}
	});	
 
	jQuery(xmlDoc).find("mssg").each(function() {
		if(jQuery(xmlDoc).find("mssg").length != 0) {
			var commandID = jQuery(xmlDoc).find("mssg").text();
			if(commandID == "OK"){
				MessageBoxMgr.Hide();
			}
		}
	});		
	
	jQuery(xmlDoc).find("imecancel").each(function() {
		if(jQuery(xmlDoc).find("imecancel").length != 0) {
			var commandID = jQuery(xmlDoc).find("imecancel").text();
			if(commandID == "Yes"){
				YesNoPopupMgr.current_index = 0;
				YesNoPopupMgr.Hide();
				MultilineIME.Hide();
				MultilineIME.back_func();
			}
			else if (commandID == "No"){
				YesNoPopupMgr.current_index = 1;
				YesNoPopupMgr.Hide();
				UIMultilineIME.Show();
				MultilineIME.Focus();
			}
		}
	});
			
	jQuery(xmlDoc).find("searchImeCancel").each(function() {
		if(jQuery(xmlDoc).find("searchImeCancel").length != 0) {
			var commandID = jQuery(xmlDoc).find("searchImeCancel").text();
			if (commandID == "Yes") {
				YesNoPopupMgr.current_index = 0;
				YesNoPopupMgr.Hide();
				SearchIME.back_func();
			}
			else if (commandID == "No"){
				YesNoPopupMgr.current_index = 1;
				YesNoPopupMgr.Hide();
				UISearchIME.Show();
				SearchIME.Focus();
			}	
		}
	});		
	
	jQuery(xmlDoc).find("dirmssgImeCancel").each(function() {
		if(jQuery(xmlDoc).find("dirmssgImeCancel").length != 0) {
			var commandID = jQuery(xmlDoc).find("dirmssgImeCancel").text();
			if (commandID == "Yes") {
				YesNoPopupMgr.current_index = 0;
				YesNoPopupMgr.Hide();
				DirectMessageIME.Hide();
	
				if (DirectMessageIME.mode == 0 || DirectMessageIME.mode == 100 || DirectMessageIME.mode == 101) {
					DirectMessagesMgr.Refresh();
					DirectMessagesMgr.Focus();
				} 
				else if (DirectMessageIME.mode == 1) {

					iRemoteTW.onLoad();
					HomeMgr.Refresh();
					HomeMgr.Focus();

					iRemoteTW.home();
				} 
				else if (DirectMessageIME.mode == 2) {

					iRemoteTW.onLoad();
					HelpNavigationMgr.ShowPeopleHelp(PeopleMgr.GetMode());
					PeopleMgr.Refresh();
					PeopleMgr.Focus();

					iRemoteTW.people();
				} 
				else if (DirectMessageIME.mode == 3) {

					iRemoteTW.onLoad();
					DirectMessagesMgr.Refresh();
					DirectMessagesMgr.Focus();

					iRemoteTW.directMessage();
				} 
				else if (DirectMessageIME.mode == 4) {

					ProfileMgr.Refresh();
					ProfileMgr.SetRightSideFocus();

					iRemoteTW.profile();
				} 
				else if (DirectMessageIME.mode == 5) {
	
					ProfilePeopleMgr.Refresh();
					ProfilePeopleMgr.Focus();
					if (ProfilePeopleMgr.mode == 1) {

						iRemoteTW.profilePeopleFollowing();
					} 
					else if (ProfilePeopleMgr.mode == 2) {

						iRemoteTW.profilePeopleFollowers();
					}
				} 
				else if (DirectMessageIME.mode == 102) {

					DirectMessageDetailViewMgr.Refresh();
					DirectMessageDetailViewMgr.Focus();

					iRemoteTW.directMessgDetailView();
				}
			}
			else if(commandID == "No"){
				YesNoPopupMgr.current_index = 0;
				YesNoPopupMgr.Hide();
				UIDirectMessageIME.Show();
				DirectMessageIME.FocusInputText2();
			}	
		}
	});		
	
}

iRemote.prototype.showLoading = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var loadingMeta = null;
	loadingMeta = {
		title: " "
	}
	$.sfIRemote('loadingimage', loadingMeta);	
}

iRemote.prototype.hideLoading = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	$.sfIRemote('loadingimageOff');
}


iRemote.prototype.tweet = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var menuObj = null;
	menuObj = {
		type : "qwerty",
		identifier : "qwertyNewTweet",
		title : TWID_WHATS_HAPPENING,
		name : TWID_WHATS_HAPPENING,
		icon : "example/a.png",
		onEvent : "action?newTweet=[$qwertyNewTweet.value$]"
	}
	jQuery.sfIRemote('menu', menuObj);

	MultilineIME.SetReturnFocusFunc(HomeMgr.key_anchor);
	// MultilineIME.Show(this.current_status_cut_list[this.current_index]
	MultilineIME.Show(null, HomeMgr.NewTwit.OnEnter, HomeMgr.NewTwit.OnCancel, TWID_WHATS_HAPPENING, SID_WHAT_ARE_YOU_DOING, "");

}


iRemote.prototype.directMessgDetailView = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var menuObj = null;
	if (DirectMessagesMgr.mode == 100) {
		menuObj = {
			type : "custom",
			identifier : "menuid8",
			title : DirectMessagesMgr.current_status_list[iRemoteTW.selectedUserId].Sender.ScreenName,
			name : "Reply",
			icon : "example/a.png"
		}
	}
	else if (DirectMessagesMgr.mode == 101) {
		menuObj = {
			type : "custom",
			identifier : "menuid8",
			title : DirectMessagesMgr.current_status_list[iRemoteTW.selectedUserId].Recipient.ScreenName,
			name : "Reply",
			icon : "example/a.png"
		}
	}
	jQuery.sfIRemote('menu', menuObj);
	
	var srcData = new Array();
	srcData[0] = {
		type : "button",
		identifier : "button1",
		title : TWID_REPLY,
		onClick : "action?select=DirDetailView0",
	}
	srcData[1] = {
		type : "button",
		identifier : "button2",
		title : SID_DELETE,
		onClick : "action?select=DirDetailView1",
	}
	srcData[2] = {
		type : "button",
		identifier : "button3",
		title : TWID_PROFILE,
		onClick : "action?select=DirDetailView2",
	}
	jQuery.sfIRemote('source', srcData, "menuid8");
}


iRemote.prototype.detailView = function(id){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	if (DetailViewMgr.mode == TwitterDefine.From.Home || DetailViewMgr.mode == TwitterDefine.From.People) {
		var menuObj = null;
		menuObj = {
			type : "custom",
			identifier : "menuid8",
			title : HomeMgr.current_status_list[id].ScreenName,
			name : TWID_REPLY,
			icon : "example/a.png"
		}
		jQuery.sfIRemote('menu', menuObj);
		
		if (HomeMgr.current_status_list[id].UserId == TwitterMain.SessionUID) {
			var srcData = new Array();
			srcData[0] = {
				type : "button",
				identifier : "button1",
				title : SID_DELETE,
				onClick : "action?select=DetailView0",
			}
			srcData[1] = {
				type : "button",
				identifier : "button2",
				title : TWID_RETWEET_VERB,
				onClick : "action?select=DetailView1",
			}
			if (!HomeMgr.current_status_list[id].Favorited) {
				srcData[2] = {
					type : "button",
					identifier : "button3",
					title : TWID_FAVORITE,
					onClick : "action?select=DetailView2",
				}
			} 
			else {
				srcData[2] = {
					type : "button",
					identifier : "button3",
					title : TEMPID_UNFAVORITE,
					onClick : "action?select=DetailView2",
				}
			}
		} 
		else {
			var srcData = new Array();
			srcData[0] = {
				type : "button",
				identifier : "button1",
				title : TWID_REPLY,
				onClick : "action?select=DetailView0",
			}
			srcData[1] = {
				type : "button",
				identifier : "button1",
				title : TWID_RETWEET_VERB,
				onClick : "action?select=DetailView1",
			}
			if (!HomeMgr.current_status_list[id].Favorited) {
				srcData[2] = {
					type : "button",
					identifier : "button3",
					title : TWID_FAVORITE,
					onClick : "action?select=DetailView2",
				}
			}
			else {
				srcData[2] = {
					type : "button",
					identifier : "button3",
					title : TEMPID_UNFAVORITE,
					onClick : "action?select=DetailView2",
				}
			}
			srcData[3] = {
				type : "button",
				identifier : "button4",
				title : TWID_PROFILE,
				onClick : "action?select=DetailView3",
			}
		}
		jQuery.sfIRemote('source', srcData, "menuid8");
	}
	else if (DetailViewMgr.mode == TwitterDefine.From.Profile) {
		var menuObj = null;
		menuObj = {
			type : "custom",
			identifier : "menuid8",
			title : ProfileMgr.current_status.ScreenName,
			name : TWID_REPLY,
			icon : "example/a.png"
		}
		jQuery.sfIRemote('menu', menuObj);

		var srcData = new Array();
		if (ProfileMgr.current_status_list[id].UserId == TwitterMain.SessionUID) {
			srcData[0] = {
				type : "button",
				identifier : "button1",
				title : SID_DELETE,
				onClick : "action?select=DetailView0",
			}
		}
		else {
			srcData[0] = {
				type : "button",
				identifier : "button1",
				title : TWID_REPLY,
				onClick : "action?select=DetailView0",
			}
		}
		srcData[1] = {
			type : "button",
			identifier : "button2",
			title : TWID_RETWEET_VERB,
			onClick : "action?select=DetailView1",
		}
		if (!ProfileMgr.current_status_list[id].Favorited) {
			srcData[2] = {
				type : "button",
				identifier : "button3",
				title : TWID_FAVORITE,
				onClick : "action?select=DetailView2",
			}
		}
		else {
			srcData[2] = {
				type : "button",
				identifier : "button3",
				title : TEMPID_UNFAVORITE,
				onClick : "action?select=DetailView2",
			}
		}
		jQuery.sfIRemote('source', srcData, "menuid8");
	} 
	else if (DetailViewMgr.mode == TwitterDefine.From.MyProfile) {

		var menuObj = null;
		menuObj = {
			type : "custom",
			identifier : "menuid8",
			title : MoreMgr.current_status.ScreenName,
			name : TWID_REPLY,
			icon : "example/a.png"
		}
		jQuery.sfIRemote('menu', menuObj);
		
		var srcData = new Array();
		srcData[0] = {
			type : "button",
			identifier : "button1",
			title : SID_DELETE,
			onClick : "action?select=DetailView0",
		}
		srcData[1] = {
			type : "button",
			identifier : "button2",
			title : TWID_RETWEET_VERB,
			onClick : "action?select=DetailView1",
		}
		if (!MoreMgr.current_status_list[id].Favorited) {
			srcData[2] = {
				type : "button",
				identifier : "button3",
				title : TWID_FAVORITE,
				onClick : "action?select=DetailView2",
			}
		}
		else {
			srcData[2] = {
				type : "button",
				identifier : "button3",
				title : TEMPID_UNFAVORITE,
				onClick : "action?select=DetailView2",
			}
		}
		jQuery.sfIRemote('source', srcData, "menuid8");
	}

	else if (DetailViewMgr.mode == TwitterDefine.From.Search) {

		var menuObj = null;
		menuObj = {
			type : "custom",
			identifier : "menuid8",
			title : SearchMgr.current_status_list[id].ScreenName,
			name : TWID_REPLY,
			icon : "example/a.png"
		}
		jQuery.sfIRemote('menu', menuObj);
		
		var srcData = new Array();
		srcData[0] = {
			type : "button",
			identifier : "button1",
			title : TWID_REPLY,
			onClick : "action?select=DetailView0",
		}
		srcData[1] = {
			type : "button",
			identifier : "button2",
			title : TWID_RETWEET_VERB,
			onClick : "action?select=DetailView1",
		}
		srcData[2] = {
			type : "button",
			identifier : "button3",
			title : TWID_PROFILE,
			onClick : "action?select=DetailView3",
		}
		jQuery.sfIRemote('source', srcData, "menuid8");
	}
}


iRemote.prototype.IMEcancel = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var popmessg = SID_CANCEL_EDITING_Q_MSG;
	var popData = "";
	var buttonNames = new Array();
	var buttonURLs = new Array();

	buttonNames[0] = SID_YES;
	buttonURLs[0] = "action?imecancel=Yes";
	buttonNames[1] = SID_NO;
	buttonURLs[1] = "action?imecancel=No";

	popData = {
		title : "",
		descr  : popmessg,
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}


iRemote.prototype.searchIMEcancel = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var popmessg = SID_CANCEL_EDITING_Q_MSG;
	var popData = null;
	var buttonNames = new Array();
	var buttonURLs = new Array();

	buttonNames[0] = SID_YES;
	buttonURLs[0] = "action?searchImeCancel=Yes";
	buttonNames[1] = SID_NO;
	buttonURLs[1] = "action?searchImeCancel=No";

	popData = {
		title : "",
		descr  : popmessg,
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}


iRemote.prototype.dirmssgIMEcancel = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var popmessg = SID_CANCEL_EDITING_Q_MSG;
	var popData = null;
	var buttonNames = new Array();
	var buttonURLs = new Array();

	buttonNames[0] = SID_YES;
	buttonURLs[0] = "action?dirmssgImeCancel=Yes";
	buttonNames[1] = SID_NO;
	buttonURLs[1] = "action?dirmssgImeCancel=No";
	
	popData = {
		title : "",
		descr  : popmessg,
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}


iRemote.prototype.yesNoPopup = function(mssg){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	// popmessg = "Are you deleting the selected writing ?"
	var popData = null;
	var buttonNames = new Array();
	var buttonURLs = new Array();

	buttonNames[0] = SID_YES;
	buttonURLs[0] = "action?delete=Yes";
	buttonNames[1] = SID_NO;
	buttonURLs[1] = "action?delete=No";
	
	popData = {
		title : "",
		descr  : mssg,
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}


iRemote.prototype.messgPopup = function(mssg1, mssg2){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	// popmessg = "Are you deleting the selected writing ?"
	var popData = null;
	var buttonNames = new Array();
	var buttonURLs = new Array();

	buttonNames[0] = SID_OK;
	buttonURLs[0] = "action?mssg=OK";
	
	popData = {
		title : mssg1,
		descr  : mssg2,
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}


iRemote.prototype.popupSort = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var popData = null;
	var buttonNames = new Array();
	var buttonURLs = new Array();

	buttonNames[0] = SID_ALL;
	buttonURLs[0] = "action?select=all";
	buttonNames[1] = "@" + TwitterMain.SessionUserID;
	buttonURLs[1] = "action?select=username";
	buttonNames[2] = TWID_FAVORITES;
	buttonURLs[2] = "action?select=favorites";
	buttonNames[3] = SID_RETURN;
	buttonURLs[3] = "action?select=return";

	popData = {
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}


iRemote.prototype.popupOff = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	jQuery.sfIRemote('popupoff');
}


iRemote.prototype.popup = function(id){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var popData = null;
	var buttonNames = new Array();
	var buttonURLs = new Array();
	var variableUser = "";
	if (HomePopupMgr.mode == 1) {
		variableUser = HomeMgr.current_status_list[id].UserId;
	} 
	else if (HomePopupMgr.mode == 2) {
		variableUser = PeopleMgr.current_user_list[id].UserId;
	}
	else if (HomePopupMgr.mode == 4) {
		variableUser = SearchMgr.current_status_list[id].UserId;
	} 
	else if (HomePopupMgr.mode == 5) {
		variableUser = ProfilePeopleMgr.current_user_list[id].UserId;
	}
	if (variableUser == TwitterMain.SessionUID) {
		buttonNames[0] = TWID_MENTION;
		buttonURLs[0] = "action?selpopup=Mention";
		buttonNames[1] = SID_RETURN;
		buttonURLs[1] = "action?selpopup=Return";
	}
	else {
		if (People.ContainFollowersId(variableUser)) {
			buttonNames[0] = TWID_PROFILE;
			buttonURLs[0] = "action?selpopup=Profile";
			buttonNames[1] = TWID_MENTION;
			buttonURLs[1] = "action?selpopup=Mention";

			buttonNames[2] = TWID_DIRECT_MESSAGE;
			buttonURLs[2] = "action?selpopup=DirectMessage";

			if (People.ContainFollowingId(variableUser)) {
				buttonNames[3] = TWID_UNFOLLOW;
				buttonURLs[3] = "action?selpopup=UnFollow";
			} 
			else {
				buttonNames[3] = TWID_FOLLOW;
				buttonURLs[3] = "action?selpopup=UnFollow";
			}
			buttonNames[4] = TWID_BLOCK;
			buttonURLs[4] = "action?selpopup=Block";
			buttonNames[5] = SID_RETURN;
			buttonURLs[5] = "action?selpopup=Return";
		} 
		else {
			buttonNames[0] = TWID_PROFILE;
			buttonURLs[0] = "action?selpopup=Profile";
			buttonNames[1] = TWID_MENTION;
			buttonURLs[1] = "action?selpopup=Mention";
			if (People.ContainFollowingId(variableUser)) {
				buttonNames[2] = TWID_UNFOLLOW;
				buttonURLs[2] = "action?selpopup=UnFollow";
			}
			else {
				buttonNames[2] = TWID_FOLLOW;
				buttonURLs[2] = "action?selpopup=UnFollow";
			}
			buttonNames[3] = TWID_BLOCK;
			buttonURLs[3] = "action?selpopup=Block";
			buttonNames[4] = SID_RETURN;
			buttonURLs[4] = "action?selpopup=Return";
		}
	}
	popData = {
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}


iRemote.prototype.popupProfile = function(id){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var popData = null;
	var buttonNames = new Array();
	var buttonURLs = new Array();
	var variableUser = "";

	variableUser = ProfileMgr.current_status_list[id].UserId;

	if (People.ContainFollowersId(variableUser)) {
		buttonNames[0] = TWID_MENTION;
		buttonURLs[0] = "action?selpopupPro=Mention";

		buttonNames[1] = TWID_DIRECT_MESSAGE;
		buttonURLs[1] = "action?selpopupPro=DirectMessage";

		buttonNames[2] = TWID_BLOCK;
		buttonURLs[2] = "action?selpopupPro=Block";
		buttonNames[3] = SID_RETURN;
		buttonURLs[3] = "action?selpopupPro=Return";
	} 
	else {

		buttonNames[0] = TWID_MENTION;
		buttonURLs[0] = "action?selpopupPro=Mention";

		buttonNames[1] = TWID_BLOCK;
		buttonURLs[1] = "action?selpopupPro=Block";
		buttonNames[2] = SID_RETURN;
		buttonURLs[2] = "action?selpopupPro=Return";
	}
	popData = {
		buttonNames : buttonNames,
		buttonURLs : buttonURLs
	}
	jQuery.sfIRemote('popup', popData);
}

/*
 * @brief iPhone action
 * @remarks function for drwaing Home Page
 * @param 
 *            
 * @return xml metadata
 */


iRemote.prototype.home = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	DetailViewMgr.mode = 1;
	HomePopupMgr.mode = 1;

	var srcData = new Array();

	var userListLength = HomeMgr.current_status_list.length;
	for (var i = 0; i < userListLength; i++) {
		var titleName = HomeMgr.current_status_list[i].ScreenName+ " "+ Util.ExtractMessage("",	HomeMgr.current_status_list[i].CreatedAt);
		var statusMsg = HomeMgr.current_status_list[i].Text;
		var profilePic = HomeMgr.current_status_list[i].ProfileImageUrl;
		if (HomeMgr.current_status_list[i].UserId == TwitterMain.SessionUID) {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : titleName,
				description : statusMsg,
				image : profilePic,
				onClick : "action?ulist=" + i
			}
		} else {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : titleName,
				description : statusMsg,
				image : profilePic,
				onClick : "action?ulist=" + i,
				onTrue : "action?taglist=" + i
			}
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid1");
}

/*
 * @brief iPhone action
 * @remarks function for drwaing People Page
 * @param 
 *            
 * @return xml metadata
 */
 

iRemote.prototype.people = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	DetailViewMgr.mode = 2;
	HomePopupMgr.mode = 2;
	var srcData = new Array();

	for (var i = 0; i < PeopleMgr.current_user_list.length; i++) {
		if (PeopleMgr.current_user_list[i].Location != "") {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : PeopleMgr.current_user_list[i].ScreenName +	"  " + Util.ExtractMessage("", PeopleMgr.current_user_list[i].CreatedAt),
				description : PeopleMgr.current_user_list[i].Name + " | " +	PeopleMgr.current_user_list[i].Location + "\n" + PeopleMgr.current_user_list[i].Text,
				desclinebreak : "wrap",
				image : PeopleMgr.current_user_list[i].ProfileImageUrl,
				onClick : "action?taglist=" + i,
			}
		}
		else {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : PeopleMgr.current_user_list[i].ScreenName +	"  " + Util.ExtractMessage("", PeopleMgr.current_user_list[i].CreatedAt),
				description : PeopleMgr.current_user_list[i].Name + "\n" + PeopleMgr.current_user_list[i].Text,
				desclinebreak : "wrap",
				image : PeopleMgr.current_user_list[i].ProfileImageUrl,
				onClick : "action?taglist=" + i,
			}
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid2");

}


/*
 * @brief iPhone action
 * @remarks function for drwaing profile Page
 * @param 
 *            
 * @return xml metadata
 */

iRemote.prototype.profile = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	DetailViewMgr.mode = 3;
	
	var menuObj = null;
	var srcData = new Array();
	var multiTitlesProfile = new Array();
	var multiURLsProfile = new Array();

	multiTitlesProfile[0] = SID_REFRESH;
	multiTitlesProfile[1] = TWID_HOME;

	if (UIProfile.follow_check_div.style.display == DISPLAY_BLOCK) {
		multiTitlesProfile[2] = TWID_UNFOLLOW;
	}
	else if (UIProfile.follow_check_div.style.display == DISPLAY_NONE) {
		multiTitlesProfile[2] = TWID_FOLLOW;
	}
	multiTitlesProfile[3] = ProfileMgr.current_status.FriendsCount + "-" + TWID_FOLLOWING;
	multiTitlesProfile[4] = ProfileMgr.current_status.FollowersCount + "-" + TWID_FOLLOWERS;

	multiURLsProfile[0] = "action?colormenu=ProfileRefresh";
	multiURLsProfile[1] = "action?menu=Home";
	multiURLsProfile[2] = "action?colormenu=UnFollow";
	multiURLsProfile[3] = "action?colormenu=Following";
	multiURLsProfile[4] = "action?colormenu=Followers";

	menuObj = {
		type : "custom",
		identifier : "menuid10",
		title : TWID_PROFILE,
		name : TWID_PROFILE,
		icon : "example/a.png",
		multiTitles : multiTitlesProfile,
		multiURLs : multiURLsProfile
	}
	jQuery.sfIRemote('menu', menuObj);

	for (var i = 0; i < ProfileMgr.current_status_list.length; i++) {
		srcData[i] = {
			type : "desc",
			identifier : "id"+i,
			title : Util.ExtractMessage("", ProfileMgr.current_status_list[i].CreatedAt),
			description : ProfileMgr.current_status_list[i].Text,
			onClick : "action?ulist="+ i,
			onTrue : "action?profileTools=" + i
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid10");
}

/*
 * @brief iPhone action
 * @remarks function for drwaing profile people following Page
 * @param 
 *            
 * @return xml metadata
 */

iRemote.prototype.profilePeopleFollowing = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	HomePopupMgr.mode = 5;
	var menuObj = null;
	var srcData = new Array();
	var multiTitlesProfile = new Array();
	var multiURLsProfile = new Array();

	multiTitlesProfile[0] = SID_REFRESH;
	multiTitlesProfile[1] = TWID_HOME;

	multiURLsProfile[0] = "action?colormenu=ProfilePeopleRefresh";
	multiURLsProfile[1] = "action?menu=Home";

	menuObj = {
		type : "custom",
		identifier : "menuid13",
		title : TWID_PROFILE + ">" + TWID_FOLLOWING +  "(" + ProfileMgr.current_status.FriendsCount+ ")",
		name : TWID_PROFILE,
		icon : "example/a.png",
		multiTitles : multiTitlesProfile,
		multiURLs : multiURLsProfile
	}
	jQuery.sfIRemote('menu', menuObj);

	for (var i = 0; i < ProfilePeopleMgr.current_user_list.length; i++) {
		if (ProfilePeopleMgr.current_user_list[i].Location != "") {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : ProfilePeopleMgr.current_user_list[i].ScreenName +	"  " +	Util.ExtractMessage("", ProfilePeopleMgr.current_user_list[i].CreatedAt),
				description : ProfilePeopleMgr.current_user_list[i].Name + " | " +	ProfilePeopleMgr.current_user_list[i].Location + "\n" +	ProfilePeopleMgr.current_user_list[i].Text,
				desclinebreak : "wrap",
				image : ProfilePeopleMgr.current_user_list[i].ProfileImageUrl,
				onClick : "action?taglist=" + i,
			}
		}
		else {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : ProfilePeopleMgr.current_user_list[i].ScreenName +	"  " +	Util.ExtractMessage("", ProfilePeopleMgr.current_user_list[i].CreatedAt),
				description : ProfilePeopleMgr.current_user_list[i].Name + "\n" + ProfilePeopleMgr.current_user_list[i].Text,
				desclinebreak : "wrap",
				image : ProfilePeopleMgr.current_user_list[i].ProfileImageUrl,
				onClick : "action?taglist=" + i,
			}
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid13");

}

/*
 * @brief iPhone action
 * @remarks function for drwaing profile people folllowers Page
 * @param 
 *            
 * @return xml metadata
 */

iRemote.prototype.profilePeopleFollowers = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	HomePopupMgr.mode = 5;
	var menuObj = null;
	var srcData = new Array();
	var multiTitlesProfile = new Array();
	var multiURLsProfile = new Array();

	multiTitlesProfile[0] = SID_REFRESH;
	multiTitlesProfile[1] = TWID_HOME;

	multiURLsProfile[0] = "action?colormenu=ProfilePeopleRefresh";
	multiURLsProfile[1] = "action?menu=Home";

	menuObj = {
		type : "custom",
		identifier : "menuid13",
		title : TWID_PROFILE + ">" + TWID_FOLLOWERS +  "(" + ProfileMgr.current_status.FollowersCount+ ")",
		name : TWID_PROFILE,
		icon : "example/a.png",
		multiTitles : multiTitlesProfile,
		multiURLs : multiURLsProfile
	}
	jQuery.sfIRemote('menu', menuObj);
	
	for (var i = 0; i < ProfilePeopleMgr.current_user_list.length; i++) {
		if (ProfilePeopleMgr.current_user_list[i].Location != "") {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : ProfilePeopleMgr.current_user_list[i].ScreenName + "  " + Util.ExtractMessage("", ProfilePeopleMgr.current_user_list[i].CreatedAt),
				description : ProfilePeopleMgr.current_user_list[i].Name + " | " +	ProfilePeopleMgr.current_user_list[i].Location + "\n" +	ProfilePeopleMgr.current_user_list[i].Text,
				desclinebreak : "wrap",
				image : ProfilePeopleMgr.current_user_list[i].ProfileImageUrl,
				onClick : "action?taglist=" + i,
			}
		}
		else {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : ProfilePeopleMgr.current_user_list[i].ScreenName +	"  " +	Util.ExtractMessage("", ProfilePeopleMgr.current_user_list[i].CreatedAt),
				description : ProfilePeopleMgr.current_user_list[i].Name + "\n" +	ProfilePeopleMgr.current_user_list[i].Text,
				desclinebreak : "wrap",
				image : ProfilePeopleMgr.current_user_list[i].ProfileImageUrl,
				onClick : "action?taglist=" + i,
			}
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid13");
}
/*
 * @brief iPhone action
 * @remarks function for drwaing Topics Page
 * @param 
 *            
 * @return xml metadata
 */

iRemote.prototype.topics = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	DetailViewMgr.mode = 4;
	HomePopupMgr.mode = 4;
	var srcData = new Array();

	var topicLength = TopicsMgr.current_topic_list.length;
	for (var i = 0; i < topicLength; i++) {
		srcData[i] = {
			type : "normal",
			identifier : "id"+i,
			title : TopicsMgr.current_topic_list[i].name,
			onClick : "action?topicsIndex=" + i
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid4");
}

/*
 * @brief iPhone action
 * @remarks function for drwaing Topics Iterm Search Page
 * @param 
 *            
 * @return xml metadata
 */

iRemote.prototype.topicItemSearch = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var menuObj = null;
	var srcData = new Array();
	var multiTitles = new Array();
	var multiURLs = new Array();
	multiTitles[0] = SID_REFRESH;
	multiTitles[1] = TWID_HOME;
	multiURLs[0] = "action?menu=topiclistRefresh";
	multiURLs[1] = "action?menu=Home";
	
	menuObj = {
		type : "custom",
		identifier : "menuid15",
		title : SID_MIX_REAL_TIME_RESULTS_FOR + TopicsMgr.current_topic_list[TopicsMgr.current_index].name,
		name : TWID_HOME,
		icon : "example/b.png",
		multiTitles : multiTitles,
		multiURLs : multiURLs
	}
	jQuery.sfIRemote('menu', menuObj);

	for (var i = 0; i < SearchMgr.current_status_list.length; i++) {
		var titleName = SearchMgr.current_status_list[i].ScreenName	+ " " + Util.ExtractMessage("",	SearchMgr.current_status_list[i].CreatedAt);
		var statusMsg = SearchMgr.current_status_list[i].Text;
		var profilePic = SearchMgr.current_status_list[i].ProfileImageUrl;
		
		srcData[i] = {
			type : "imagedesc",
			identifier : "id"+i,
			title : titleName,
			description : statusMsg,
			image : profilePic,
			onClick : "action?ulist=" + i,
			onTrue : "action?taglist=" + i
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid15");
}
/*
 * @brief iPhone action
 * @remarks function for drwaing MyProfile Page
 * @param 
 *            
 * @return xml metadata
 */


iRemote.prototype.myProfile = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	DetailViewMgr.mode = 6;

	var srcData = new Array();
	var profileLength = MoreMgr.current_status_list.length;
	for (var i = 0; i < profileLength; i++) {
		srcData[i] = {
			type : "desc",
			identifier : "id"+i,
			title : Util.ExtractMessage("", MoreMgr.current_status_list[i].CreatedAt),
			description : MoreMgr.current_status_list[i].Text,
			onClick : "action?ulist=" + i,
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid5");
}

 /*
 * @brief iPhone action
 * @remarks function for drwaingnew Topic Item Search
 * @param 
 *            
 * @return xml metadata
 */


iRemote.prototype.newTopicSearch = function(title){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var menuObj = null;
	var srcData = new Array();
	var multiTitles = new Array();
	var multiURLs = new Array();

	multiTitles[0] = SID_REFRESH;
	multiTitles[1] = TWID_HOME;
	multiURLs[0] = "action?menu=topiclistRefresh";
	multiURLs[1] = "action?menu=Home";
	
	menuObj = {
		type : "custom",
		identifier : "menuid17",
		title : SID_MIX_REAL_TIME_RESULTS_FOR + title,
		name : TWID_HOME,
		icon : "example/b.png",
		multiTitles : multiTitles,
		multiURLs : multiURLs
	}
	jQuery.sfIRemote('menu', menuObj);

	for (var i = 0; i < SearchMgr.current_status_list.length; i++){
		var titleName = SearchMgr.current_status_list[i].ScreenName;
		var statusMsg = SearchMgr.current_status_list[i].Text;
		var profilePic = SearchMgr.current_status_list[i].ProfileImageUrl;
		
		srcData[i] = {
			type : "imagedesc",
			identifier : "id"+i,
			title : titleName,
			description : statusMsg,
			image : profilePic,
			onClick : "action?ulist=" + i,
			onTrue : "action?taglist=" + i
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid17");
}

 /*
 * @brief iPhone action
 * @remarks function for drwaing Direct Message
 * @param 
 *            
 * @return xml metadata
 */


iRemote.prototype.directMessage = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var srcData = new Array();

	if (DirectMessagesMgr.mode == 100) {
		for (var i = 0; i < DirectMessagesMgr.current_status_list.length; i++) {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : DirectMessagesMgr.current_status_list[i].Sender.ScreenName + " " + Util.ExtractMessage("", DirectMessagesMgr.current_status_list[i].CreatedAt),
				description : DirectMessagesMgr.current_status_list[i].Text,
				image : DirectMessagesMgr.current_status_list[i].Sender.ProfileImageUrl,
				onClick : "action?directMessgDetailView=" + i
			}
		}
	}
	else {
		for (var i = 0; i < DirectMessagesMgr.current_status_list.length; i++) {
			srcData[i] = {
				type : "imagedesc",
				identifier : "id"+i,
				title : DirectMessagesMgr.current_status_list[i].Recipient.ScreenName + " " + Util.ExtractMessage("", DirectMessagesMgr.current_status_list[i].CreatedAt),
				description : DirectMessagesMgr.current_status_list[i].Text,
				image : DirectMessagesMgr.current_status_list[i].Recipient.ProfileImageUrl,
				onClick : "action?directMessgDetailView=" + i
			}
		}
	}
	jQuery.sfIRemote('source', srcData, "menuid3");
}


iRemote.prototype.noTweetMessage = function(textmsg1, textmsg2, textmsg3){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var srcData = null;
	srcData = {
		type : "text",
		identifier : "text1",
		description : textmsg1 + "\n" + textmsg2 + "\n" + textmsg3
	}
	jQuery.sfIRemote('source', srcData, "menuid1");
}


iRemote.prototype.noPeopleFollow = function(textmsg1, textmsg2){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var srcData = null;
	srcData = {
		type : "text",
		identifier : "text2",
		description : textmsg1 + "\n" + textmsg2
	}
	jQuery.sfIRemote('source', srcData, "menuid2");
}


iRemote.prototype.noDirectMessage = function(textmsg1, textmsg2){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var srcData = null;
	srcData = {
		type : "text",
		identifier : "text3",
		description : textmsg1 + "\n" + textmsg2
	}
	jQuery.sfIRemote('source', srcData, "menuid3");
}


iRemote.prototype.directNewMessage = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
    DirectMessageIME.mode = 3 ;
    var menuObj = null;
   	menuObj = {
		type : "custom",
		identifier : "menuid16",
		title : TWID_DIRECT_MESSAGE,
		name : TWID_DIRECT_MESSAGE,
		icon : "example/b.png"
	}
	jQuery.sfIRemote('menu', menuObj);

    
	var srcData = new Array();
	srcData[0] = {
		type : "text",
		identifier : "text1",
		description : "User Name"
	}
	srcData[1] = {
		type : "edit",
		identifier : "edit1",
		title : "User Name",
		onClick : "action?MailSenderName=[$edit1.value$]"
	}
	srcData[2] = {
		type : "text",
		identifier : "text2",
		description : "Message"
	}
	srcData[3] = {
		type : "edit",
		identifier : "edit2",
		onClick : "action?EditMessage=[$edit2.value$]"
	}
	jQuery.sfIRemote('source', srcData, "menuid16");
}


iRemote.prototype.onLoad = function(){
	if(!iRemoteTW.brwsrVer){
		return;
	}
	var menuObj = new Array();

	var multiTitlesHome = new Array();
	var multiURLsHome = new Array();

	multiTitlesHome[0] = SID_REFRESH;
	multiTitlesHome[1] = SID_NEW_TWEET;
	multiTitlesHome[2] = SID_SORT;

	multiURLsHome[0] = "action?colormenu=Refresh";
	multiURLsHome[1] = "action?colormenu=Tweet";
	multiURLsHome[2] = "action?colormenu=Sort";

	var multiTitlesPeople = new Array();
	var multiURLsPeople = new Array();

	multiTitlesPeople[0] = SID_REFRESH;
	if (PeopleMgr.mode == 1) {
		multiTitlesPeople[1] = TWID_FOLLOWERS;
	}
	else {
		multiTitlesPeople[1] = TWID_FOLLOWING;
	}
	multiURLsPeople[0] = "action?colormenu=PeopleRefresh";
	multiURLsPeople[1] = "action?colormenu=SwitchMode";

	var multiTitlesMyProfile = new Array();
	var multiURLsMyProfile = new Array();
	multiTitlesMyProfile[0] = SID_REFRESH;
	multiURLsMyProfile[0] = "action?colormenu=MyProfileRefresh";

	var multiTilesTopics = new Array();
	var multiURLsTopics = new Array();
	multiTilesTopics[0] = SID_REFRESH;
	multiTilesTopics[1] = SID_SEARCH;
	multiURLsTopics[0] = "action?colormenu=TopicRefresh";
	multiURLsTopics[1] = "action?colormenu=TopicsSearch";

	var multiTitlesDirMessage = new Array();
	var multiURLsDirMessage = new Array();

	multiTitlesDirMessage[0] = SID_REFRESH;
	multiTitlesDirMessage[1] = SID_NEW_MESSAGE;
	if (DirectMessagesMgr.mode == TwitterDefine.DirectMessage.Sent) {
		multiTitlesDirMessage[2] = TWID_INBOX;
	}
	else if (DirectMessagesMgr.mode == TwitterDefine.DirectMessage.Inbox) {
		multiTitlesDirMessage[2] = SID_SENT;
	}
	multiURLsDirMessage[0] = "action?colormenu=DirMessageRefresh";
	multiURLsDirMessage[1] = "action?colormenu=DirMessNew";
	multiURLsDirMessage[2] = "action?colormenu=DirMessageSwitchMode";

	if (iRemoteTW.switchFlag == 0) {
		menuObj[0] = {
			type : "custom",
			identifier : "menuid1",
			title : TWID_HOME,
			name : TWID_HOME,
			icon : "example/a.png",
			onClick : "action?menu=Home",
			multiTitles : multiTitlesHome, 
			multiURLs : multiURLsHome
		}
	}
	else if (iRemoteTW.switchFlag == 1) {
		menuObj[0] = {
			type : "custom",
			identifier : "menuid1",
			title : " ",
			name : TWID_HOME,
			icon : "example/a.png",
			onClick : "action?menu=Home"
		}
	}
	menuObj[1] = {
		type : "custom",
		identifier : "menuid2",
		title : "People",
		name : "People",
		icon : "example/b.png",
		onClick : "action?menu=People",
		multiTitles : multiTitlesPeople, 
		multiURLs : multiURLsPeople
	}
	menuObj[2] = {
		type : "custom",
		identifier : "menuid3",
		title : TWID_DIRECT_MESSAGE,
		name : TWID_DIRECT_MESSAGE,
		icon : "example/c.png",
		onClick : "action?menu=DirectMessage",
		multiTitles : multiTitlesDirMessage, 
		multiURLs : multiURLsDirMessage
	}
	menuObj[3] = {
		type : "custom",
		identifier : "menuid4",
		title : "Topics",
		name : "Topics",
		icon : "example/d.png",
		onClick : "action?menu=Topics",
		multiTitles : multiTilesTopics, 
		multiURLs : multiURLsTopics
	}
	menuObj[4] = {
		type : "custom",
		identifier : "menuid5",
		title : SID_MY_PROFILE,
		name : SID_MY_PROFILE,
		icon : "example/e.png",
		onClick : "action?menu=MyProfile",
		multiTitles : multiTitlesMyProfile, 
		multiURLs : multiURLsMyProfile
	}
	jQuery.sfIRemote('menu', menuObj);

	iRemoteTW.switchFlag = 0;

}