/**
 * Following/Unfollowing 기능을 수행하는 Friendships 기능을 구현한 클래스
 * @class Following/Unfollowing 기능을 수행하는 Friendships 기능을 구현한 클래스
 */
var Friendships =
{
	create_return_func : null,
	create_401_func : null,
	destroy_return_func : null,
	destroy_401_func : null,
	
	create_403_func : null,
	destroy_403_func : null,
	
	create_error_func : null,
	destroy_error_func : null
}

//////////////////////////////////////////////////////////////////

Friendships.SetCreateReturnFunc = function(func)
{
	this.create_return_func = func;	
}

Friendships.SetCreate401Func = function(func)
{
	this.create_401_func = func;	
} 

Friendships.SetCreate403Func = function(func)
{
	this.create_403_func = func;
}

Friendships.SetCreateErrorFunc = function(func)
{
	this.create_error_func = func;
}

Friendships.SetDestroy403Func = function(func)
{
	this.destroy_403_func = func;
}

Friendships.SetDestroyErrorFunc = function(func)
{
	this.destroy_error_func = func;
}

Friendships.OnCreate = function(httpRequest)
{
	alert("Friendships.OnCreate()");
	
	HomeMgr.Summary.get(TwitterMain.SessionUserID,function(){
		if(Friendships.create_return_func)
			Friendships.create_return_func();
	});
}

Friendships.OnCreate401 = function(httpRequest)
{
	alert("Friendships.OnCreate401()");
	if(Friendships.create_401_func)
		Friendships.create_401_func();
}

Friendships.OnCreate403 = function(httpRequest)
{
	alert("Friendships.OnCreate401()");
	if(Friendships.create_403_func)
		Friendships.create_403_func();
}

Friendships.OnCreateError = function(httpRequest)
{
	alert("Friendships.OnCreateError()");
	if(Friendships.create_error_func)
		Friendships.create_error_func();
}

Friendships.Create = function(target_id)
{
	TwitterConsumer.Init("post", FRIENDSHIPS_CREATE_URL + target_id + ".xml");
	
	//TwitterConsumer.Init("post", "http://"+ ID +":" +PASSWORD+"@twitter.com/favorites/create/" + status_id + ".xml");
	TwitterConsumer.SetOnReceive(Friendships.OnCreate);
	TwitterConsumer.SetOnErrorReceive(Friendships.OnCreateError);
	//TwitterConsumer.SetOn401Receive(Friendships.OnCreate401);
	//TwitterConsumer.SetOn403Receive(Friendships.OnCreate403);
	TwitterConsumer.Request();
}

/////////////////////////////////////////////////////////////////

Friendships.SetDestroyReturnFunc = function(func)
{
	this.destroy_return_func = func;	
}

Friendships.SetDestroy401Func = function(func)
{
	this.destroy_401_func = func;	
}

Friendships.OnDestroy = function(httpRequest)
{
	alert("Friendships.OnDestroy()");
	HomeMgr.Summary.get(TwitterMain.SessionUserID,function(){
		if(Friendships.destroy_return_func)
			Friendships.destroy_return_func();
	});
}

Friendships.OnDestroy401 = function(httpRequest)
{
	alert("Friendships.OnDestroy401()");
	if(Friendships.destroy_401_func)
		Friendships.destroy_401_func();
}

Friendships.OnDestroy403 = function(httpRequest)
{
	alert("Friendships.OnDestroy403()");
	if(Friendships.destroy_403_func)
		Friendships.destroy_403_func();
}

Friendships.OnDestroyError = function(httpRequest)
{
	alert("Friendships.OnDestroyError()");
	if(Friendships.destroy_error_func)
		Friendships.destroy_error_func();
}

Friendships.Destroy = function(target_id)
{
	TwitterConsumer.Init("post", FRIENDSHIPS_DESTROY_URL + target_id + ".xml");
	
	TwitterConsumer.SetOnReceive(Friendships.OnDestroy);
	TwitterConsumer.SetOnErrorReceive(Friendships.OnDestroyError);
	//TwitterConsumer.SetOn401Receive(Friendships.OnDestroy401);
	//TwitterConsumer.SetOn403Receive(Friendships.OnDestroy403);
	TwitterConsumer.Request();
}

////////////////////////////////////////////////////////////////