/**
 * StatusUserData를 만드는 클래스
 * @class StatusUserData를 만드는 클래스
 */
var StatusUserMaker =
{
	
}

StatusUserMaker.MakeStatusUserList = function(responseXML)
{
	var doc = responseXML;
	var response = doc.documentElement;
	var tmpItems = response.getElementsByTagName("status");
	var StatusList = null;
	if(tmpItems.length > 0 && tmpItems[0].hasChildNodes())
	{	
		StatusList = new Array(tmpItems.length);
		for (var i=0; i<Timeline.COUNT_IN_PAGE; i++)
			StatusList[i] = null;
		for (var i = 0; i < tmpItems.length; i++) 
		{
			var createdat = new Date(Date.parse(GetXmlNodeData(tmpItems[i].getElementsByTagName("created_at"))));
			
			var id = GetXmlNodeData(tmpItems[i].getElementsByTagName("id"));
			var text = GetXmlNodeData(tmpItems[i].getElementsByTagName("text"));
			var source = GetXmlNodeData(tmpItems[i].getElementsByTagName("source"));
			var truncatedstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("truncated"));
			var truncated = (truncatedstr == "true" ? true : false);
			var inreplytostatusid = GetXmlNodeData(tmpItems[i].getElementsByTagName("in_reply_to_status_id"));
			var inreplytouserid = GetXmlNodeData(tmpItems[i].getElementsByTagName("in_reply_to_user_id"));
			var favoritedstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("favorited"));
			var favorited = (favoritedstr == "true" ? true : false);
			var inreplytoscreenname = GetXmlNodeData(tmpItems[i].getElementsByTagName("in_reply_to_screen_name"));
			
			var tmpUser = tmpItems[i].getElementsByTagName("user");
			var user = null;
			var tmpUser_id = null;
			var tmpUser_name = null;
			var tmpUser_screenname = null;
			var tmpUser_location = null;
			var tmpUser_description = null;
			var tmpUser_profileimageurl = null;
			var tmpUser_url = null;
			var tmpUser_protectedstr = null;
			var tmpUser_protected = null;
			var tmpUser_followerscount = null;
			var tmpUser_profilebackgroundcolor = null;
			var tmpUser_profiletextcolor = null;
			var tmpUser_profilelinkcolor = null;
			var tmpUser_profilesidebarfillcolor = null;
			var tmpUser_profilesidebarbordercolor = null;
			var tmpUser_friendscount = null;
			var tmpUser_createdat = null;
			var tmpUser_favouritescount = null;
			var tmpUser_utcoffset = null;
			var tmpUser_timezone = null;
			var tmpUser_profilebackgroundimageurl = null;
			var tmpUser_profilebackgroundtilestr = null;
			var tmpUser_profilebackgroundtile = null;
			var tmpUser_statusescount = null;
			var tmpUser_notificationsstr = null;
			var tmpUser_notifications = null;
			var tmpUser_verifiedstr = null;
			var tmpUser_verified = null;
			var tmpUser_followingstr = null;
			var tmpUser_following = null;				
			if (tmpUser.length > 0 && tmpUser[0].hasChildNodes()) 
			{
				var tmpUser_id = GetXmlNodeData(tmpUser[0].getElementsByTagName("id"));
				var tmpUser_name = GetXmlNodeData(tmpUser[0].getElementsByTagName("name"));
				var tmpUser_screenname = GetXmlNodeData(tmpUser[0].getElementsByTagName("screen_name"));
				var tmpUser_location = GetXmlNodeData(tmpUser[0].getElementsByTagName("location"));
				var tmpUser_description = GetXmlNodeData(tmpUser[0].getElementsByTagName("description"));
				var tmpUser_profileimageurl = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_image_url"));
				var tmpUser_url = GetXmlNodeData(tmpUser[0].getElementsByTagName("url"));
				var tmpUser_protectedstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("protected"));
				var tmpUser_protected = (tmpUser_protectedstr == "true" ? true : false);
				var tmpUser_followerscount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("followers_count")));
				var tmpUser_profilebackgroundcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_background_color"));
				var tmpUser_profiletextcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_text_color"));
				var tmpUser_profilelinkcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_link_color"));
				var tmpUser_profilesidebarfillcolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_sidebar_fill_color"));
				var tmpUser_profilesidebarbordercolor = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_sidebar_border_color"));
				var tmpUser_friendscount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("friends_count")));
				var tmpUser_createdat = new Date(Date.parse(GetXmlNodeData(tmpUser[0].getElementsByTagName("created_at"))));
				var tmpUser_favouritescount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("favourites_count")));
				var tmpUser_utcoffset = GetXmlNodeData(tmpUser[0].getElementsByTagName("utc_offset"));
				var tmpUser_timezone = GetXmlNodeData(tmpUser[0].getElementsByTagName("time_zone"));
				var tmpUser_profilebackgroundimageurl = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_background_image_url"));
				var tmpUser_profilebackgroundtilestr = GetXmlNodeData(tmpUser[0].getElementsByTagName("profile_background_tile"));
				var tmpUser_profilebackgroundtile = (tmpUser_profilebackgroundtilestr == "true" ? true : false);
				var tmpUser_statusescount = parseInt(GetXmlNodeData(tmpUser[0].getElementsByTagName("statuses_count")));
				var tmpUser_notificationsstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("notifications"));
				var tmpUser_notifications = (tmpUser_notificationsstr == "true" ? true : false);
				var tmpUser_verifiedstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("verified"));
				var tmpUser_verified = (tmpUser_verifiedstr == "true" ? true : false);
				var tmpUser_followingstr = GetXmlNodeData(tmpUser[0].getElementsByTagName("following"));
				var tmpUser_following = (tmpUser_followingstr == "true" ? true : false);				
				
				user = new User(tmpUser_id, tmpUser_name, tmpUser_screenname, tmpUser_location, tmpUser_description, 
								tmpUser_profileimageurl, tmpUser_url, tmpUser_protected, tmpUser_followerscount, 
								tmpUser_profilebackgroundcolor, tmpUser_profiletextcolor, tmpUser_profilelinkcolor, 
								tmpUser_profilesidebarfillcolor, tmpUser_profilesidebarbordercolor, tmpUser_friendscount, 
								tmpUser_createdat, tmpUser_favouritescount, tmpUser_utcoffset, tmpUser_timezone, 
								tmpUser_profilebackgroundimageurl, tmpUser_profilebackgroundtile, tmpUser_statusescount, 
								tmpUser_notifications, tmpUser_verified, tmpUser_following);
			}	
						
			StatusList[i] = new StatusUserData(createdat, id, text, source, truncated, inreplytostatusid, inreplytouserid, 
									   		   favorited, inreplytoscreenname, tmpUser_id, tmpUser_name, tmpUser_screenname, 
											   tmpUser_location, tmpUser_description, tmpUser_profileimageurl, tmpUser_url, 
											   tmpUser_protected, tmpUser_followerscount, tmpUser_profilebackgroundcolor, 
											   tmpUser_profiletextcolor, tmpUser_profilelinkcolor, tmpUser_profilesidebarfillcolor,
											   tmpUser_profilesidebarbordercolor, tmpUser_friendscount, tmpUser_createdat,
											   tmpUser_favouritescount, tmpUser_utcoffset, tmpUser_timezone, 
											   tmpUser_profilebackgroundimageurl, tmpUser_profilebackgroundtile, 
											   tmpUser_statusescount, tmpUser_notifications, tmpUser_verified, tmpUser_following);
		}	
	}
	return StatusList;
}

StatusUserMaker.MakeUserStatusList = function(responseXML)
{
	
	var doc = responseXML;
	var response = doc.documentElement;
	var tmpItems = response.getElementsByTagName("user");
	var tmpPreCursor = GetXmlNodeData(response.getElementsByTagName("previous_cursor"));
	var tmpNextCursor = GetXmlNodeData(response.getElementsByTagName("next_cursor"));
	TWAlert("StatusUserMaker.MakeUserStatusList - previous_cursor : " + tmpPreCursor + ", next_cursor : " + tmpNextCursor);
	var StatusList = null;
	if(tmpItems.length > 0 && tmpItems[0].hasChildNodes())
	{	
		StatusList = new Array(tmpItems.length);
		for (var i=0; i<tmpItems.length; i++)
			StatusList[i] = null;
		for (var i = 0; i < tmpItems.length; i++) 
		{
			var user = null;
	
			var tmpUser_id = GetXmlNodeData(tmpItems[i].getElementsByTagName("id"));
			var tmpUser_name = GetXmlNodeData(tmpItems[i].getElementsByTagName("name"));
			var tmpUser_screenname = GetXmlNodeData(tmpItems[i].getElementsByTagName("screen_name"));
			var tmpUser_location = GetXmlNodeData(tmpItems[i].getElementsByTagName("location"));
			var tmpUser_description = GetXmlNodeData(tmpItems[i].getElementsByTagName("description"));
			var tmpUser_profileimageurl = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_image_url"));
			var tmpUser_url = GetXmlNodeData(tmpItems[i].getElementsByTagName("url"));
			var tmpUser_protectedstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("protected"));
			var tmpUser_protected = (tmpUser_protectedstr == "true" ? true : false);
			var tmpUser_followerscount = parseInt(GetXmlNodeData(tmpItems[i].getElementsByTagName("followers_count")));
			var tmpUser_profilebackgroundcolor = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_background_color"));
			var tmpUser_profiletextcolor = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_text_color"));
			var tmpUser_profilelinkcolor = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_link_color"));
			var tmpUser_profilesidebarfillcolor = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_sidebar_fill_color"));
			var tmpUser_profilesidebarbordercolor = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_sidebar_border_color"));
			var tmpUser_friendscount = parseInt(GetXmlNodeData(tmpItems[i].getElementsByTagName("friends_count")));
			var tmpUser_createdat = new Date(Date.parse(GetXmlNodeData(tmpItems[i].getElementsByTagName("created_at"))));
			var tmpUser_favouritescount = parseInt(GetXmlNodeData(tmpItems[i].getElementsByTagName("favourites_count")));
			var tmpUser_utcoffset = GetXmlNodeData(tmpItems[i].getElementsByTagName("utc_offset"));
			var tmpUser_timezone = GetXmlNodeData(tmpItems[i].getElementsByTagName("time_zone"));
			var tmpUser_profilebackgroundimageurl = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_background_image_url"));
			var tmpUser_profilebackgroundtilestr = GetXmlNodeData(tmpItems[i].getElementsByTagName("profile_background_tile"));
			var tmpUser_profilebackgroundtile = (tmpUser_profilebackgroundtilestr == "true" ? true : false);
			var tmpUser_statusescount = parseInt(GetXmlNodeData(tmpItems[i].getElementsByTagName("statuses_count")));
			var tmpUser_notificationsstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("notifications"));
			var tmpUser_notifications = (tmpUser_notificationsstr == "true" ? true : false);
			var tmpUser_verifiedstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("verified"));
			var tmpUser_verified = (tmpUser_verifiedstr == "true" ? true : false);
			var tmpUser_followingstr = GetXmlNodeData(tmpItems[i].getElementsByTagName("following"));
			var tmpUser_following = (tmpUser_followingstr == "true" ? true : false);
			var tmpUser_status = tmpItems[i].getElementsByTagName("status");
		
			var createdat = null;
					
			var id = null;
			var text = null;
			var source = null;
			var truncatedstr = null;
			var truncated = null;
			var inreplytostatusid = null;
			var inreplytouserid = null;
			var favoritedstr = null;
			var favorited = null;
			var inreplytoscreenname = null;
			if (tmpUser_status.length > 0 && tmpUser_status[0].hasChildNodes())
			{
				var createdat = new Date(Date.parse(GetXmlNodeData(tmpUser_status[0].getElementsByTagName("created_at"))));
				var id = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("id"));
				var text = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("text"));
				var source = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("source"));
				var truncatedstr = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("truncated"));
				var truncated = (truncatedstr == "true" ? true : false);
				var inreplytostatusid = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_status_id"));
				var inreplytouserid = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_user_id"));
				var favoritedstr = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("favorited"));
				var favorited = (favoritedstr == "true" ? true : false);
				var inreplytoscreenname = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_screen_name"));
			}
			
			user = new StatusUserData(createdat, id, text, source, truncated, inreplytostatusid, inreplytouserid, favorited, inreplytoscreenname,
									  tmpUser_id, tmpUser_name, tmpUser_screenname, tmpUser_location, tmpUser_description, 
									  tmpUser_profileimageurl, tmpUser_url, tmpUser_protected, tmpUser_followerscount, 
									  tmpUser_profilebackgroundcolor, tmpUser_profiletextcolor, tmpUser_profilelinkcolor, 
									  tmpUser_profilesidebarfillcolor, tmpUser_profilesidebarbordercolor, tmpUser_friendscount, 
									  tmpUser_createdat, tmpUser_favouritescount, tmpUser_utcoffset, tmpUser_timezone, 
									  tmpUser_profilebackgroundimageurl, tmpUser_profilebackgroundtile, tmpUser_statusescount, 
									  tmpUser_notifications,  tmpUser_verified, tmpUser_following, tmpPreCursor, tmpNextCursor);
			StatusList[i] = user;
		}	
	}
	return StatusList;
}

StatusUserMaker.MakeStatusUserListFromUser = function(responseXML)
{
	var doc = responseXML;
	var response = doc.documentElement;
	var tmpUser = response.getElementsByTagName("user");
	var user = null;
	
	var tmpUser_id = GetXmlNodeData(response.getElementsByTagName("id"));
	var tmpUser_name = GetXmlNodeData(response.getElementsByTagName("name"));
	var tmpUser_screenname = GetXmlNodeData(response.getElementsByTagName("screen_name"));
	var tmpUser_location = GetXmlNodeData(response.getElementsByTagName("location"));
	var tmpUser_description = GetXmlNodeData(response.getElementsByTagName("description"));
	var tmpUser_profileimageurl = GetXmlNodeData(response.getElementsByTagName("profile_image_url"));
	var tmpUser_url = GetXmlNodeData(response.getElementsByTagName("url"));
	var tmpUser_protectedstr = GetXmlNodeData(response.getElementsByTagName("protected"));
	var tmpUser_protected = (tmpUser_protectedstr == "true" ? true : false);
	var tmpUser_followerscount = parseInt(GetXmlNodeData(response.getElementsByTagName("followers_count")));
	var tmpUser_profilebackgroundcolor = GetXmlNodeData(response.getElementsByTagName("profile_background_color"));
	var tmpUser_profiletextcolor = GetXmlNodeData(response.getElementsByTagName("profile_text_color"));
	var tmpUser_profilelinkcolor = GetXmlNodeData(response.getElementsByTagName("profile_link_color"));
	var tmpUser_profilesidebarfillcolor = GetXmlNodeData(response.getElementsByTagName("profile_sidebar_fill_color"));
	var tmpUser_profilesidebarbordercolor = GetXmlNodeData(response.getElementsByTagName("profile_sidebar_border_color"));
	var tmpUser_friendscount = parseInt(GetXmlNodeData(response.getElementsByTagName("friends_count")));
	var tmpUser_createdat = new Date(Date.parse(GetXmlNodeData(response.getElementsByTagName("created_at"))));
	var tmpUser_favouritescount = parseInt(GetXmlNodeData(response.getElementsByTagName("favourites_count")));
	var tmpUser_utcoffset = GetXmlNodeData(response.getElementsByTagName("utc_offset"));
	var tmpUser_timezone = GetXmlNodeData(response.getElementsByTagName("time_zone"));
	var tmpUser_profilebackgroundimageurl = GetXmlNodeData(response.getElementsByTagName("profile_background_image_url"));
	var tmpUser_profilebackgroundtilestr = GetXmlNodeData(response.getElementsByTagName("profile_background_tile"));
	var tmpUser_profilebackgroundtile = (tmpUser_profilebackgroundtilestr == "true" ? true : false);
	var tmpUser_statusescount = parseInt(GetXmlNodeData(response.getElementsByTagName("statuses_count")));
	var tmpUser_notificationsstr = GetXmlNodeData(response.getElementsByTagName("notifications"));
	var tmpUser_notifications = (tmpUser_notificationsstr == "true" ? true : false);
	var tmpUser_verifiedstr = GetXmlNodeData(response.getElementsByTagName("verified"));
	var tmpUser_verified = (tmpUser_verifiedstr == "true" ? true : false);
	var tmpUser_followingstr = GetXmlNodeData(response.getElementsByTagName("following"));
	var tmpUser_following = (tmpUser_followingstr == "true" ? true : false);
	var tmpUser_status = response.getElementsByTagName("status");

	var createdat = null;
			
	var id = null;
	var text = null;
	var source = null;
	var truncatedstr = null;
	var truncated = null;
	var inreplytostatusid = null;
	var inreplytouserid = null;
	var favoritedstr = null;
	var favorited = null;
	var inreplytoscreenname = null;
	if (tmpUser_status.length > 0 && tmpUser_status[0].hasChildNodes())
	{
		var createdat = new Date(Date.parse(GetXmlNodeData(tmpUser_status[0].getElementsByTagName("created_at"))));
			
		var id = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("id"));
		var text = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("text"));
		var source = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("source"));
		var truncatedstr = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("truncated"));
		var truncated = (truncatedstr == "true" ? true : false);
		var inreplytostatusid = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_status_id"));
		var inreplytouserid = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_user_id"));
		var favoritedstr = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("favorited"));
		var favorited = (favoritedstr == "true" ? true : false);
		var inreplytoscreenname = GetXmlNodeData(tmpUser_status[0].getElementsByTagName("in_reply_to_screen_name"));
	}
	
	user = new StatusUserData(createdat, id, text, source, truncated, inreplytostatusid, inreplytouserid, favorited, inreplytoscreenname,
							  tmpUser_id, tmpUser_name, tmpUser_screenname, tmpUser_location, tmpUser_description, 
							  tmpUser_profileimageurl, tmpUser_url, tmpUser_protected, tmpUser_followerscount, 
							  tmpUser_profilebackgroundcolor, tmpUser_profiletextcolor, tmpUser_profilelinkcolor, 
							  tmpUser_profilesidebarfillcolor, tmpUser_profilesidebarbordercolor, tmpUser_friendscount, 
							  tmpUser_createdat, tmpUser_favouritescount, tmpUser_utcoffset, tmpUser_timezone, 
							  tmpUser_profilebackgroundimageurl, tmpUser_profilebackgroundtile, tmpUser_statusescount, 
							  tmpUser_notifications,  tmpUser_verified, tmpUser_following);
					
	return user;
}
