/**
 * Messages 카테고리?구현???래??
 * @class Messages 카테고리?구현???래??
 */
var DirectMessagesMgr = 
{
	current_page : 1,
	current_index : 0,
	max_page : -1,
	is_first_show : true,
	current_status_list : null,
	current_status_cut_list : null,
	
	key_anchor : null,
	
	inbox_data : null,
	sent_data : null,
	
	inbox_update : true,
	sent_update : true,
	
	inbox_load_no : 1,
	sent_load_no : 1,
	
	inbox_load_finish : false,
	sent_load_finish : false,
	
	mode : 100,
	
	COUNT_IN_PAGE : 4
}

/**
 * ?당(Inbox or Sent) ?이?트메시지 리스?? ?데?트 ???용???을 ???출?는 ?수.
 * ???수??출?고 Show?수??출?면 ?데?트 ???용???으??데?트 ??
 * @param {Number} mode 100:Inbox, 101:Sent
 */
DirectMessagesMgr.SetUpdate = function(mode)
{
	switch(mode)
	{
		case 100:
			this.inbox_update = true;
			break;
		case 101:
			this.sent_update = true;
			break;
	}
}

/**
 * ?재 모드값을 ?음
 * @return {Number} 100:Inbox, 101:Sent
 */
DirectMessagesMgr.GetMode = function()
{
	return this.mode;
}

/**
 * Inbox ?이?트 메시지 리스?? ?공?으?받? ???출?는 콜백 ?수 
 * @param {DirectMessage} status_list 받아???이?트 메시지 리스??
 * @param {Number} load_no 몇번째로 로드?었?? ?려주는 ?
 */
DirectMessagesMgr.OnGetDirectMessagesSuccessful = function(status_list, load_no)
{
	alert("DirectMessagesMgr.OnGetDirectMessagesSuccessful()");
	alert("?이?트 메시지 받기 ?공!");
	LoadingMgr.Hide();
	UIDirectMessages.SetInboxMessage();
	if (load_no == 1 && status_list == null) {
		DirectMessagesMgr.Display();
		DirectMessagesMgr.Focus();
		return;
	} else if (load_no > 1 && status_list == null) {
		DirectMessagesMgr.current_page = 1;
		DirectMessagesMgr.current_index = 0;
		
		DirectMessagesMgr.inbox_load_finish = true; 
		DirectMessagesMgr.Display();
		DirectMessagesMgr.Focus();
		return;
	}
	
	DirectMessagesMgr.inbox_load_no = load_no;
	alert("*"+load_no);
	
	var tmp_list = new Array();
	for(var i=0; i<status_list.length; i++)
	{
		if(status_list[i])
			tmp_list[tmp_list.length] = status_list[i];
	}
	status_list = tmp_list;
	
	if(load_no > 1)
	{
		for(var i=0; i<status_list.length; i++)
		{
			DirectMessagesMgr.current_status_list[DirectMessagesMgr.current_status_list.length] = status_list[i];
		}
		HomeMgr.Focus();
	}
	else
	{
		DirectMessagesMgr.current_status_list = status_list;	
	}
	
	DirectMessagesMgr.Display();
	DirectMessagesMgr.Focus();
}

/**
 * Sent ?이?트 메시지 리스?? ?공?으?받? ???출?는 콜백 ?수 
 * @param {DirectMessage} status_list 받아???이?트 메시지 리스??
 * @param {Number} load_no 몇번째로 로드?었?? ?려주는 ?
 */
DirectMessagesMgr.OnGetSentDirectMessagesSuccessful = function(status_list, load_no)
{
	alert("DirectMessagesMgr.OnGetSentDirectMessagesSuccessful()");
	alert("Sent ?이?트 메시지 받기 ?공!");
	
	LoadingMgr.Hide();
	UIDirectMessages.SetSentMessage();
	DirectMessagesMgr.Focus();
	if (load_no == 1 && status_list == null) {
		DirectMessagesMgr.Display();
		DirectMessagesMgr.Focus();
		return;
	} else if (load_no > 1 && status_list == null) 
	{
		DirectMessagesMgr.current_page = 1;
		DirectMessagesMgr.current_index = 0;
		
		DirectMessagesMgr.sent_load_finish = true;
		DirectMessagesMgr.Display();
		DirectMessagesMgr.Focus();
		return;
	}
	
	DirectMessagesMgr.sent_load_no = load_no;
	
	var tmp_list = new Array();
	for(var i=0; i<status_list.length; i++)
	{
		if(status_list[i])
			tmp_list[tmp_list.length] = status_list[i];
	}
	status_list = tmp_list;
	
	if(load_no > 1)
	{
		for(var i=0; i<status_list.length; i++)
			DirectMessagesMgr.current_status_list[DirectMessagesMgr.current_status_list.length] = status_list[i];

		DirectMessagesMgr.Refresh();
		DirectMessagesMgr.Focus();
	}
	else
		DirectMessagesMgr.current_status_list = status_list;
	
	DirectMessagesMgr.Display();
}

/**
 * DirectMessagesMgr 초기??
 */
DirectMessagesMgr.Init = function()
{
	alert("DirectMessagesMgr.Init()");
	UIDirectMessages.Init();
	this.key_anchor = document.getElementById("DirectMessageKeyAnchor");
	this.inbox_data = new DirectMessagesMgrData(1,0,-1,true,null);
	this.sent_data = new DirectMessagesMgrData(1,0,-1,true,null);
}

/**
 * Inbox? Sent??환?????환?기 ?의 ?이?? ??해 ?는 ?수
 */
DirectMessagesMgr.SaveDirectMessagesMgrData = function()
{
	var current_data = null;
	if(this.mode == 100)
		this.inbox_data = new DirectMessagesMgrData(this.current_page, this.current_index, this.max_page,
													this.is_first_show, this.current_status_list);
	else if(this.mode == 101)
		this.sent_data = new DirectMessagesMgrData(this.current_page, this.current_index, this.max_page,
												   this.is_first_show, this.current_status_list);
}

/**
 * Inbox? Sent??환?????당 ?이??값으??당?는 ?수
 * @param {DirectMessagesMgrData} data 바? ?이???
 */
DirectMessagesMgr.AssignDirectMessagesMgrData = function(data)
{
	alert("DirectMessagesMgr.AssignDirectMessagesMgrData()");
	alert(data.CurrentPage);
	alert(data.CurrentIndex);
	alert(data.MaxPage);
	alert(data.IsFirstShow);
	alert(data.CurrentUserList);
	
	this.current_page = 1;
	this.current_index = 0;
	this.max_page = data.MaxPage;
	this.is_first_show = data.IsFirstShow;
	this.current_status_list = data.CurrentUserList;
}

/**
 * Inbox? Sent??환?는 ?수
 */
DirectMessagesMgr.SwitchMode = function()
{
	alert("DirectMessagesMgr.SwitchMode() -> " + this.mode);
	DirectMessagesMgr.SaveDirectMessagesMgrData();
	HelpNavigationMgr.HideDirectMessagesHelp();
	
	if(this.mode == 100)
	{
		//HelpNavigationMgr.ShowDirectMessagesHelp(2);
		DirectMessagesMgr.AssignDirectMessagesMgrData(this.sent_data);
		this.mode = 101;
	}
	else if(this.mode == 101)
	{
		//HelpNavigationMgr.ShowDirectMessagesHelp(1);
		DirectMessagesMgr.AssignDirectMessagesMgrData(this.inbox_data);
		this.mode = 100;
	}
}

/**
 * ?이?트 메시지??공?으????????출?는 콜백?수
 */
DirectMessagesMgr.OnDelete = function()
{
	alert("DirectMessagesMgr.OnDelete()");
	
	LoadingMgr.Hide();
	//interactive remote start
	iRemoteTW.messgPopup("", SID_TWEET_DELETED_SUCCESSFULLY); 
	//interactive remote end
	MessageBoxMgr.Show("", SID_TWEET_DELETED_SUCCESSFULLY,
						   function()
						   {
							   	LoadingMgr.Hide();
		
								var real_index = DirectMessagesMgr.GetRealIndex();
								
								if(real_index==DirectMessagesMgr.current_status_list.length-1)
								{
									DirectMessagesMgr.current_index--;
									if(DirectMessagesMgr.current_index < 0)
									{
										DirectMessagesMgr.current_page--;
										DirectMessagesMgr.current_index = HomeMgr.COUNT_IN_PAGE-1;
										if(DirectMessagesMgr.current_page<=0)
											DirectMessagesMgr.current_page=1;
									}
								}
								
								DirectMessagesMgr.current_status_list = Util.RemoveArrayElementAt(DirectMessagesMgr.current_status_list, real_index);
								DirectMessagesMgr.Display();
								DirectMessagesMgr.Refresh();
								DirectMessagesMgr.Focus();
						   });
		
}

/**
 * ?당 ?이?트 메시지??택?때 ?출?는 ?수
 */
DirectMessagesMgr.SelectStatus = function()
{
	alert("DirectMessagesMgr.SelectStatus()");

	DirectMessageDetailViewMgr.Show(this.current_status_cut_list[this.current_index], this.mode);
    	//interactive remote start
	iRemoteTW.directMessgDetailView();
	//interactive remote end
}

/**
 * Messages 카테고리???커?? 주는 ?수
 */
DirectMessagesMgr.Focus = function()
{
	this.key_anchor.focus();
}

/**
 * Messages 카테고리??면?서 ?겼?? ?시 보여주는 ?수
 */
DirectMessagesMgr.Refresh = function()
{
	UIDirectMessages.Hide();
	UIDirectMessages.Show();
}

/**
 * ?재 ?택?고 ?는 ?이?트 메시지???제 ?덱?? 구하???수
 * @return {Number} ?택?고 ?는 ?이?트 메시지???제 ?덱??
 */
DirectMessagesMgr.GetRealIndex = function()
{
	return ((this.current_page-1)*this.COUNT_IN_PAGE+this.current_index);
}

/**
 * Inbox??Sent???라 ?이?트 메시지?가?오???수
 * @param {Object} load_no 몇번??이?? 가?올 것인가?지?? 1???작?
 */
DirectMessagesMgr.GetMessages = function(load_no)
{
	LoadingMgr.Show();
	KeyHandler.FocusNoKey();
	
	if (this.mode == 100) 
	{
		DirectMessages.SetGetDirectMessageReturnFunc(DirectMessagesMgr.OnGetDirectMessagesSuccessful);
		DirectMessages.GetDirectMessages(load_no, true);
	}
	else if (this.mode == 101) 
	{
		DirectMessages.SetGetSentDirectMessageReturnFunc(DirectMessagesMgr.OnGetSentDirectMessagesSuccessful);
		DirectMessages.GetSentDirectMessages(load_no, true);
	}
}
			
/**
 * Messages 카테고리??면???시?는 ?수
 */
DirectMessagesMgr.Show = function()
{	
	// Initialize variable
	this.current_page = 1;
	this.current_index = 0;
	
	UIDirectMessages.Show();
	
	//HelpNavigationMgr.ShowDirectMessagesHelp(this.mode);
	
	if(this.is_first_show)
	{
		DirectMessagesMgr.GetMessages(1);
		
		this.is_first_show = false;
		this.inbox_update = false;	
	}
	else if(this.GetMode()==100 && this.inbox_update)
	{
		DirectMessagesMgr.GetMessages(1);
		this.inbox_load_finish = false;
		this.inbox_update = false;
	}
	else if(this.GetMode()==101 && this.sent_update)
	{
		DirectMessagesMgr.GetMessages(1);
		this.sent_load_finish = false;
		this.sent_update = false;
	}
	else
	{
		if(this.mode == 100)
		{
			UIDirectMessages.SetInboxMessage();
		}
		else if(this.mode == 101)
		{
			UIDirectMessages.SetSentMessage();
		}
		this.Display();
		DirectMessagesMgr.Focus();
	}
}

/**
 * Messages 카테고리??는 ?수
 */
DirectMessagesMgr.Hide = function()
{
	HelpNavigationMgr.HideDirectMessagesHelp();
	UIDirectMessages.Hide();
	ScrollBarMgr.Hide();
	PageIndicatorMgr.Hide();

	// If contents is not ready
	if (!this.Ready.get()) UIMisc.hideNoContents();
}

/**
 * Messages 카테고리?서 ?커?? ?로 ?동?는 ?수
 */
DirectMessagesMgr.MoveUp = function()
{
	alert("DirectMessagesMgr.MoveUp()");
	this.current_index--;
	
	if(this.GetRealIndex() < 0)
	{
		this.current_page = Math.floor((this.current_status_list.length-1)/this.COUNT_IN_PAGE)+1;
		this.current_index = (this.current_status_list.length-1)%this.COUNT_IN_PAGE;
	}
	else if(this.current_index<0)
	{
		this.current_page--;
		this.current_index = this.COUNT_IN_PAGE-1;
	}
	
	this.Display();	
}

/**
 * Messages 카테고리?서 ?커?? ?래??동?는 ?수
 */
DirectMessagesMgr.MoveDown = function()
{
	TWAlert("DirectMessagesMgr.MoveDown()");
	
	if ((this.GetRealIndex() + 1) >= this.current_status_list.length) {
		this.More(function(pIsMore){
			if (!pIsMore) {
				DirectMessagesMgr.current_page = 1;
				DirectMessagesMgr.current_index = 0;
				DirectMessagesMgr.Display();
			} else {
				DirectMessagesMgr.moveNext();
			}
		});
	}
	else {
		DirectMessagesMgr.moveNext();
		this.Display();
	}
}

DirectMessagesMgr.moveNext = function() {
	this.current_index++;
	if (this.current_index % this.COUNT_IN_PAGE == 0) {
		this.current_page++;
		this.current_index = 0;
	}
}

/**
 * Messages 카테고리?서 ?이지??나 ?으??동?는 ?수
 */
DirectMessagesMgr.PageUpList = function()
{
	alert("DirectMessagesMgr.PageUpList -> " + this.current_page);
	var nTotalPage = Math.floor((this.current_status_list.length-1) / this.COUNT_IN_PAGE)+1;
	if (nTotalPage < 2) return;
	
	this.current_page--;
	if(this.current_page <= 0)
	{
		this.current_page = nTotalPage;
	}

	this.current_index = 0;
	this.Display();
}

/**
 * Messages 카테고리?서 ?이지??나 ?로 ?동?는 ?수
 */
DirectMessagesMgr.PageDownList = function()
{
	alert("DirectMessagesMgr.PageDownList -> " + this.current_page);
	
	var nTotalPage = Math.ceil(DirectMessagesMgr.current_status_list.length / DirectMessagesMgr.COUNT_IN_PAGE);
	if (nTotalPage < 2) return;
	
	if (DirectMessagesMgr.current_page + 1 > nTotalPage) 
	{
        DirectMessagesMgr.More(function(pIsMore){
			if (!pIsMore) {
				DirectMessagesMgr.current_page = 1;
				DirectMessagesMgr.current_index = 0;
				DirectMessagesMgr.Display();
			} else {
				_NextPage(false);
			}
        });
	}
	else {
		_NextPage();
		DirectMessagesMgr.Display();
	}
	
	function _NextPage(pConditional) {
		DirectMessagesMgr.current_page++;
		if (pConditional && DirectMessagesMgr.current_page > nTotalPage) 
		{
			DirectMessagesMgr.current_page=1;
		}
		DirectMessagesMgr.current_index = 0;
	}
}

/**
 * ?면??보일 ? 만큼?리스?? ?르???수
 */
DirectMessagesMgr.CutList = function()
{
	var lowerbound = (this.current_page-1) * this.COUNT_IN_PAGE;
	var upperbound = (this.current_page-1) * this.COUNT_IN_PAGE + this.COUNT_IN_PAGE;
	
	alert("DirectMessagesMgr.CutList() -> "+lowerbound+" "+upperbound);
	var list = new Array();
	for(var i=lowerbound; i<upperbound; i++)
	{
		if(this.current_status_list[i])
			list[list.length] = this.current_status_list[i];
	}
	
	this.current_status_cut_list = list;
}

/**
 * ?직 로드?? ?? 리스?? ?으?가?오???수
 */
DirectMessagesMgr.More = function(pEventListner)
{
	this.nLastIndex = this.current_index;
	this.nLastPage = this.current_page;
	
	switch(this.GetMode())
	{
		case 100:
			if (this.inbox_load_finish) {
				pEventListner(false);
			}
			else {
				pEventListner(true);
				DirectMessagesMgr.GetMessages(++this.inbox_load_no);
			}
			break;
		case 101:
			if (this.sent_load_finish) {
				pEventListner(false);
			}
			else {
				pEventListner(true);
				DirectMessagesMgr.GetMessages(++this.sent_load_no);
			}
			break;
	}
}

/**
 * ?직 로드?? ?? 리스?? ?으?가?오???수
 */
DirectMessagesMgr.RefreshList = function()
{
	this.current_page = 1;
	this.current_index = 0;
	switch(this.GetMode())
	{
		case 100:
			this.inbox_load_no = 1;
			DirectMessagesMgr.GetMessages(this.inbox_load_no);
			break;
		case 101:
			this.sent_load_no = 1;
			DirectMessagesMgr.GetMessages(this.sent_load_no);
			break;
	}
}

/**
 * ?면???제 ?용???시?는 ?수
 */
DirectMessagesMgr.Display = function()
{
	alert("DirectMessagessMgr.Display()");
	
	if(this.current_status_list instanceof Array && this.current_status_list.length > 0)
	{
		this.CutList();
		
		if (this.current_status_list.length > this.COUNT_IN_PAGE) {
			ScrollBarMgr.Display(this.GetRealIndex(), this.current_status_list.length);
			ScrollBarMgr.Show();
			ScrollBarMgr.Refresh();
		} else {
			ScrollBarMgr.Hide();
		}
		UIDirectMessages.Display(this.current_status_cut_list);

		//interactive remote start
		iRemoteTW.directMessage();
		//interactive remote end
		PageIndicatorMgr.SetIndicatorText(this.current_page,Math.floor((this.current_status_list.length-1)/this.COUNT_IN_PAGE)+1);
		PageIndicatorMgr.Show();
		HelpNavigationMgr.ShowDirectMessagesHelp(this.mode);
	}
	else
	{
		this.is_first_show = true;
		ScrollBarMgr.Hide();
		PageIndicatorMgr.Hide();
		if(this.mode == TwitterDefine.DirectMessage.Inbox){
			UIDirectMessages.SetLine2(SID_NO_DIRECT_MESSAGES_SENT_ONLY_TO_YOU);
			//interactive remote start
			iRemoteTW.noDirectMessage(SID_NO_MESSAGE,SID_NO_DIRECT_MESSAGES_SENT_ONLY_TO_YOU);
			
			//interactive remote end
		 }
		else if(this.mode == TwitterDefine.DirectMessage.Sent)
		{	
			//interactive remote start
			iRemoteTW.noDirectMessage(SID_NO_MESSAGE,SID_NO_DIRECT_MESSAGES_YOU_SENT);
		
			//interactive remote end
			UIDirectMessages.SetLine2(SID_NO_DIRECT_MESSAGES_YOU_SENT);
		}
		UIDirectMessages.Display(null);
		HelpNavigationMgr.ShowDirectMessagesNoListHelp(this.mode);
	}
	
}

/**
 * ?재 ?커???덱?? 구하???수
 */
DirectMessagesMgr.GetCurrentIndex = function()
{
	return this.current_index;
}

/**
 * Messages 카테고리???핸?러 ?수
 */
DirectMessagesMgr.KeyHandler = function()
{
	if (!CUtil.delayKey()) return;
	alert("DirectMessagesMgr.KeyHandler -> KeyCode : " + event.keyCode);
	switch (event.keyCode)
	{
		case tvKey.KEY_RW:
			if(!DirectMessagesMgr.Ready.get()) return;
			DirectMessagesMgr.PageUpList();            
            break;
        case tvKey.KEY_FF:
			if(!DirectMessagesMgr.Ready.get()) return;
            DirectMessagesMgr.PageDownList();
            break;
		case tvKey.KEY_RIGHT:
			if (MainMenuMgr.ShowNextMenu()) {
				DirectMessagesMgr.Hide();
				TopicsMgr.Show();
			}
			break;
		case tvKey.KEY_LEFT:
			if (MainMenuMgr.ShowPrevMenu()) {
				DirectMessagesMgr.Hide();
				PeopleMgr.Show();
			}
			break;
		case tvKey.KEY_UP:
			DirectMessagesMgr.MoveUp();
			break;
		case tvKey.KEY_DOWN:
			DirectMessagesMgr.MoveDown();
			break;
		case tvKey.KEY_ENTER:
			DirectMessagesMgr.SelectStatus();
			break;
		case tvKey.KEY_TOOLS:
			break;
		case tvKey.KEY_BLUE:
			this.SwitchMode();

			//interactive remote start
			iRemoteTW.onLoad();
			//interactive remote end
            this.Show();
            
			break;
		case tvKey.KEY_YELLOW:
			DirectMessageIME.Show(this.current_status, 
							  	  function()
								  {
								  	//interactive remote start
                                    					iRemoteTW.onLoad();
									//interactive remote end
									DirectMessagesMgr.Refresh();
								  	DirectMessagesMgr.Focus();
									DirectMessagesMgr.Show();
									//interactive remote start
                                    					iRemoteTW.directMessage();
									//interactive remote end
								  }, "",0);
                                  iRemoteTW.directNewMessage();
			break;
		case tvKey.KEY_RED:
			this.RefreshList();
			break;
	}
}

// Manage contents status
DirectMessagesMgr.Ready = {
	flag : false
	, set : 		function() 	{ this.flag = true; }
	, unset : 	function() 	{ this.flag = false; }
	, get : 		function() 	{ return this.flag }
}