/**
 * More 카테고리?구현???래??
 * @class More 카테고리?구현???래??
 */
var MoreMgr = 
{
	key_anchor : null,
	
	is_first_show : true,
	
	current_page : 1,
	current_index : 0,
	COUNT_IN_PAGE : 4,
	current_status_list : null,
	current_status_cut_list : null,
	user_timeline_finish : false,
	user_timeline_load_no : 1 
}

/**
 * MoreMgr 초기??
 */
MoreMgr.Init = function()
{
	UIMore.Init();
	
	this.key_anchor = document.getElementById("MoreKeyAnchor");
}

/**
 * ?신??글 목록?서 ?커?? ?나 ?로 ?동?는 ?수
 */
MoreMgr.MoveUp = function()
{
	alert("MoreMgr.MoveUp()");
	this.current_index--;
	
	if(this.GetRealIndex() < 0)
	{
		this.current_page = Math.floor((this.current_status_list.length-1)/this.COUNT_IN_PAGE)+1;
		this.current_index = (this.current_status_list.length-1)%this.COUNT_IN_PAGE;
		alert(this.current_page + " " + this.current_index);
	}
	else if(this.current_index<0)
	{
		this.current_page--;
		this.current_index = this.COUNT_IN_PAGE-1;
	}
	
	this.Display();	
}

/**
 * ?신??글 목록?서 ?커?? ?나 ?래??동?는 ?수
 */
MoreMgr.MoveDown = function()
{
	TWAlert("MoreMgr.MoveDown()");
	
	if ((this.GetRealIndex() + 1) >= this.current_status_list.length) {
		this.More(function(pIsMore){
			if (!pIsMore) {
				MoreMgr.current_page = 1;
				MoreMgr.current_index = 0;
				MoreMgr.Display();
			} else {
				MoreMgr.moveNext();
			}
		});
	}
	else {
		MoreMgr.moveNext();
		this.Display();
	}
}

MoreMgr.moveNext = function() {
	this.current_index++;
	if (this.current_index % this.COUNT_IN_PAGE == 0) {
		this.current_page++;
		this.current_index = 0;
	}
}

/**
 * ?재 ?커???덱?? 구하???수
 * @return {Number} ?재 ?치???커???덱???
 */
MoreMgr.GetCurrentIndex = function()
{
	return this.current_index;	
}

/**
 * ?당 ?이지??면???시?는 ?수 
 * @param {Number} page_no ?이지 번호
 */
MoreMgr.ShowPage = function(page_no)
{
	this.current_page = page_no;
	this.Display();
}

/**
 * ?용?? ?성??글???공?으?받아?????행?는 콜백?수
 * @param {StatusUserData} status_list 받아??리스??
 * @param {Number} load_no ?번째?로드?었??????는 ?자?
 */
MoreMgr.OnUserTimelineReturn = function(status_list, load_no)
{
	alert("***************MoreMgr.OnUserTimelineReturn()");
	LoadingMgr.Hide();
	
	if (!status_list) 
	{
		alert("MoreMgr.OnUserTimelineReturn()??status_list가 null");
		if(load_no > 1)
		{
			MoreMgr.user_timeline_finish = true;
			
			MoreMgr.current_page = 1;
			MoreMgr.current_index = 0;
			
			MoreMgr.Display();
			MoreMgr.Focus();
		} else {
			MoreMgr.Display();
			UIMore.Show();
			MoreMgr.Focus();
		}
		return;
	}
	
	MoreMgr.user_timeline_load_no = load_no;
	
	var tmp_list = new Array();
	for(var i=0; i<status_list.length; i++)
	{
		if(status_list[i])
			tmp_list[tmp_list.length] = status_list[i];
	}
	status_list = tmp_list;
	
	if (load_no > 1) 
	{
		for (var i = 0; i < status_list.length; i++) 
			MoreMgr.current_status_list[MoreMgr.current_status_list.length] = status_list[i];
		MoreMgr.Display();
		MoreMgr.Refresh();
		MoreMgr.Focus();
	}
	else 
	{
		MoreMgr.current_status_list = status_list;
	
		MoreMgr.Display();
		UIMore.Show();
		MoreMgr.Focus();
		
		MoreMgr.is_first_show = false;
	}	
	UIMore.Show();
}

/**
 * More 카테고리???제 ?용??그리???수
 */
MoreMgr.Display = function()
{
	this.CutList();
	
	if (this.current_status_cut_list instanceof Array && this.current_status_cut_list.length > 0) {
		ScrollBarMgr.Display(this.GetRealIndex(), this.current_status_list.length);
		ScrollBarMgr.Show(935);
		
		PageIndicatorMgr.SetIndicatorText(this.current_page, Math.floor((this.current_status_list.length - 1) / this.COUNT_IN_PAGE) + 1);
		PageIndicatorMgr.Show(716);
		
		UIMore.Display(this.current_status, this.current_status_cut_list);
       //interactive remote start
        if(MoreMgr.is_first_show){
            if (iRemoteTW.detailViewFlag == "0") {
		
				iRemoteTW.myProfile();
			}
			else {
				iRemoteTW.detailView(iRemoteTW.selectedUserId);

			}
	 	}
        else{
            if (iRemoteTW.detailViewFlag == "0") {
				MoreMgr.Refresh();
				iRemoteTW.myProfile();

			}
			else {
				iRemoteTW.detailView(iRemoteTW.selectedUserId);

			}
		}
    
    }
    //interactive remote end
    else {
		UIMore.Display(this.current_status, this.current_status_cut_list);
	}
}

/**
 * ?재 ?커???덱?? 구하???수
 */
MoreMgr.GetRealIndex = function()
{
	return ((this.current_page-1)*this.COUNT_IN_PAGE+this.current_index);	
}

/**
 * ?면??보일 ? 만큼?리스?? ?르???수
 */
MoreMgr.CutList = function()
{
	if (this.current_status_list instanceof Array) {
		var lowerbound = (this.current_page - 1) * this.COUNT_IN_PAGE;
		var upperbound = (this.current_page - 1) * this.COUNT_IN_PAGE + this.COUNT_IN_PAGE;
		
		alert("MoreMgr.CutList() -> " + lowerbound + " " + upperbound);
		
		var list = new Array();
		for (var i = lowerbound; i < upperbound; i++) {
			if (this.current_status_list[i]) 
				list[list.length] = this.current_status_list[i];
		}
		
		this.current_status_cut_list = list;
	}
}

/**
 * More 카테고리?서 ?이지??나 ?으??동?는 ?수
 */
MoreMgr.PageUpList = function()
{
	if(!this.current_status_list)
		return;
	
	var nTotalPage = Math.floor((this.current_status_list.length-1) / this.COUNT_IN_PAGE)+1;
	if (nTotalPage < 2) return;
		
	alert("MoreMgr.PageUpList -> " + this.current_page);
	this.current_page--;
	
	if (this.current_page <= 0) 
	{
		alert(this.current_status_list.length +" "+this.COUNT_IN_PAGE);
		this.current_page = nTotalPage;
	}
	
	this.current_index = 0;
	this.Display();
}

/**
 * More 카테고리?서 ?이지??나 ?로 ?동?는 ?수
 */
MoreMgr.PageDownList = function()
{
	if(!this.current_status_list)
		return;
	alert("MoreMgr.PageDownList -> " + this.current_page);
	
	var nTotalPage = Math.ceil(MoreMgr.current_status_list.length / MoreMgr.COUNT_IN_PAGE);
	if (nTotalPage < 2) return;
	
	if (MoreMgr.current_page + 1 > nTotalPage) 
	{
        MoreMgr.More(function(pIsMore){
			if (!pIsMore) {
				MoreMgr.current_page = 1;
				MoreMgr.current_index = 0;
				MoreMgr.Display();
			} else {
				_NextPage(false);
			}
        });
	}
	else {
		_NextPage();
		MoreMgr.Display();
	}
	
	function _NextPage(pConditional) {
		MoreMgr.current_page++;
		if (pConditional && MoreMgr.current_page > nTotalPage) 
		{
			MoreMgr.current_page=1;
		}
		MoreMgr.current_index = 0;
	}
}

/**
 * ?직 로드?? ?? 리스?? ?으?가?오???수
 */
MoreMgr.More = function(pEventListner)
{
	this.nLastIndex = this.current_index;
	this.nLastPage = this.current_page;
	
	if (this.user_timeline_finish) 
	{
		pEventListner(false);
	}
	else 
	{
		pEventListner(true);
		
		LoadingMgr.Show();
		KeyHandler.FocusNoKey();
		Timeline.SetUserTimelineReturnFunc(MoreMgr.OnUserTimelineReturn);
		Timeline.GetUserTimeline(ID, ++this.user_timeline_load_no, true);
	}
}

/**
 * ?직 로드?? ?? 리스?? ?으?가?오???수
 */
MoreMgr.RefreshList = function()
{
	this.current_page = 1;
	this.current_index = 0;
	this.user_timeline_load_no = 1;
	this.user_timeline_finish = false;
	
	LoadingMgr.Show();
	KeyHandler.FocusNoKey();
	Timeline.SetUserTimelineReturnFunc(MoreMgr.OnUserTimelineReturn);
	Timeline.GetUserTimeline(ID, this.user_timeline_load_no, true);
}

/**
 * Favorite ?록???공?????행?는 콜백 ?수
 */
MoreMgr.OnCreateFavoriteReturn = function()
{
	alert("MoreMgr.OnCreateFavoriteReturn()");
	
	MoreMgr.current_status_cut_list[MoreMgr.current_index].Favorited = true;
	MoreMgr.Display();
	MoreMgr.Focus();
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(1);
	HomeMgr.SetUpdate(2);
	
	LoadingMgr.Hide();
}

/**
 * Favorite ?거??공?????행?는 콜백 ?수
 */
MoreMgr.OnDestroyFavoriteReturn = function()
{
	alert("MoreMgr.OnDestroyFavoriteReturn()");
	MoreMgr.current_status_cut_list[MoreMgr.current_index].Favorited = false;
	MoreMgr.Display();
	MoreMgr.Focus();
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(1);
	HomeMgr.SetUpdate(2);
	LoadingMgr.Hide();
}

/**
 * Favorite ?록???패?????행?는 콜백 ?수
 */
MoreMgr.OnCreateFavoriteReturnFailed = function()
{
	alert("MoreMgr.OnFavoriteReturnFailed()");
	LoadingMgr.Hide();

	 //interactive remote start
	 iRemoteTW.messgPopup("", SID_ALERT_NETWORKERROR_MSG); 
	 //interactive remote end
	MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG,
					   function()
					   {
					   		MoreMgr.Refresh();
							MoreMgr.Focus();
					   });
}

/**
 * Favorite ?거??패?????행?는 콜백 ?수
 */
MoreMgr.OnDestroyFavoriteReturnFailed = function()
{
	alert("MoreMgr.OnDestroyFavoriteReturnFailed()");
	LoadingMgr.Hide();

	  //interactive remote start
	 iRemoteTW.messgPopup("", SID_ALERT_NETWORKERROR_MSG); 
	 //interactive remote end
	MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG,
					   function()
					   {
					   		MoreMgr.Refresh();
							MoreMgr.Focus();
					   });
}

/**
 * ?용???보??어?????공?면 ?행?는 콜백?수
 * @param {XMLHttpRequest} httpRequest XMLHttpRequest 객체
 */
MoreMgr.OnGetUser = function(httpRequest)
{
	alert("MoreMgr.OnGetUser()");
	MoreMgr.current_status = StatusUserMaker.MakeStatusUserListFromUser(httpRequest.responseXML);
	
	this.user_timeline_finish = false;
	Timeline.SetUserTimelineReturnFunc(MoreMgr.OnUserTimelineReturn);
	Timeline.GetUserTimeline(ID, 1, true);
	//MoreMgr.Display();
	//MoreMgr.Refresh();
	//MoreMgr.Focus();
	//LoadingMgr.Hide();
}

/**
 * 글???공?으????????행?는 콜백?수
 */
MoreMgr.OnDelete = function()
{
	alert("MoreMgr.OnDelete()");
	LoadingMgr.Hide();
	var real_index = MoreMgr.GetRealIndex();
	alert("MoreMgr.OnDelete() -> " + real_index);
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(1);
	HomeMgr.SetUpdate(2);
	
	var real_index = MoreMgr.GetRealIndex();
	MoreMgr.current_status_list = Util.RemoveArrayElementAt(MoreMgr.current_status_list, real_index);
	DetailViewMgr.Hide();
	//interactive remote start
    MoreMgr.MoveUp();
    //interactive remote end
	MoreMgr.ShowPage(MoreMgr.current_page);
	MoreMgr.Focus();	
}

/**
 * ?재 ?택??글?????는 ?수
 */
MoreMgr.DeleteStatus = function()
{
	TWAlert("MoreMgr :: DeleteStatus > this.current_index - " + this.current_index);
	var objCurrentStatus = this.current_status_cut_list[this.current_index];
	if (objCurrentStatus && (objCurrentStatus.UserId ? objCurrentStatus.UserId : objCurrentStatus.Id) == TwitterMain.SessionUID) 
	{
		LoadingMgr.Show();
		KeyHandler.FocusNoKey();
		
		alert("Status.Delete()");
		TwitterConsumer.Init("post", STATUS_DELETE_URL+ 
					objCurrentStatus.Id + ".xml");
		TwitterConsumer.SetOnReceive(MoreMgr.OnDelete);
		TwitterConsumer.Request();
	}
}

/**
 * More 카테고리??면???시?는 ?수
 */
MoreMgr.Show = function()
{
	//HelpNavigationMgr.ShowMoreHelp();
	
	this.current_page = 1;
	this.current_index = 0;

	if (this.is_first_show) {
		LoadingMgr.Show();
		KeyHandler.FocusNoKey();
		TwitterConsumer.Init("get", USER_SHOW_URL + "?id=" + ID);
		TwitterConsumer.SetOnReceive(MoreMgr.OnGetUser);
		TwitterConsumer.Request();
	} else {
		MoreMgr.Display();
		MoreMgr.Refresh();
		MoreMgr.Focus();
	}
}

/**
 * More 카테고리??면?서 ?기???수
 */
MoreMgr.Hide = function()
{
	UIMore.Hide();
	HelpNavigationMgr.HideMoreHelp();
	ScrollBarMgr.Hide();
	PageIndicatorMgr.Hide();
}

/**
 * More 카테고리??면?서 ?겼?? ?시 보여주는 ?수
 */
MoreMgr.Refresh = function()
{
	UIMore.Hide();
	UIMore.Show();
}

/**
 * More 카테고리?????력 ?커?? 주는 ?수
 */
MoreMgr.Focus = function()
{
	this.key_anchor.focus();
}

/**
 * More 카테고리?????들??
 */
MoreMgr.KeyHandler = function()
{
	if (!CUtil.delayKey()) return;
	alert("MoreMgr.KeyHandler() -> " + event.keyCode);
	switch (event.keyCode)
	{
		case tvKey.KEY_LEFT:
			if (MainMenuMgr.ShowPrevMenu()) {
				this.Hide();
				TopicsMgr.Show();
			}
			break;
		case tvKey.KEY_RIGHT:
			if (MainMenuMgr.ShowNextMenu()) {
				this.Hide();
				HomeMgr.Show();
			}
			break;
		case tvKey.KEY_UP:
			if(!MoreMgr.Ready.get()) return;
			this.MoveUp();
			break;
		case tvKey.KEY_DOWN:
			if(!MoreMgr.Ready.get()) return;
			this.MoveDown();
			break;
		case tvKey.KEY_RW:
			if(!MoreMgr.Ready.get()) return;
			this.PageUpList();            
            break;
        case tvKey.KEY_FF:
			if(!MoreMgr.Ready.get()) return;
            this.PageDownList();
            break;
		case tvKey.KEY_RETURN:
			break;
		case tvKey.KEY_GREEN:
			if(!MoreMgr.Ready.get()) return;
			LoadingMgr.Show();
			KeyHandler.FocusNoKey();
			if (!this.current_status_cut_list[this.current_index].Favorited) 
			{
				Favorites.SetCreateFavoriteReturnFunc(MoreMgr.OnCreateFavoriteReturn);
				Favorites.SetCreateFavoriteErrorFunc(MoreMgr.OnCreateFavoriteReturnFailed);
				Favorites.CreateFavorite(this.current_status_cut_list[this.current_index].Id);
			}
			else 
			{
				Favorites.SetDestroyFavoriteReturnFunc(MoreMgr.OnDestroyFavoriteReturn);
				Favorites.SetDestroyFavoriteErrorFunc(MoreMgr.OnDestroyFavoriteReturnFailed);
				Favorites.DestroyFavorite(this.current_status_cut_list[this.current_index].Id);
			}
			break;
		case tvKey.KEY_ENTER:
			if(!MoreMgr.Ready.get()) return;		
			DetailViewMgr.Show(this.current_status_cut_list[this.current_index], 6);
			break;
		case tvKey.KEY_RED:
			MoreMgr.is_first_show = true;
			MoreMgr.Show();
			break;
	}
}
// Manage contents status
MoreMgr.Ready = {
	flag : false
	, set : 		function() 	{ this.flag = true; }
	, unset : 	function() 	{ this.flag = false; }
	, get : 		function() 	{ return this.flag }
}