/**
 * Profile ?이지?구현???래??
 * @class Profile ?이지?구현???래??
 */
var ProfileMgr =
{
	leftside_key_anchor : null,
	rightsisde_key_anchor : null,
	
	leftside_current_index : 0,
	rightside_current_index : 0,
	current_page : 1,
	max_page : -1,
	
	eventListner : null,
	
	current_status : null,
	current_status_list : null,
	current_status_cut_list : null,
	
	LEFTSIDE_COUNT_IN_PAGE : 3,
	RIGHTSIDE_COUNT_IN_PAGE : 4,
	
	in_focus : 0,
	
	user_timeline_load_no : 1,
	user_timeline_finish : false,
	
	mode : 1
}

/**
 * ProfileMgr 초기??
 */
ProfileMgr.Init = function()
{
	UIProfile.Init();
	
	this.leftside_key_anchor = document.getElementById("ProfileKeyAnchor1");
	this.rightsisde_key_anchor = document.getElementById("ProfileKeyAnchor2");
}

/**
 * Profile???쪽 ?에 ?커?? 주는 ?수
 */
ProfileMgr.SetLeftSideFocus = function()
{
	this.leftside_key_anchor.focus();
	HelpNavigationMgr.ShowProfileLeftHelp();
}

/**
 * Profile???른??에 ?커?? 주는 ?수
 */
ProfileMgr.SetRightSideFocus = function()
{
	this.rightsisde_key_anchor.focus();
}

/**
 * Profile???쪽 ?에 ?커?? ?로 ?동?는 ?수
 */
ProfileMgr.LeftSideMoveUp = function()
{
	this.leftside_current_index--;
	if(this.leftside_current_index<0)
		this.leftside_current_index = this.LEFTSIDE_COUNT_IN_PAGE-1;
	UIProfile.LeftSideDisplay(this.current_status);	
}

/**
 * Profile???쪽 ?에 ?커?? ?래??동?는 ?수
 */
ProfileMgr.LeftSideMoveDown = function()
{
	this.leftside_current_index++;
	if(this.leftside_current_index >= this.LEFTSIDE_COUNT_IN_PAGE)
		this.leftside_current_index = 0;
	UIProfile.LeftSideDisplay(this.current_status);	
}

/**
 * Profile???른??에 ?커?? ?로 ?동?는 ?수
 */
ProfileMgr.RightSideMoveUp = function()
{
	this.rightside_current_index--;
	
	if(this.GetRealIndex() < 0)
	{
		this.current_page = Math.floor((this.current_status_list.length-1)/this.RIGHTSIDE_COUNT_IN_PAGE)+1;
		this.rightside_current_index = (this.current_status_list.length-1)%this.RIGHTSIDE_COUNT_IN_PAGE;
		alert(this.current_page + " " + this.rightside_current_index);
	}
	else if(this.rightside_current_index<0)
	{
		this.current_page--;
		this.rightside_current_index = this.RIGHTSIDE_COUNT_IN_PAGE-1;
	}
	
	this.Display();	
}

/**
 * Profile???른??에 ?커?? ?래??동?는 ?수
 */
ProfileMgr.RightSideMoveDown = function()
{
	if(!this.current_status_list) return;
	TWAlert("ProfileMgr.RightSideMoveDown()");
	
	if ((this.GetRealIndex() + 1) >= this.current_status_list.length) {
		this.More(function(pIsMore){
			if (!pIsMore) {
				ProfileMgr.current_page = 1;
				ProfileMgr.rightside_current_index = 0;
				ProfileMgr.Display();
			} else {
				ProfileMgr.moveNext();
			}
		});
	}
	else {
		ProfileMgr.moveNext();
		this.Display();
	}
}

ProfileMgr.moveNext = function() {
	this.rightside_current_index++;
	if (this.rightside_current_index % this.RIGHTSIDE_COUNT_IN_PAGE == 0) {
		this.current_page++;
		this.rightside_current_index = 0;
	}
}

/**
 * ?쪽?의 ?재 ?커?? ?어?는 ?수
 */
ProfileMgr.GetLeftSideCurrentIndex = function()
{
	return this.leftside_current_index;	
}

/**
 * ?른쪽편???재 ?커?? ?어?는 ?수
 */
ProfileMgr.GetRightSideCurrentIndex = function()
{
	return this.rightside_current_index;	
}

/**
 * Profile ?이지??면???시?는 ?수
 * @param {Object} user_data Profile ?이지 ?기?에 ?어 ?? ?용???이??
 * @param {Function} back_func Profile ?이지 ?갈???행 ?는 ?수
 * @param {Number} mode 1:Home, 2:People, 3:DirectMessage, 4:Search
 */
ProfileMgr.Show = function(user_data, pEventListner, mode)
{
	alert("ProfileMgr.Show() -> " + mode);
	alert("ProfileMgr.Show() -> " + user_data.ScreenName);
	
	iWave.push(function(user_data, pEventListner, mode) {
		return function() {
			ProfileMgr.Show(user_data, pEventListner, mode);
		}
	}(user_data, pEventListner, mode));
	
	this.mode = (mode==null ? 1 : mode);
	this.eventListner = pEventListner;
	this.leftside_current_index = 0;
	this.in_focus = 0;
	this.current_status = user_data;
	
	this.current_page = 1;
	
	LoadingMgr.Show();
	KeyHandler.FocusNoKey();
	
	this.user_timeline_finish = false;
	Timeline.SetUserTimelineReturnFunc(ProfileMgr.OnUserTimelineReturn);
	Timeline.GetUserTimeline(user_data.ScreenName, 1, true);
}

/**
 * 지?한 ?이지??면???시?는 ?수
 * @param {Number} page_no ?이지 번호
 */
ProfileMgr.ShowPage = function(page_no)
{
	this.current_page = page_no;
	this.Display();
}

/**
 * ????공?????출?는 콜백?수
 */
ProfileMgr.OnDelete = function()
{
	alert("ProfileMgr.OnDelete()");
	LoadingMgr.Hide();
	var real_index = ProfileMgr.GetRealIndex();
	alert("ProfileMgr.OnDelete() -> " + real_index);
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(1);
	HomeMgr.SetUpdate(2);
	
	var real_index = ProfileMgr.GetRealIndex();
	ProfileMgr.current_status_list = Util.RemoveArrayElementAt(ProfileMgr.current_status_list, real_index);
	DetailViewMgr.Hide();
	ProfileMgr.ShowPage(ProfileMgr.current_page);
	ProfileMgr.SetRightSideFocus();	
}

/**
 * Status????는 ?수
 */
ProfileMgr.DeleteStatus = function()
{
	TWAlert("ProfileMgr :: DeleteStatus > this.rightside_current_index - " + this.rightside_current_index);
	var objCurrentStatus = this.current_status_cut_list[this.rightside_current_index];
	if (objCurrentStatus && (objCurrentStatus.UserId ? objCurrentStatus.UserId : objCurrentStatus.Id) == TwitterMain.SessionUID) 
	{
		LoadingMgr.Show();
		KeyHandler.FocusNoKey();
		
		TwitterConsumer.Init("post", STATUS_DELETE_URL+ 
						  objCurrentStatus.Id + ".xml");
		TwitterConsumer.SetOnReceive(ProfileMgr.OnDelete);
		TwitterConsumer.Request();
	}
}

/**
 * ?재 ?커?? ?쪽?에 ?는지 ?른쪽편???는지 ?어?는 ?수 
 * @return 0:?쪽?? 1:?른쪽편
 */
ProfileMgr.GetFocusLocation = function()
{
	return this.in_focus;
}

/**
 * ?쪽, ?른쪽편 ?커?? ?정?는 ?수
 * @param {Number} location 0:?쪽?? 1:?른쪽편
 */
ProfileMgr.SetFocusLocation = function(location)
{
	this.in_focus = location;
}

/**
 * ?용???이?? ?는???패?면 ?출?는 콜백?수
 * @param {XMLHttpRequest} httpRequest XMLHttpRequest 객체
 */
ProfileMgr.OnGetUserFailed = function(httpRequest)
{
	alert("ProfileMgr.OnGetUser()");
	LoadingMgr.Hide();	
	ProfileMgr.current_status = null;
	//DetailViewMgr.Hide();
	ProfileMgr.Display();
	UIProfile.Show();
	ProfileMgr.SetLeftSideFocus();	
}

/**
 * ?용???이?? ?는???공?면 ?출?는 콜백?수
 * @param {XMLHttpRequest} httpRequest XMLHttpRequest 객체
 */
ProfileMgr.OnGetUser = function(httpRequest)
{
	alert("ProfileMgr.OnGetUser()");
	LoadingMgr.Hide();
	
	//DetailViewMgr.pre_status = DetailViewMgr.current_status; 
	ProfileMgr.current_status = StatusUserMaker.MakeStatusUserListFromUser(httpRequest.responseXML);

	//DetailViewMgr.ShowSub(DetailViewMgr.current_status);
	ProfileMgr.Display();
	UIProfile.Show();
	ProfileMgr.SetLeftSideFocus();
}

/**
 * ?용??Timeline???는???공?면 ?출?는 콜백?수
 * @param {Object} status_list ?어??리스??
 * @param {Number} load_no 몇번?로드?었?? ?시?는 ?
 */
ProfileMgr.OnUserTimelineReturn = function(status_list, load_no)
{
	alert("ProfileMgr.OnUserTimelineReturn()");
	LoadingMgr.Hide();
	
	if (status_list == TwitterDefine.Event.Fail) {

	 //interactive remote start
	 iRemoteTW.messgPopup("", SID_ALERT_NETWORKERROR_MSG); 
	 //interactive remote end
		MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG,
		   function()
		   {
				ProfileMgr.eventListner(TwitterDefine.Event.Fail);
		   });
		return;
	} else {
		ProfileMgr.eventListner(TwitterDefine.Event.Success);
	}
	
	if (!status_list) 
	{
		alert("ProfileMgr.OnUserTimelineReturn()??status_list가 null");
		if(load_no > 1)
		{
			ProfileMgr.current_page = 1;
			ProfileMgr.rightside_current_index = 0;
			
			ProfileMgr.user_timeline_finish = true;
			ProfileMgr.Display();
	   		ProfileMgr.Refresh();
			ProfileMgr.SetRightSideFocus();
		} else {
			// Follower/Follow Profile???근???데 Status ?보가 ?을??
			ProfileMgr.Display();
			UIProfile.Show();
			ProfileMgr.SetLeftSideFocus();
		}
		
		return;
	}
	
	ProfileMgr.user_timeline_load_no = load_no;
	
	var tmp_list = new Array();
	for(var i=0; i<status_list.length; i++)
	{
		if(status_list[i])
			tmp_list[tmp_list.length] = status_list[i];
	}
	status_list = tmp_list;
	
	if (load_no > 1) 
	{
		for (var i = 0; i < status_list.length; i++) 
			ProfileMgr.current_status_list[ProfileMgr.current_status_list.length] = status_list[i];
		ProfileMgr.Display();
		ProfileMgr.Refresh();
		ProfileMgr.SetRightSideFocus();
	}
	else 
	{
		ProfileMgr.current_status_list = status_list;
	
		if(ProfileMgr.mode == 4) //Search?서 ??것이?
		{
			LoadingMgr.Show();
			KeyHandler.FocusNoKey();
			
			TwitterConsumer.Init("get", USER_SHOW_URL + "?id=" + ProfileMgr.current_status.ScreenName);
			TwitterConsumer.SetOnErrorReceive(ProfileMgr.OnGetUserFailed);
			TwitterConsumer.SetOnReceive(ProfileMgr.OnGetUser);
			TwitterConsumer.Request();
		}
		else
		{
			ProfileMgr.Display();
			UIProfile.Show();
			ProfileMgr.SetLeftSideFocus();
		}
	}	
}

ProfileMgr.Refresh = function()
{
	UIProfile.Refresh();
}

/**
 * Profile ?이지???용???제??면??그리???수
 */
ProfileMgr.Display = function()
{
	this.CutList();
	
	if (this.current_status_cut_list instanceof Array && this.current_status_cut_list.length > 0) {
		ScrollBarMgr.Display(this.GetRealIndex(), this.current_status_list.length);
		ScrollBarMgr.Show();
		
		PageIndicatorMgr.SetIndicatorText(this.current_page, Math.floor((this.current_status_list.length - 1) / this.RIGHTSIDE_COUNT_IN_PAGE) + 1);
		PageIndicatorMgr.Show();

		UIProfile.Display(this.current_status, this.current_status_cut_list);
		//interactive remote start
         	if (iRemoteTW.detailViewFlag == "1") {

			iRemoteTW.detailView(iRemoteTW.selectedUserId);
	 	}
		//interactive remote end
	} else {
		UIProfile.Display(this.current_status, this.current_status_cut_list);
	}
}

/**
 * Profile ?이지??면?서 ?기???수
 */
ProfileMgr.Hide = function()
{
	alert("ProfileMgr.Hide()");
	HelpNavigationMgr.HideProfileHelp();
	UIProfile.Hide();
	ScrollBarMgr.Hide();
	PageIndicatorMgr.Hide();
}

/**
 * ?른????커?의 ?제 ?덱?? 구하???수
 */
ProfileMgr.GetRealIndex = function()
{
	return ((this.current_page-1)*this.RIGHTSIDE_COUNT_IN_PAGE+this.rightside_current_index);	
}

/**
 * ?면??보일 ? 만큼?리스?? ?르???수
 */
ProfileMgr.CutList = function()
{
	if (this.current_status_list instanceof Array) {
		var lowerbound = (this.current_page - 1) * this.RIGHTSIDE_COUNT_IN_PAGE;
		var upperbound = (this.current_page - 1) * this.RIGHTSIDE_COUNT_IN_PAGE + this.RIGHTSIDE_COUNT_IN_PAGE;
		
		alert("ProfileMgr.CutList() -> " + lowerbound + " " + upperbound);
		var list = new Array();
		for (var i = lowerbound; i < upperbound; i++) {
			if (this.current_status_list[i]) 
				list[list.length] = this.current_status_list[i];
		}
		
		this.current_status_cut_list = list;
	}
}

/**
 * ?른쪽편 리스?의 ?전 ?이지??동?는 ?수
 */
ProfileMgr.PageUpList = function()
{
	if(!this.current_status_list)
		return;
	alert("ProfileMgr.PageUpList -> " + this.current_page);
	
	var nTotalPage = Math.floor((this.current_status_list.length-1) / this.RIGHTSIDE_COUNT_IN_PAGE)+1;
	if (nTotalPage < 2) return;	
	
	this.current_page--;
	
	if (this.current_page <= 0) 
	{
		alert(this.current_status_list.length +" "+this.RIGHTSIDE_COUNT_IN_PAGE);
		this.current_page = nTotalPage;
	}
	
	this.rightside_current_index = 0;
	this.Display();
}

/**
 * ?른쪽편 리스?의 ?음 ?이지??동?는 ?수
 */
ProfileMgr.PageDownList = function()
{
	if(!this.current_status_list) return;
	alert("ProfileMgr.PageDownList -> " + this.current_page);
	
	var nTotalPage = Math.ceil(ProfileMgr.current_status_list.length / ProfileMgr.RIGHTSIDE_COUNT_IN_PAGE);
	if (nTotalPage < 2) return;	
	
	if (ProfileMgr.current_page + 1 > nTotalPage) 
	{
        ProfileMgr.More(function(pIsMore){
			if (!pIsMore) {
				ProfileMgr.current_page = 1;
				ProfileMgr.rightside_current_index = 0;
				ProfileMgr.Display();
			} else {
				_NextPage(false);
			}
        });
	}
	else {
		_NextPage();
		ProfileMgr.Display();
	}
	
	function _NextPage(pConditional) {
		ProfileMgr.current_page++;
		if (pConditional && ProfileMgr.current_page > nTotalPage) 
		{
			ProfileMgr.current_page=1;
		}
		ProfileMgr.rightside_current_index = 0;
	}

}

/**
 * ?직 로드?? ?? 리스?? ?으?가?오???수
 */
ProfileMgr.More = function(pEventListner)
{
	this.nLastIndex = this.rightside_current_index;
	this.nLastPage = this.current_page;
	
	if (this.user_timeline_finish) 
	{
		pEventListner(false);
	}
	else 
	{
		pEventListner(true);
		LoadingMgr.Show();
		KeyHandler.FocusNoKey();
		Timeline.SetUserTimelineReturnFunc(ProfileMgr.OnUserTimelineReturn);
		Timeline.GetUserTimeline(this.current_status.ScreenName, ++this.user_timeline_load_no, true);
	}
}

ProfileMgr.RefreshList = function()
{
	ProfileMgr.current_page = 1;
	ProfileMgr.current_index = 0;
	ProfileMgr.user_timeline_load_no = 1;
	
	ProfileMgr.leftside_current_index = 0;
	ProfileMgr.in_focus = 0;
	
	LoadingMgr.Show();
	KeyHandler.FocusNoKey();
	
	ProfileMgr.user_timeline_finish = false;
	Timeline.SetUserTimelineReturnFunc(ProfileMgr.OnUserTimelineReturn);
	Timeline.GetUserTimeline(ProfileMgr.current_status.ScreenName, 1, true);
}

/**
 * Unfollowing???공?을 ???출?는 콜백 ?수
 */
ProfileMgr.OnFriendShipsDestroySuccessful = function()
{
	alert("ProfileMgr.OnFriendShipsDestroySuccessful()");
	
	People.GetFollowing(ID, false);
	UIProfile.SetFollowText(TWID_FOLLOW);
	UIProfile.HideFollowCheck();
	UIProfile.RefreshFollow();
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(2);
	PeopleMgr.SetUpdate(1);
	ProfileMgr.Refresh();
	ProfileMgr.SetLeftSideFocus();
	
	LoadingMgr.Hide();
}

/**
 * Following???공?을 ???출?는 콜백 ?수
 */
ProfileMgr.OnFriendShipsCreateSuccessful = function()
{
	alert("ProfileMgr.OnFriendShipsCreateSuccessful()");
	
	People.GetFollowing(ID, false);
	UIProfile.SetFollowText(TWID_UNFOLLOW);
	UIProfile.ShowFollowCheck();
	UIProfile.RefreshFollow();
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(2);
	PeopleMgr.SetUpdate(1);
	ProfileMgr.Refresh();
	ProfileMgr.SetLeftSideFocus();
	
	LoadingMgr.Hide();
}

/**
 * Following???패?을 ???출?는 콜백 ?수
 */
ProfileMgr.OnFriendShipsCreateFailed = function()
{
	alert("ProfileMgr.OnFriendShipsCreateFailed()");

	 //interactive remote start
	 iRemoteTW.messgPopup("", SID_ALERT_NETWORKERROR_MSG); 
	 //interactive remote end
	MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG,
						   function()
						   {
							   	LoadingMgr.Hide();
								ProfileMgr.Refresh();
								ProfileMgr.SetLeftSideFocus();
						   });
	
}

/**
 * Unfollowing???패?을 ???출?는 콜백 ?수
 */
ProfileMgr.OnFriendShipsDestroyFailed = function()
{
	alert("ProfileMgr.OnFriendShipsDestroyFailed()");

  //interactive remote start
	 iRemoteTW.messgPopup("", SID_ALERT_NETWORKERROR_MSG); 
	 //interactive remote end	
	MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG,
						   function()
						   {
							   	LoadingMgr.Hide();
								ProfileMgr.Refresh();
								ProfileMgr.SetLeftSideFocus();
						   });
}

/**
 * ?쪽?에???????택?을 ??기능???행?는 ?수
 */
ProfileMgr.SelectLeft = function()
{
	switch(this.leftside_current_index)
	{
		case 0:
			LoadingMgr.Show();
			var strProfileOwner = this.current_status.UserId ? this.current_status.UserId : this.current_status.Id;
			if(People.ContainFollowingId(strProfileOwner))
			{
				LoadingMgr.Show();
				KeyHandler.FocusNoKey();
				Friendships.SetDestroy401Func(null);
				Friendships.SetDestroyErrorFunc(ProfileMgr.OnFriendShipsDestroyFailed);
				Friendships.SetDestroyReturnFunc(ProfileMgr.OnFriendShipsDestroySuccessful);
				Friendships.Destroy(this.current_status.ScreenName);
			}
			else
			{
				LoadingMgr.Show();
				KeyHandler.FocusNoKey();
				Friendships.SetCreate401Func(null);
				Friendships.SetCreateErrorFunc(ProfileMgr.OnFriendShipsCreateFailed);
				Friendships.SetCreateReturnFunc(ProfileMgr.OnFriendShipsCreateSuccessful);
				Friendships.Create(this.current_status.ScreenName);
			}
			break;
		
		case 1:
		case 2:
			this.Hide();
			ProfilePeopleMgr.Show(this.current_status, this.leftside_current_index, TwitterDefine.From.Wave);
			break;
	}
}

/**
 * Favorite ?록???공?을 ???출?는 콜백 ?수
 */
ProfileMgr.OnCreateFavoriteReturn = function()
{
	alert("ProfileMgr.OnCreateFavoriteReturn()");
	
	ProfileMgr.current_status_cut_list[ProfileMgr.rightside_current_index].Favorited = true;
	ProfileMgr.Display();
	ProfileMgr.SetRightSideFocus();
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(1);
	HomeMgr.SetUpdate(2);
	
	LoadingMgr.Hide();
}

/**
 * Favorite ?제??공?을 ???출?는 콜백 ?수
 */
ProfileMgr.OnDestroyFavoriteReturn = function()
{
	alert("ProfileMgr.OnDestroyFavoriteReturn()");
	ProfileMgr.current_status_cut_list[ProfileMgr.rightside_current_index].Favorited = false;
	ProfileMgr.Display();
	ProfileMgr.SetRightSideFocus();
	
	HomeMgr.SetUpdate(0);
	HomeMgr.SetUpdate(1);
	HomeMgr.SetUpdate(2);
	LoadingMgr.Hide();
}

/**
 * Favorite???정?????패?면 ?출?는 콜백?수
 */
ProfileMgr.OnFavoriteReturnFailed = function()
{
	alert("HomeMgr.OnFavoriteReturnFailed()");
	LoadingMgr.Hide();

	 //interactive remote start
	 iRemoteTW.messgPopup("", SID_ALERT_NETWORKERROR_MSG); 
	 //interactive remote end
	MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG,
					   function()
					   {
							ProfileMgr.Refresh();
							ProfileMgr.SetRightSideFocus();
					   });
}

/**
 * Favorite???거?????패?면 ?출?는 콜백?수
 */
ProfileMgr.OnUnfavoriteReturnFailed = function()
{
	alert("HomeMgr.OnUnfavoriteReturnFailed()");
	LoadingMgr.Hide();

	 //interactive remote start
	 iRemoteTW.messgPopup("", SID_ALERT_NETWORKERROR_MSG); 
	 //interactive remote end
	MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG,
					   function()
					   {
							ProfileMgr.Refresh();
							ProfileMgr.SetRightSideFocus();
					   });
}

/**
 * Profile ?이지???쪽?????들??
 */
ProfileMgr.LeftSideKeyHandler = function()
{
	if (!CUtil.delayKey()) return;
	alert("ProfileMgr.LeftSideKeyHandler() -> " + event.keyCode);
	switch (event.keyCode)
	{
		case tvKey.KEY_UP:
			this.LeftSideMoveUp();
			break;
		case tvKey.KEY_DOWN:
			this.LeftSideMoveDown();
			break;
		case tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);
			this.Hide();

			//interactive remote start
			iRemoteTW.onLoad();
			//interactive remote end
			if (this.mode == 1) 
			{
				MainMenuMgr.ShowCurrentMenu();
				HelpNavigationMgr.ShowHomeHelp();
				if (HomeMgr.IsUpdate(HomeMgr.GetMode())) 
					HomeMgr.Show();
				else 
				{
					HomeMgr.Display();
					UIHome.Show();
				}
				HomeMgr.Focus();
			}
			else if (this.mode == 2) 
			{
				MainMenuMgr.ShowCurrentMenu();
				HelpNavigationMgr.ShowPeopleHelp();
				PeopleMgr.Display();
				UIPeople.Show();
				PeopleMgr.Focus();
			}
			else if (this.mode == 3)
			{
				MainMenuMgr.ShowCurrentMenu();
				HelpNavigationMgr.ShowDirectMessagesHelp();
				DirectMessagesMgr.Show();
				DirectMessagesMgr.Focus();
			}
			else if (this.mode == 4)
			{
				alert(this.GetRealIndex()+" "+this.current_status_list.length);
				HelpNavigationMgr.ShowSearchHelp();
				SearchMgr.Display();
				UISearch.Show();
				SearchMgr.Focus();
			}
			else if (this.mode == TwitterDefine.From.Wave) {
				iWave.pop();
			}

			break;
		case tvKey.KEY_RIGHT:
			if(!ProfileMgr.Ready.get()) return;
			this.rightside_current_index = 0;
			this.SetFocusLocation(1);
			this.SetRightSideFocus();
			this.Display();
			break;
		case tvKey.KEY_BLUE:
			this.Hide();
			MainMenuMgr.ShowHomeMenu();
			HomeMgr.Show();
			HomeMgr.Focus();
			break;
		case tvKey.KEY_ENTER:
			this.SelectLeft();
			break;
		case tvKey.KEY_BLUE:
			this.Hide();
			MainMenuMgr.ShowHomeMenu();
			HomeMgr.Show();
			HomeMgr.Focus();
			break;
	}	
}

/**
 * Profile ?이지???른쪽편 ???들??
 */
ProfileMgr.RightSideKeyHandler = function()
{
	if (!CUtil.delayKey()) return;
	alert("ProfileMgr.RightSideKeyHandler() -> " + event.keyCode);
	switch (event.keyCode)
	{
		case tvKey.KEY_LEFT:
			HelpNavigationMgr.HideProfileHelp();
			this.SetFocusLocation(0);
			this.SetLeftSideFocus();
			this.Display();
			break;
		case tvKey.KEY_UP:
			this.RightSideMoveUp();
			break;
		case tvKey.KEY_DOWN:
			this.RightSideMoveDown();
			break;
		case tvKey.KEY_RW:
			this.PageUpList();            
            break;
        case tvKey.KEY_FF:
            this.PageDownList();
            break;
		case tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);
			
			this.Hide();

			//interactive remote start
			iRemoteTW.onLoad();
			//interactive remote end
			if (this.mode == 1) 
			{
				MainMenuMgr.ShowCurrentMenu();
				HelpNavigationMgr.ShowHomeHelp();
				if (HomeMgr.IsUpdate(HomeMgr.GetMode())) 
					HomeMgr.Show();
				else 
				{
					HomeMgr.Display();
					UIHome.Show();
				}
				HomeMgr.Focus();
			}
			else if (this.mode == 2) 
			{
				MainMenuMgr.ShowCurrentMenu();
				HelpNavigationMgr.ShowPeopleHelp();
				PeopleMgr.Display();
				UIPeople.Show();
				PeopleMgr.Focus();
			}
			else if (this.mode == 3)
			{
				MainMenuMgr.ShowCurrentMenu();
				HelpNavigationMgr.ShowDirectMessagesHelp();
				DirectMessagesMgr.Show();
				DirectMessagesMgr.Focus();
			}
			else if (this.mode == 4)
			{
				alert(this.GetRealIndex()+" "+this.current_status_list.length);
				
				HelpNavigationMgr.ShowSearchHelp();
				SearchMgr.Display();
				UISearch.Show();
				SearchMgr.Focus();
			}
			else if (this.mode == TwitterDefine.From.Wave) {
				iWave.pop();
			}
			
			break;
		case tvKey.KEY_BLUE:
			this.Hide();
			MainMenuMgr.ShowHomeMenu();
			HomeMgr.Show();
			HomeMgr.Focus();
			break;
		case tvKey.KEY_GREEN:
			LoadingMgr.Show();
			KeyHandler.FocusNoKey();
			if (!this.current_status_cut_list[this.rightside_current_index].Favorited) 
			{
				alert(this.current_status_cut_list[this.rightside_current_index].Id);
				Favorites.SetCreateFavoriteReturnFunc(ProfileMgr.OnCreateFavoriteReturn);
				Favorites.SetCreateFavoriteErrorFunc(ProfileMgr.OnFavoriteReturnFailed);
				Favorites.CreateFavorite(this.current_status_cut_list[this.rightside_current_index].Id);
			}
			else 
			{
				alert(this.current_status_cut_list[this.rightside_current_index].Id);
				Favorites.SetDestroyFavoriteReturnFunc(ProfileMgr.OnDestroyFavoriteReturn);
				Favorites.SetDestroyFavoriteErrorFunc(ProfileMgr.OnUnfavoriteReturnFailed);
				Favorites.DestroyFavorite(this.current_status_cut_list[this.rightside_current_index].Id);
			}
			break;
		case tvKey.KEY_ENTER:
			DetailViewMgr.Show(this.current_status_cut_list[this.rightside_current_index], 3);
			break;
		case tvKey.KEY_TOOLS:
			var x=705,y=0;
			switch(this.rightside_current_index)
			{
				case 0:
					y=98;
					break;
				case 1:
					y=196;
					break;
				case 2:
					y=293;
					break;
				case 3:
					y=391;
					break;
			}
			ProfilePopupMgr.Show(x,y,this.current_status_cut_list[this.rightside_current_index]);
			
			//interactive remote start
			iRemoteTW.popupProfile((4*(this.current_page-1)) + this.rightside_current_index);
			//interactive remote end
			break;
		case tvKey.KEY_RED:
			this.RefreshList();
			break;
	}
}

// Manage contents status
ProfileMgr.Ready = {
	flag : false
	, set : 		function() 	{ this.flag = true; }
	, unset : 	function() 	{ this.flag = false; }
	, get : 		function() 	{ return this.flag }
}