/**
 * 스크롤바를 구현한 클래스
 * @class 스크롤바를 구현한 클래스
 */
var ScrollBarMgr =
{
	
}

/**
 * ScrollBarMgr 초기화
 */
ScrollBarMgr.Init = function()
{
	UIScrollBar.Init();
}

/**
 * 스크롤바를 화면에 그리는 함수
 * @param {Number} current_value 현재 값
 * @param {Number} total_value 총 값
 */
ScrollBarMgr.Display = function(current_value, total_value)
{
	alert("ScrollBarMgr.Display() -> " + current_value + " " + total_value);
	UIScrollBar.Display(current_value, total_value-1);
}

/**
 * 스크롤바를 이동시키는 함수
 * @param {Number} x X좌표
 * @param {Number} y Y좌표
 */
ScrollBarMgr.Move = function(x, y)
{
	UIScrollBar.Move(x,y);
}

/**
 * 화면에 스크롤바를 표시하는 함수
 * @param {Number} x X좌표
 * @param {Number} y Y좌표
 */
ScrollBarMgr.Show = function(x, y)
{
	this.Move(x,y);
	UIScrollBar.Show();
}

/**
 * 화면에 스크롤바를 숨기는 함수
 */
ScrollBarMgr.Hide = function()
{
	UIScrollBar.Hide();
}

ScrollBarMgr.Refresh = function()
{
	UIScrollBar.Refresh();
}
