var TwitterReply = {
	strSuccessMsg : ""
};

TwitterReply.OnEnter = function(pID, pInputText, pMode, pSuccessMsg) {
	TwitterReply.strSuccessMsg = pSuccessMsg;
	var bEmptyMessage = (pInputText.replace(/ /gi,'') == "");
//	if (bEmptyMessage || TwitterDefine.MAX_TEXT_LENGTH - pInputText.length < 0) //아무것도 입력 안 했을 시 
	if (bEmptyMessage) //아무것도 입력 안 했을 시 
	{
		UIMultilineIME.Hide();
        
		//interactive remote start
		iRemoteTW.messgPopup("",bEmptyMessage ? SID_PLEASE_ENTER_A_MESSAGE : SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140")); 
		//interactive remote end
		MessageBoxMgr.Show(""
			, bEmptyMessage ? SID_PLEASE_ENTER_A_MESSAGE : SID_MIX_MESSAGES_MOT_EXCEED_A_CHARACTERS.Replace("140")
			, function() {
		   		UIMultilineIME.Show();
				MultilineIME.Focus();
		   });
	} else {
		MultilineIME.Hide();
		LoadingMgr.Show();
		KeyHandler.FocusNoKey();
		
		Timeline.SetReplyStatusReturnFunc(function(){ TwitterReply.OnSuccess(pMode); });
		Timeline.SetReplyStatusErrorFunc(function(){	 TwitterReply.OnFail(pMode); });
		Timeline.ReplyStatus(pID, pInputText);
	}
}

TwitterReply.OnCancel = function(pMode) {
    MultilineIME.Hide();
    if (pMode == TwitterDefine.From.Home) {
        UIHome.Show();
        UIDetailView.Show();
    }
    else 
        if (pMode == TwitterDefine.From.Profile) {
            DetailViewMgr.Refresh();
			//interactive remote start
			iRemoteTW.detailView(iRemoteTW.selectedUserId);
			//interactive remote end

        }
    DetailViewMgr.Focus();
	//interactive remote start
	iRemoteTW.detailView(iRemoteTW.selectedUserId);
	//interactive remote end

}

TwitterReply.OnSuccess = function(pMode) {

	//interactive remote start
	iRemoteTW.onLoad();
	//interactive remote end
    MultilineIME.Hide();
	DetailViewMgr.Hide();
	LoadingMgr.Hide();
	HomeMgr.SetMode(0);
	HomeMgr.SetUpdate(0);

	var fnReturn = null;
	
	switch(pMode) {
		case TwitterDefine.From.Home: 
			fnReturn =  function() {	
           HomeMgr.Show();
		   //interactive remote start
			iRemoteTW.home();
			//interactive remote end

		  };
			break;
		case TwitterDefine.From.People: 
			fnReturn = function() {
								HelpNavigationMgr.ShowPeopleHelp(PeopleMgr.mode);
						   		PeopleMgr.Refresh();
								PeopleMgr.Focus();

								//interactive remote start
								iRemoteTW.people();
								//interactive remote end
						   }
			break;
		case TwitterDefine.From.Profile: 
			fnReturn =  function() {
								ProfileMgr.Refresh();
								ProfileMgr.SetRightSideFocus();

								//interactive remote start
								iRemoteTW.profile();
								//interactive remote end
						   };
			break;
		case TwitterDefine.From.Search: 
			fnReturn = function() {
								SearchMgr.Refresh();
								SearchMgr.Focus();

							   	//interactive remote start
                               					if(iRemoteTW.topicsearch=="1"){
							   		iRemoteTW.newTopicSearch();

                                					iRemoteTW.topicsearch="0";
                                				}
                                				else{

									iRemoteTW.topicItemSearch();
                                				}
								//interactive remote end
						   }
			break;
		case TwitterDefine.From.ProfileSearch: 
			fnReturn = function() {	
                                ProfilePeopleMgr.Focus();
				//interactive remote start 
                                if(ProfilePeopleMgr.mode == 1){

					iRemoteTW.profilePeopleFollowing();
                                }
                                else if(ProfilePeopleMgr.mode == 2){

				     iRemoteTW.profilePeopleFollowers();
                                }
				//interactive remote end
                            }
			break;
		case TwitterDefine.From.MyProfile:
			fnReturn = function() {	
                                MoreMgr.Focus(); 

				//interactive remote start
				iRemoteTW.myProfile();
				//interactive remote end
                                }
			break;
	}

	//interactive remote start
	iRemoteTW.messgPopup("", TwitterReply.strSuccessMsg, fnReturn);
	//interactive remote end 
	MessageBoxMgr.Show("", TwitterReply.strSuccessMsg, fnReturn);
}

TwitterReply.OnFail = function(pMode) {
	LoadingMgr.Hide();
	var fnReturn = null;
	switch(pMode) {
		case TwitterDefine.From.Home: 
		fnReturn =  function() {
								MultilineIME.Hide();
								DetailViewMgr.Hide();
								HomeMgr.Show();		
						   };
			break;
		case TwitterDefine.From.People: 
			fnReturn = function() {
								MultilineIME.Hide();
								HelpNavigationMgr.ShowPeopleHelp(PeopleMgr.mode);
						   		PeopleMgr.Refresh();
								PeopleMgr.Focus();	
						   }
			break;
		case TwitterDefine.From.Profile: 
			fnReturn =  function() {
								MultilineIME.Hide();
								DetailViewMgr.Hide();
								ProfileMgr.Refresh();
								ProfileMgr.SetRightSideFocus();
						   };
			break;
		case TwitterDefine.From.Search: 
			fnReturn = function() {
								MultilineIME.Hide();
								DetailViewMgr.Hide();
								SearchMgr.Refresh();
								SearchMgr.Focus();
						   }
			break;
		case TwitterDefine.From.ProfileSearch: 
			fnReturn = function()
						   {
								MultilineIME.Hide();
								DetailViewMgr.Hide();
								ProfilePeopleMgr.Refresh();
								ProfilePeopleMgr.Focus();
						   }
			break;
	}

	//interactive remote start
	iRemoteTW.messgPopup("",SID_ALERT_NETWORKERROR_MSG); 
	//interactive remote end
	MessageBoxMgr.Show("", SID_ALERT_NETWORKERROR_MSG, fnReturn);
}
