var PreviewTwitter = {
	widgetID : "",
	widgetPath : "",
	languageCode : 0,
	callback : null,
	
}

PreviewTwitter.Caption = {};
PreviewTwitter.Caption['en'] = "Twitter is a free social networking and micro-blogging service.";
PreviewTwitter.Caption['kr'] = "트위터는 무료 소셜 네트워킹 겸 마이크로블로그 서비스입니다. ";

PreviewTwitter.init = function (pWidgetPath, pWidgetID, pSendPreviewFunc, pLoadingFunc, pArg) {
	TRACE ("PreviewTwitter.init("+pWidgetID+")",TRACE_LEVEL.INFO);

	this.widgetID = pWidgetID;
	this.widgetPath = pWidgetPath;
	this.callback = pSendPreviewFunc;
	this.languageCode = pArg.lang;
	
	TRACE ("PreviewTwitter.init() End",TRACE_LEVEL.INFO);
}

PreviewTwitter.requestPreview = function() {
	TRACE ("PreviewTwitter.requestPreview()",TRACE_LEVEL.INFO);
	this.callback(this.generatePreviewHTML());
}

PreviewTwitter.generatePreviewHTML = function () {
	TRACE ("PreviewTwitter.generatePreviewHTML()",TRACE_LEVEL.INFO);
	
    var tmpHtml = "<div style = 'position:absolute;top:0px;left:0px;'>";
	tmpHtml += "<img style = 'position:absolute;top:0px;left:0px;' src = '"+this.widgetPath + this.widgetID + "/Resource/icon/nnavi_icon_twitter.png'>";
    tmpHtml += "</div>";
	var languageKeyword = new Common.Util.Language().convertCodeToKeyword(parseInt(this.languageCode,10));
	var strCaption = PreviewTwitter.Caption[languageKeyword] ? PreviewTwitter.Caption[languageKeyword] : PreviewTwitter.Caption['kr'];
	tmpHtml += "<div style = 'position:absolute;top:47px;width:230px;left:20px;line-height:18pt;font-size:12pt;color:#FFFFFF;text-align:left;'>" + strCaption + "</div>";

	TRACE ("PreviewTwitter.generatePreviewHTML() End",TRACE_LEVEL.INFO);
    return tmpHtml;
}

PreviewTwitter.onHidePreview = function() {

}