
var UIDetailView = 
{
	name_div : null,
	datetime_div : null,
	image_div : null,
	text_div : null,
	detailviewpopup_div : null,
	reply_text_div : null,
	favorite_text_div : null,
	retweet_text_div : null,
	profile_text_div : null,
	highlight_div : Array(),
	favorite_text_div : null,
	starimage_div : null,
	background_image_div2 : null,
	
	IMG_WIDTH : 48,
	IMG_HEIGHT : 48,
	
	COUNT_IN_PAGE : 4
}

UIDetailView.Init = function()
{
	this.image_div = document.getElementById("DetailViewPopup_Image");
	this.datetime_div = document.getElementById("DetailViewPopup_Datetime");
	this.name_div = document.getElementById("DetailViewPopup_Name");
	this.text_div = document.getElementById("DetailViewPopup_Text");
	this.detailviewpopup_div = document.getElementById("DetailViewPopup");
	this.favorite_text_div = document.getElementById("DetailViewPopup_Favorite_Text");
	this.reply_text_div = document.getElementById("DetailViewPopup_Reply_Text");
	this.retweet_text_div = document.getElementById("DetailViewPopup_Retweet_Text");
	this.profile_text_div = document.getElementById("DetailViewPopup_Profile_Text");
	this.starimage_div = document.getElementById("DetailViewPopup_StarImage");
	
	for(var i=0; i<this.COUNT_IN_PAGE; i++)
		this.highlight_div[i] = document.getElementById("DetailViewPopup_Highlight" + (i+1));
			
	this.background_image_div2 = document.getElementById("DetailViewPopup_Background_Image2");
}

UIDetailView.ShowBackgroundImage2 = function()
{
	this.background_image_div2.style.display = DISPLAY_BLOCK;
}

UIDetailView.HideBackgroundImage2 = function()
{
	this.background_image_div2.style.display = DISPLAY_NONE;
}

UIDetailView.ShowProfileText = function()
{
	this.profile_text_div.style.display = DISPLAY_BLOCK;
}

UIDetailView.HideProfileText = function()
{
	this.profile_text_div.style.display = DISPLAY_NONE;
}

UIDetailView.ShowStarImage = function()
{
	this.starimage_div.style.display = DISPLAY_BLOCK;
}

UIDetailView.HideStarImage = function()
{
	this.starimage_div.style.display = DISPLAY_NONE;
}

UIDetailView.SetProfileText = function()
{
	widgetAPI.putInnerHTML(this.profile_text_div, TWID_PROFILE);
}

UIDetailView.SetReplyText = function()
{
	widgetAPI.putInnerHTML(this.reply_text_div, TWID_REPLY);
}

UIDetailView.SetDeleteText = function()
{
	widgetAPI.putInnerHTML(this.reply_text_div, SID_DELETE);
}

UIDetailView.SetRetweetText = function()
{
	widgetAPI.putInnerHTML(this.retweet_text_div, TWID_RETWEET_VERB);
}

UIDetailView.SetFavoriteText = function()
{
	widgetAPI.putInnerHTML(this.favorite_text_div, TWID_FAVORITE);
}

UIDetailView.SetUnfavoriteText = function()
{
	widgetAPI.putInnerHTML(this.favorite_text_div, TEMPID_UNFAVORITE);
}

UIDetailView.Show = function()
{
	this.detailviewpopup_div.style.display = DISPLAY_BLOCK;
}

UIDetailView.Hide = function()
{
	this.detailviewpopup_div.style.display = DISPLAY_NONE;
}

UIDetailView.Refresh = function()
{
	this.Hide();
	this.Show();
}

UIDetailView.EnabledProfile = function(mode)
{
	var classname = (mode ? "DetailViewPopup_Enabled_Text_Style" : "DetailViewPopup_Disabled_Text_Style");
	Util.SetClassToDiv(this.profile_text_div, classname);
}

UIDetailView.EnabledRetweet = function(mode)
{
	var classname = (mode ? "DetailViewPopup_Enabled_Text_Style" : "DetailViewPopup_Disabled_Text_Style");
	Util.SetClassToDiv(this.retweet_text_div, classname);
}

UIDetailView.EnabledFavorite = function(pMode)
{
	this.favorite_text_div.style.color = pMode ? "#000000" : "#666666";
}

UIDetailView.SetNameToNameDiv = function(name)
{
	alert("UIDetailView.SetNameToNameDiv()");
	widgetAPI.putInnerHTML(this.name_div, name);
}

UIDetailView.SetDatetimeToDatetimeDiv = function(datetime)
{
	alert("UIDetailView.SetDatetimeToDatetimeDiv()");
	widgetAPI.putInnerHTML(this.datetime_div, datetime);
}

UIDetailView.SetTextToTextDiv = function(pMessage)
{
	alert("UIDetailView.SetTextToTextDiv()");
	widgetAPI.putInnerHTML(this.text_div, pMessage.toSeperate());
}

UIDetailView.SetImageToImageDiv = function(img_path)
{
	alert("UIDetailView.SetImageToImageDiv()");
	var tmp = "<img src='" + img_path + "' width='" + this.IMG_WIDTH + "' height='" + this.IMG_HEIGHT + "'>";
	alert(tmp); 
	widgetAPI.putInnerHTML(this.image_div, tmp);
}

UIDetailView.SetFocus = function(index)
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.highlight_div[i].style.visibility = "hidden";
	this.highlight_div[index].style.visibility = "visible";
}

UIDetailView.moveFocus = function(pOldIdx, pNewIdx)
{
	this.highlight_div[pOldIdx].style.visibility = VISIBILITY_HIDDEN;
	this.highlight_div[pNewIdx].style.visibility = VISIBILITY_VISIBLE;
}