var UIDirectMessages =
{
	directmessages_div_list : Array(),
	directmessages_div : null,
	directmessageslist_image_div : Array(),
	directmessageslist_imageframe_div : Array(),
	directmessageslist_listbox_div : Array(),
	directmessageslist_name_div : Array(),
	directmessageslist_datetime_div : Array(),
	directmessageslist_text_div : Array(),
	directmessageslist_div : Array(),
	message_div : null,
	
	dmnolist_div : null,
	dmnolist_line1_div : null,
	dmnolist_line2_div : null,
	dmnolist_line3_div : null,
	
	COUNT_IN_PAGE : 4,
	IMG_WIDTH : 48,
	IMG_HEIGHT : 48,
	
	LISTBOX_IMG_WIDTH : 780,
	LISTBOX_IMG_HEIGHT : 95,
	
	CLOCK_IMG_WIDTH : 14,
	CLOCK_IMG_HEIGHT : 14,
	
	IMAGE_FRAME_WIDTH : 90,
	IMAGE_FRAME_HEIGHT : 90,
	
	STARIMAGE_WIDTH : 18,
	STARIMAGE_HEIGHT : 17,
	
	LISTBOX_HIGHLIGHT_IMG : "img/twitter_list_box_highlight.png",
	LISTBOX_IMG : "img/twitter_list_box.png",

	IMAGE_HIGHLIGHT : "img/twitter_image_highlight.png",
	IMAGE_NOHIGHLIGHT : "img/twitter_image.png",
	
	CLOCK_HIGHLIGHT_IMG : "img/twitter_clock_icon_1.png",
	CLOCK_NORMAL_IMG : "img/twitter_clock_icon_2.png",
	
	HIGHLIGHT_NAME_STYLE : "DirectMessagesListDiv_Highlight_Name_Style",
	NORMAL_NAME_STYLE : "DirectMessagesListDiv_Normal_Name_Style",
	HIGHLIGHT_TEXT_STYLE : "DirectMessagesListDiv_Highlight_Text_Style",
	NORMAL_TEXT_STYLE : "DirectMessagesListDiv_Normal_Text_Style",
	HIGHLIGHT_DATETIME_STYLE : "DirectMessagesListDiv_Highlight_DateTime_Style",
	NORMAL_DATETIME_STYLE : "DirectMessagesListDiv_Normal_DateTime_Style",
}

UIDirectMessages.Init = function()
{
	alert("UIDirectMessages.Init()");
	var i;
		
	this.directmessages_div = document.getElementById("DirectMessagesDiv");
	this.message_div = document.getElementById("DirectMessagesDiv_Message");
	for (i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		this.directmessageslist_div[i] = document.getElementById("DirectMessagesListDiv"+(i+1));
		this.directmessageslist_image_div[i] = document.getElementById("DirectMessagesListDiv"+(i+1)+"_Image");
		this.directmessageslist_imageframe_div[i] = document.getElementById("DirectMessagesListDiv"+(i+1)+"_ImageFrame");
		this.directmessageslist_listbox_div[i] = document.getElementById("DirectMessagesListDiv"+(i+1)+"_ListBox");
		this.directmessageslist_name_div[i] = document.getElementById("DirectMessagesListDiv"+(i+1)+"_Name");
		this.directmessageslist_datetime_div[i] = document.getElementById("DirectMessagesListDiv"+(i+1)+"_DateTime");
		this.directmessageslist_text_div[i] = document.getElementById("DirectMessagesListDiv"+(i+1)+"_Text");
	}
	
	this.dmnolist_div = document.getElementById("DirectMessagesNoList");
	this.dmnolist_line1_div = document.getElementById("DirectMessagesNoList_Line1");
	this.dmnolist_line2_div = document.getElementById("DirectMessagesNoList_Line2");
	this.dmnolist_line3_div = document.getElementById("DirectMessagesNoList_Line3");
	
	this.SetLine1(SID_NO_MESSAGE);
	this.SetLine2(SID_NO_DIRECT_MESSAGES_SENT_ONLY_TO_YOU);
	this.SetLine3("");
}

UIDirectMessages.ShowNoList = function()
{
	this.dmnolist_div.style.display = DISPLAY_BLOCK;	
}

UIDirectMessages.HideNoList = function()
{
	this.dmnolist_div.style.display = DISPLAY_NONE;
}

UIDirectMessages.SetLine1 = function(text)
{
	widgetAPI.putInnerHTML(this.dmnolist_line1_div, text);
}
//G:\$WIN_NT$.~LS
UIDirectMessages.SetLine2 = function(text)
{
	widgetAPI.putInnerHTML(this.dmnolist_line2_div, text);
}

UIDirectMessages.SetLine3 = function(text)
{
	widgetAPI.putInnerHTML(this.dmnolist_line3_div, text);
}


UIDirectMessages.SetInboxMessage = function()
{
	widgetAPI.putInnerHTML(this.message_div, TWID_INBOX + " | "+ SID_DIRECT_MESSAGE_SENT_ONLY_TO_YOU);
}

UIDirectMessages.SetSentMessage = function()
{
	widgetAPI.putInnerHTML(this.message_div, SID_SENT + " | "+ SID_DIRECT_MESSAGES_YOU_SENT);
}

UIDirectMessages.SetHighlightClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.directmessageslist_datetime_div[index], this.HIGHLIGHT_DATETIME_STYLE);	
}

UIDirectMessages.SetNormalClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.directmessageslist_datetime_div[index], this.NORMAL_DATETIME_STYLE);	
}

UIDirectMessages.SetNormalClassToAllDatetimeDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToDatetimeDiv(i);
}

UIDirectMessages.SetHighlightClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.directmessageslist_text_div[index], this.HIGHLIGHT_TEXT_STYLE);
}

UIDirectMessages.SetNormalClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.directmessageslist_text_div[index], this.NORMAL_TEXT_STYLE);
}

UIDirectMessages.SetNormalClassToAllTextDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToTextDiv(i);
}

UIDirectMessages.SetHighlightClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.directmessageslist_name_div[index], this.HIGHLIGHT_NAME_STYLE);
}

UIDirectMessages.SetNormalClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.directmessageslist_name_div[index], this.NORMAL_NAME_STYLE);
}

UIDirectMessages.SetNormalClassToAllNameDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToNameDiv(i);
}

UIDirectMessages.SetImageToImageFrameDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMAGE_FRAME_WIDTH 
	       + "' height='" + this.IMAGE_FRAME_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.directmessageslist_imageframe_div[index], tmp);	
}

UIDirectMessages.SetHighlightImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_HIGHLIGHT);
}

UIDirectMessages.SetNormalImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_NOHIGHLIGHT);
}

UIDirectMessages.SetNormalImageToAllImageFrameDiv = function(index)
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalImageToImageFrameDiv(i);
}

UIDirectMessages.SetImageToImageDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMG_WIDTH + "' height='" + this.IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.directmessageslist_image_div[index], tmp);	
}

UIDirectMessages.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListBox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UIDirectMessages.SetImageToListbox = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.LISTBOX_IMG_WIDTH + "' height='" 
		   + this.LISTBOX_IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.directmessageslist_listbox_div[index], tmp);
}

UIDirectMessages.SetNormalImageToListbox = function(index)
{
	//alert("UIDirectMessages.SetNormalImageToListbox() -> " + this.LISTBOX_IMG);
	this.SetImageToListbox(index, this.LISTBOX_IMG);
}

UIDirectMessages.SetNormalImageToAllListbox = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalImageToListbox(i);
}

UIDirectMessages.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListbox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UIDirectMessages.SetNameToNameDiv = function(index, name)
{
	widgetAPI.putInnerHTML(this.directmessageslist_name_div[index], name);
}

UIDirectMessages.SetTextToTextDiv = function(index, text)
{
	widgetAPI.putInnerHTML(this.directmessageslist_text_div[index], text.toSeperate());
}

UIDirectMessages.GetClockImageHtml = function(image)
{
	var tmp_str = "";
	tmp_str += "<img src='" + image + 
			   "' width='" + this.CLOCK_IMG_WIDTH +"' height='"+ this.CLOCK_IMG_HEIGHT + "'>";
	
	return tmp_str;
}

UIDirectMessages.GetNormalClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_NORMAL_IMG);
}

UIDirectMessages.GetHighlightClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_HIGHLIGHT_IMG);
}

UIDirectMessages.SetDateTimeToDatetimeDiv = function(index, datetime)
{
	widgetAPI.putInnerHTML(this.directmessageslist_datetime_div[index], datetime);
}

UIDirectMessages.Show = function()
{
	this.directmessages_div.style.display = DISPLAY_BLOCK; 
}

UIDirectMessages.Hide = function()
{
	this.directmessages_div.style.display = DISPLAY_NONE;
}

UIDirectMessages.ShowList = function(index)
{
	this.directmessageslist_div[index].style.display = DISPLAY_BLOCK;
}

UIDirectMessages.HideList = function(index)
{
	this.directmessageslist_div[index].style.display = DISPLAY_NONE;
}

UIDirectMessages.Display = function(status_list)
{
	alert("UIDirectMessages.Display()");
	
	//this.SetNormalImageToAllListbox();
	//this.SetNormalImageToAllImageFrameDiv();
	
	if(status_list == null)
	{
		alert("status_list가 null이다.");
		for(i=0; i<this.COUNT_IN_PAGE; i++)
		{
			this.HideList(i);
		}
		DirectMessagesMgr.Ready.unset();
		UIMisc.showNoContents(TwitterDefine.Section.Messages, DirectMessagesMgr.GetMode());
		return;
	}
	DirectMessagesMgr.Ready.set();
	UIMisc.hideNoContents();
	
	this.SetNormalClassToAllNameDiv();
	this.SetNormalClassToAllTextDiv();
	this.SetNormalClassToAllDatetimeDiv();
	
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.HideList(i);
		if(status_list[i] != null)
		{
			this.SetNormalImageToListbox(i);
			this.SetNormalImageToImageFrameDiv(i);
			if (DirectMessagesMgr.GetMode() == 100) 
			{
				this.SetImageToImageDiv(i, status_list[i].Sender.ProfileImageUrl);
				this.SetNameToNameDiv(i, status_list[i].Sender.ScreenName);
			}
			else
			{
				this.SetImageToImageDiv(i, status_list[i].Recipient.ProfileImageUrl);
				this.SetNameToNameDiv(i, status_list[i].Recipient.ScreenName);
			}
			this.SetTextToTextDiv(i, status_list[i].Text);
			this.SetDateTimeToDatetimeDiv(i, this.GetNormalClockImageHtml() + " " 
											 + Util.ExtractMessageFromDirectMessage(null, status_list[i].CreatedAt));
			if(DirectMessagesMgr.GetCurrentIndex() == i)
			{
				//this.SetHighlightImageToListbox(i);
				this.SetHighlightImageToListbox(i);
				this.SetHighlightImageToImageFrameDiv(i);
				this.SetHighlightClassToNameDiv(i);
				this.SetHighlightClassToTextDiv(i);
				
				this.SetHighlightClassToDatetimeDiv(i);
				this.SetDateTimeToDatetimeDiv(i, this.GetHighlightClockImageHtml() + " " 
											     + Util.ExtractMessageFromDirectMessage(null, status_list[i].CreatedAt));				
			}
			this.ShowList(i);
		}
			
	}
}
