var UIFiltering =
{
	filtering_div : null,
	text_div : Array(),
	highlight_div : Array(),
	
	ITEMS_IN_PAGE : 3
}

UIFiltering.Init = function()
{
	this.filtering_div = document.getElementById("FilteringDiv");
	var i;
	for(i=0; i<this.ITEMS_IN_PAGE; i++)
	{
		this.text_div[i] = document.getElementById("FilteringDiv_Text" + (i+1));
		this.highlight_div[i] = document.getElementById("FilteringDiv_Highlight" + (i+1));
	}
	
	
	this.SetAllText();
	this.SetUsernameText();
	this.SetFavoritesText();
}

UIFiltering.Show = function()
{
	this.filtering_div.style.display = DISPLAY_BLOCK;
}

UIFiltering.Hide = function()
{
	this.filtering_div.style.display = DISPLAY_NONE;
}

UIFiltering.SetText = function(index, text)
{
	widgetAPI.putInnerHTML(this.text_div[index], text);
}

UIFiltering.SetAllText = function()
{
	this.SetText(0, SID_ALL);
}

UIFiltering.SetUsernameText = function(pUsername)
{
	this.SetText(1, "@" + pUsername);
}

UIFiltering.SetFavoritesText = function()
{
	this.SetText(2, TWID_FAVORITES);
}

UIFiltering.ShowHighlight = function(index)
{
//	this.highlight_div[index].style.display = DISPLAY_BLOCK;
	this.highlight_div[index].style.visibility = VISIBILITY_VISIBLE;
}

UIFiltering.HideHighlight = function(index)
{
//	this.highlight_div[index].style.display = DISPLAY_NONE;
	this.highlight_div[index].style.visibility = VISIBILITY_HIDDEN;
}

UIFiltering.Display = function()
{
	for (var i = 0; i < this.ITEMS_IN_PAGE; i++) 
	{
		this.HideHighlight(i);
		if(FilteringMgr.GetCurrentIndex() == i)
		{
			this.ShowHighlight(i);
		}
	}
}

/*
<div id="FilteringDiv">
			<div id="FilteringDiv_Background_Image"></div>
			<div id="FilteringDiv_Text1"></div>
			<div id="FilteringDiv_Text2"></div>
			<div id="FilteringDiv_Text3"></div>
			<div id="FilteringDiv_Highlight1"></div>
			<div id="FilteringDiv_Highlight2"></div>
			<div id="FilteringDiv_Highlight3"></div>
		</div>
		
*/