var UIHome =
{
	home_div_list : Array(),
	home_div : null,
	homelist_div : Array(),
	homelist_image_div : Array(),
	homelist_imageframe_div : Array(),
	homelist_listbox_div : Array(),
	homelist_name_div : Array(),
	homelist_datetime_div : Array(),
	homelist_text_div : Array(),
	homelist_starimage_div : Array(),
	
	homenolist_div : null,
	homenolist_line1_div : null,
	homenolist_line2_div : null,
	homenolist_line3_div : null,
	
	IMG_WIDTH : 48,
	IMG_HEIGHT : 48,
	
	LISTBOX_IMG_WIDTH : 780,
	LISTBOX_IMG_HEIGHT : 95,
	
	CLOCK_IMG_WIDTH : 14,
	CLOCK_IMG_HEIGHT : 14,
	
	IMAGE_FRAME_WIDTH : 90,
	IMAGE_FRAME_HEIGHT : 90,
	
	STARIMAGE_WIDTH : 18,
	STARIMAGE_HEIGHT : 17,
	
	LISTBOX_HIGHLIGHT_IMG : "img/twitter_list_box_highlight.png",
	LISTBOX_IMG : "img/twitter_list_box.png",

	IMAGE_HIGHLIGHT : "img/twitter_image_highlight.png",
	IMAGE_NOHIGHLIGHT : "img/twitter_image.png",
	
	CLOCK_HIGHLIGHT_IMG : "img/twitter_clock_icon_1.png",
	CLOCK_NORMAL_IMG : "img/twitter_clock_icon_2.png",
	
	STARIMAGE_HIGHLIGHT_IMG : "img/twitter_star_icon.png",
	STARIMAGE_NORMAL_IMG : "img/twitter_star_icon_2.png",
	
	HIGHLIGHT_NAME_STYLE : "HomeListDiv_Highlight_Name_Style",
	NORMAL_NAME_STYLE : "HomeListDiv_Normal_Name_Style",
	HIGHLIGHT_TEXT_STYLE : "HomeListDiv_Highlight_Text_Style",
	NORMAL_TEXT_STYLE : "HomeListDiv_Normal_Text_Style",
	HIGHLIGHT_DATETIME_STYLE : "HomeListDiv_Highlight_DateTime_Style",
	NORMAL_DATETIME_STYLE : "HomeListDiv_Normal_DateTime_Style",
}

/*
 * <div id="HomeNoList">
				<div id="HomeNoList_Line1"></div>
				<div id="HomeNoList_Line2"></div>
				<div id="HomeNoList_Line3"></div>
			</div>
 */
UIHome.Init = function()
{
	alert("UIHome.Init");
	var i;
		
	this.home_div = document.getElementById("HomeDiv");
	
	for (i = 0; i < HomeMgr.COUNT_IN_PAGE; i++) 
	{
		this.homelist_div[i] = document.getElementById("HomeListDiv"+(i+1));
		this.homelist_image_div[i] = document.getElementById("HomeListDiv"+(i+1)+"_Image");
		this.homelist_imageframe_div[i] = document.getElementById("HomeListDiv"+(i+1)+"_ImageFrame");
		this.homelist_listbox_div[i] = document.getElementById("HomeListDiv"+(i+1)+"_ListBox");
		this.homelist_name_div[i] = document.getElementById("HomeListDiv"+(i+1)+"_Name");
		this.homelist_datetime_div[i] = document.getElementById("HomeListDiv"+(i+1)+"_DateTime");
		this.homelist_text_div[i] = document.getElementById("HomeListDiv"+(i+1)+"_Text");
		this.homelist_starimage_div[i] = document.getElementById("HomeListDiv"+(i+1)+"_StarImage");
	}
	
	this.homenolist_div = document.getElementById("HomeNoList");
	this.homenolist_line1_div = document.getElementById("HomeNoList_Line1");
	this.homenolist_line2_div = document.getElementById("HomeNoList_Line2");
	this.homenolist_line3_div = document.getElementById("HomeNoList_Line3");
	
	this.SetLine1(SID_NO_TWEETS);
	this.SetLine2(SID_1_TELL_US_WHAT_YOU_ARE_DOING);
	this.SetLine3("2."+SID_FIND_SOME_FRIENDS_AND_FOLLOW_WHAT_THEY_DOING);
}

UIHome.ShowNoList = function()
{
	this.homenolist_div.style.display = DISPLAY_BLOCK;	
}

UIHome.HideNoList = function()
{
	this.homenolist_div.style.display = DISPLAY_NONE;
}

UIHome.SetLine1 = function(text)
{
	widgetAPI.putInnerHTML(this.homenolist_line1_div, text);
}

UIHome.SetLine2 = function(text)
{
	widgetAPI.putInnerHTML(this.homenolist_line2_div, text);
}

UIHome.SetLine3 = function(text)
{
	widgetAPI.putInnerHTML(this.homenolist_line3_div, text);
}

UIHome.SetHighlightClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.homelist_datetime_div[index], this.HIGHLIGHT_DATETIME_STYLE);	
}

UIHome.SetNormalClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.homelist_datetime_div[index], this.NORMAL_DATETIME_STYLE);	
}

UIHome.SetNormalClassToAllDatetimeDiv = function()
{
	var i;
	for(i=0; i<HomeMgr.COUNT_IN_PAGE; i++)
		this.SetNormalClassToDatetimeDiv(i);
}

UIHome.SetHighlightClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.homelist_text_div[index], this.HIGHLIGHT_TEXT_STYLE);
}

UIHome.SetNormalClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.homelist_text_div[index], this.NORMAL_TEXT_STYLE);
}

UIHome.SetNormalClassToAllTextDiv = function()
{
	var i;
	for(i=0; i<HomeMgr.COUNT_IN_PAGE; i++)
		this.SetNormalClassToTextDiv(i);
}

UIHome.SetHighlightClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.homelist_name_div[index], this.HIGHLIGHT_NAME_STYLE);
}

UIHome.SetNormalClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.homelist_name_div[index], this.NORMAL_NAME_STYLE);
}

UIHome.SetNormalClassToAllNameDiv = function()
{
	var i;
	for(i=0; i<HomeMgr.COUNT_IN_PAGE; i++)
		this.SetNormalClassToNameDiv(i);
}

UIHome.SetStarImageToStarImageDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.STARIMAGE_WIDTH 
	       + "' height='" + this.STARIMAGE_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.homelist_starimage_div[index], tmp);
	
	//this.STARIMAGE_HIGHLIGHT_IMG
}

UIHome.SetHighlightStarImageToStarImageDiv = function(index)
{
	this.SetStarImageToStarImageDiv(index, this.STARIMAGE_HIGHLIGHT_IMG);
}

UIHome.SetNormalStarImageToStarImageDiv = function(index)
{
	this.SetStarImageToStarImageDiv(index, this.STARIMAGE_NORMAL_IMG);
}

UIHome.HideStarImage = function(index)
{
	this.homelist_starimage_div[index].style.display = DISPLAY_NONE;
}

UIHome.ShowStarImage = function(index)
{
	this.homelist_starimage_div[index].style.display = DISPLAY_BLOCK;
}

UIHome.SetNormalStarImageToAllStarImageDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.SetNormalStarImageToStarImageDiv(i);
	}
}

UIHome.SetImageToImageFrameDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMAGE_FRAME_WIDTH 
	       + "' height='" + this.IMAGE_FRAME_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.homelist_imageframe_div[index], tmp);	
}

UIHome.SetHighlightImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_HIGHLIGHT);
}

UIHome.SetNormalImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_NOHIGHLIGHT);
}

UIHome.SetNormalImageToAllImageFrameDiv = function(index)
{
	var i;
	for(i=0; i<HomeMgr.COUNT_IN_PAGE; i++)
		this.SetNormalImageToImageFrameDiv(i);
}

UIHome.SetImageToImageDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMG_WIDTH + "' height='" + this.IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.homelist_image_div[index], tmp);	
}

UIHome.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListBox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UIHome.SetImageToListbox = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.LISTBOX_IMG_WIDTH + "' height='" 
		   + this.LISTBOX_IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.homelist_listbox_div[index], tmp);
}

UIHome.SetNormalImageToListbox = function(index)
{
	//alert("UIHome.SetNormalImageToListbox() -> " + this.LISTBOX_IMG);
	this.SetImageToListbox(index, this.LISTBOX_IMG);
}

UIHome.SetNormalImageToAllListbox = function()
{
	var i;
	for(i=0; i<HomeMgr.COUNT_IN_PAGE; i++)
		this.SetNormalImageToListbox(i);
}

UIHome.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListbox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UIHome.SetNameToNameDiv = function(index, name)
{
	widgetAPI.putInnerHTML(this.homelist_name_div[index], name);
}

UIHome.SetTextToTextDiv = function(index, pMessage)
{
	widgetAPI.putInnerHTML(this.homelist_text_div[index], pMessage.toSeperate());
}

UIHome.GetClockImageHtml = function(image)
{
	var tmp_str = "";
	tmp_str += "<img src='" + image + 
			   "' width='" + this.CLOCK_IMG_WIDTH +"' height='"+ this.CLOCK_IMG_HEIGHT + "'>";
	
	return tmp_str;
}

UIHome.GetNormalClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_NORMAL_IMG);
}

UIHome.GetHighlightClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_HIGHLIGHT_IMG);
}

UIHome.SetDateTimeToDatetimeDiv = function(index, datetime)
{
	widgetAPI.putInnerHTML(this.homelist_datetime_div[index], datetime);
}

UIHome.Show = function()
{
	this.home_div.style.display = DISPLAY_BLOCK; 
}

UIHome.Hide = function()
{
	this.home_div.style.display = DISPLAY_NONE;
}

UIHome.ShowList = function(index)
{
	this.homelist_div[index].style.display = DISPLAY_BLOCK; 
}

UIHome.HideList = function(index)
{
	this.homelist_div[index].style.display = DISPLAY_NONE;
}

UIHome.Refresh = function()
{
	this.Hide();
	this.Show();
}

UIHome.Display = function(status_list, pMode)
{
	alert("UIHome.Display");
	
	this.SetNormalImageToAllListbox();
	this.SetNormalImageToAllImageFrameDiv();

	if(status_list == null)
	{
		alert("status_list가 null이다.");
   		HomeMgr.Ready.unset();
		for(i=0; i<HomeMgr.COUNT_IN_PAGE; i++)			
			this.HideList(i);
		UIMisc.showNoContents(pMode ? pMode : TwitterDefine.Section.Home);
		HelpNavigationMgr.ShowHomeHelp(1, 1); 
		return;
	}
	
	HomeMgr.Ready.set();
	UIMisc.hideNoContents();
	UIHome.HideNoList();
	
	var index = HomeMgr.GetCurrentIndex();
	var helpmode = (status_list[index].ScreenName == ID ? 1 : 2);
	var favorite = (status_list[index].Favorited ? 2 : 1);
	
	HelpNavigationMgr.ShowHomeHelp(helpmode, favorite); 
	
	this.SetNormalClassToAllNameDiv();
	this.SetNormalClassToAllTextDiv();
	this.SetNormalClassToAllDatetimeDiv();
	
	var i;
	for(i=0; i<HomeMgr.COUNT_IN_PAGE; i++)
	{
		this.HideList(i);

		if(status_list[i] != null)
		{
			if (status_list[i].Favorited) 
			{
				this.SetStarImageToStarImageDiv(i, this.STARIMAGE_NORMAL_IMG);
				this.ShowStarImage(i);	
			}
			else 
				this.HideStarImage(i);
			
			this.SetImageToImageDiv(i, status_list[i].ProfileImageUrl);
			this.SetNameToNameDiv(i, status_list[i].ScreenName);
			this.SetTextToTextDiv(i, status_list[i].Text);
			
			this.SetDateTimeToDatetimeDiv(i, this.GetNormalClockImageHtml() + " " 
											 + Util.ExtractMessage(status_list[i], status_list[i].CreatedAt));
			if(HomeMgr.GetCurrentIndex() == i)
			{
				if (status_list[i].Favorited) 
				{
					this.SetStarImageToStarImageDiv(i, this.STARIMAGE_HIGHLIGHT_IMG);
					this.ShowStarImage(i);
				}
				else
					this.HideStarImage(i);
				this.SetHighlightImageToListbox(i);
				this.SetHighlightImageToImageFrameDiv(i);
				this.SetHighlightClassToNameDiv(i);
				this.SetHighlightClassToTextDiv(i);
				
				this.SetHighlightClassToDatetimeDiv(i);
			
				this.SetDateTimeToDatetimeDiv(i, this.GetHighlightClockImageHtml() + " " 
											 + Util.ExtractMessage(status_list[i], status_list[i].CreatedAt));				
			}
			this.ShowList(i);
		}
			
	}
	
	this.Refresh();	
}

// Home summerize section
UIHome.Summary = {
	div : null,
	bInit : false,
	init : function() {
		this.div = document.getElementById("HomeSummaryDiv");
		this.bInit = true;
	}
	, show : function() {
		if (!this.bInit) this.init();
		this.div.style.display = "block";
	}
	, hide : function() {
		if (!this.bInit) this.init();
		this.div.style.display = "none";		
	}
	, update : function(pArrSetting) {
		if (!this.bInit) this.init();
		var strHTML = "";
		if (pArrSetting instanceof Array) {
			var arrLength = pArrSetting.length;
			for (var setIdx = 0; setIdx < arrLength; setIdx++) {
				strHTML += "&nbsp;&nbsp;*" + pArrSetting[setIdx].num + "&nbsp;" + pArrSetting[setIdx].caption;
			}
		}
		this.div.innerHTML = strHTML;
	}
}
