var UIHomePopup = 
{
	homepopup_div : null,
	profile_text_div : null,
	mention_text_div : null,
	directmessage_text_div : null,
	unfollow_text_div : null,
	block_text_div : null,
	highlight_div : Array(),
}
/*
 * <div id="HomePopup">
				<div id="HomePopup_Background_Image"></div>
				
				<div id="HomePopup_Profile_Highlight">
					<div id="HomePopup_Profile_Text">Profile</div>	
				</div>				
				<div id="HomePopup_Mention_Highlight">
					<div id="HomePopup_Mention_Text">Mention</div>	
				</div>
				<div id="HomePopup_DirectMessage_Highlight">
					<div id="HomePopup_DirectMessage_Text">Direct Message</div>	
				</div>
				<div id="HomePopup_Unfollow_Highlight">
					<div id="HomePopup_Unfollow_Text">Unfollow</div>	
				</div>
				<div id="HomePopup_Block_Highlight">
					<div id="HomePopup_Block_Text">Block</div>
				</div>
			</div>
 */
UIHomePopup.Init = function()
{
	this.homepopup_div = document.getElementById("HomePopup");
	this.profile_text_div = document.getElementById("HomePopup_Profile_Text");
	this.mention_text_div = document.getElementById("HomePopup_Mention_Text");
	this.directmessage_text_div = document.getElementById("HomePopup_DirectMessage_Text");
	this.unfollow_text_div = document.getElementById("HomePopup_Unfollow_Text");
	this.block_text_div = document.getElementById("HomePopup_Block_Text");
	
	this.highlight_div[0] = document.getElementById("HomePopup_Profile_Highlight");
	this.highlight_div[1] = document.getElementById("HomePopup_Mention_Highlight");
	this.highlight_div[2] = document.getElementById("HomePopup_DirectMessage_Highlight");
	this.highlight_div[3] = document.getElementById("HomePopup_Unfollow_Highlight");
	this.highlight_div[4] = document.getElementById("HomePopup_Block_Highlight");
	
	this.SetProfileText();
	this.SetMentionText();
	this.SetDirectMessageText();
	this.SetUnfollowText();
	this.SetBlockText();
}

UIHomePopup.EnableProfile = function()
{
	Util.SetClassToDiv(this.profile_text_div, 
					   "HomePopup_Enabled_Text_Style");
//   this.profile_text_div.style.color = "#000000";
}

UIHomePopup.DisableProfile = function()
{
	Util.SetClassToDiv(this.profile_text_div, 
					   "HomePopup_Disabled_Text_Style");
//   this.profile_text_div.style.color = "#666666";
}

UIHomePopup.EnableUnfollow = function()
{
	Util.SetClassToDiv(this.unfollow_text_div, 
					   "HomePopup_Enabled_Text_Style");
}

UIHomePopup.DisableUnfollow = function()
{
	Util.SetClassToDiv(this.unfollow_text_div, 
					   "HomePopup_Disabled_Text_Style");
}

UIHomePopup.EnableBlock = function()
{
	Util.SetClassToDiv(this.block_text_div, 
					   "HomePopup_Enabled_Text_Style");
}

UIHomePopup.DisableBlock = function()
{
	Util.SetClassToDiv(this.block_text_div, 
					   "HomePopup_Disabled_Text_Style");
}

UIHomePopup.EnableDirectMessage = function()
{
	Util.SetClassToDiv(this.directmessage_text_div, 
					   "HomePopup_Enabled_Text_Style");
}

UIHomePopup.DisableDirectMessage = function()
{
	Util.SetClassToDiv(this.directmessage_text_div, 
					   "HomePopup_Disabled_Text_Style");
}

UIHomePopup.SetProfileText = function()
{
	widgetAPI.putInnerHTML(this.profile_text_div, TWID_PROFILE);
}

UIHomePopup.SetMentionText = function()
{
	widgetAPI.putInnerHTML(this.mention_text_div, TWID_MENTION);
}

UIHomePopup.SetDirectMessageText = function()
{
	widgetAPI.putInnerHTML(this.directmessage_text_div, TWID_DIRECT_MESSAGE);
}

UIHomePopup.SetFollowText = function()
{
	widgetAPI.putInnerHTML(this.unfollow_text_div, TWID_FOLLOW);
}

UIHomePopup.SetUnfollowText = function()
{
	widgetAPI.putInnerHTML(this.unfollow_text_div, TWID_UNFOLLOW);
}

UIHomePopup.SetBlockText = function()
{
	widgetAPI.putInnerHTML(this.block_text_div, TWID_BLOCK);
}

UIHomePopup.Show = function(x, y)
{
	this.homepopup_div.style.left = x;
	this.homepopup_div.style.top = y;
	this.homepopup_div.style.display = DISPLAY_BLOCK;
}

UIHomePopup.Hide = function()
{
	this.homepopup_div.style.display = DISPLAY_NONE;
}

UIHomePopup.HideHighlight = function(index)
{
	this.highlight_div[index].style.display = DISPLAY_NONE;
}

UIHomePopup.ShowHighlight = function(index)
{
	this.highlight_div[index].style.display = DISPLAY_BLOCK;
}

UIHomePopup.Display = function()
{
	for(var i=0; i<this.highlight_div.length; i++)
	{
		if(i==HomePopupMgr.GetFocusLocation())
		{
			this.ShowHighlight(i);
		}
		else
		{
			this.HideHighlight(i);
		}
	}
}

