var UIMultilineIME =
{
	multilineinput_div : null,
	multiline_name_div : null,
	remain_div : null,
	multiline_title_div : null,
} 

UIMultilineIME.Init = function()
{
	this.multilineinput_div = document.getElementById("MultilineIME");
	this.multiline_name_div = document.getElementById("MultilineIME_Name");
	this.remain_div = document.getElementById("MultilineIME_Remain");
	this.multiline_title_div = document.getElementById("MultilineIME_Title");
	this.multiline_preview_div = document.getElementById("MultilineIME_Preview");
}

UIMultilineIME.Show = function()
{
	this.multilineinput_div.style.display = DISPLAY_BLOCK;
	this.multilineinput_div.style.visibility = "visible";
}

UIMultilineIME.Hide = function()
{
//	this.multilineinput_div.style.display = DISPLAY_NONE;
	this.multilineinput_div.style.visibility = "hidden";
}

UIMultilineIME.SetTitle = function(title)
{
	widgetAPI.putInnerHTML(this.multiline_title_div, title);
}

UIMultilineIME.SetSubTitle = function(pSubTitle)
{
	widgetAPI.putInnerHTML(this.multiline_name_div, pSubTitle);
}

UIMultilineIME.SetNameToNameDiv = function(name)
{
	widgetAPI.putInnerHTML(this.multiline_name_div, SID_WHAT_ARE_YOU_DOING);
}

UIMultilineIME.SetMessage = function(text)
{
	widgetAPI.putInnerHTML(this.multiline_name_div, text);
}

UIMultilineIME.SetRemain = function(remain_num)
{
	widgetAPI.putInnerHTML(this.remain_div, remain_num);
}

UIMultilineIME.HideRemain = function()
{
	this.remain_div.style.display = DISPLAY_NONE;
}

UIMultilineIME.ShowRemain = function()
{
	this.remain_div.style.display = DISPLAY_BLOCK;
}

UIMultilineIME.RefreshRemain = function()
{
	this.HideRemain();
	this.ShowRemain();	
}

UIMultilineIME.UpdatePreview = function(pMessage) {
	widgetAPI.putInnerHTML(this.multiline_preview_div, pMessage);
}

UIMultilineIME.Refresh = function()
{
	this.Hide();
	this.Show();	
}
