var UIProfile = 
{
	profile_div : null,
	follow_div : null,
	follow_check_div : null,
	follow_text_div : null,
	profile_image_div : null,
	bigname_div : null,
	name_div : null,
	location_div : null,
	web_div : null,
	bio_div : null,
	tweets_div : null,
	following_text_div : null,
	followers_text_div : null,
	following_number_div : null,
	followers_number_div : null,
	followers_background_image_div : null,
	following_background_image_div : null,
	following_image_div : null,
	followers_image_div : null,
	follow_image_div : null,
	
	name_text_div : null,
	location_text_div :  null,
	web_text_div : null,
	bio_text_div : null,
	tweets_text_div : null,
	
	listbox_background_div : Array(),
	datetime_div : Array(),
	text_div : Array(),
	clock_image_div : Array(),
	list_div : Array(),
	starimage_div : Array(),
	
	PROFILE_IMAGE_WIDTH : 73,
	PROFILE_IMAGE_HEIGHT : 73,
	
	STARIMAGE_HIGHLIGHT_IMG : "img/twitter_star_icon.png",
	STARIMAGE_NORMAL_IMG : "img/twitter_star_icon_2.png",
	STARIMAGE_WIDTH : 18,
	STARIMAGE_HEIGHT : 17,
	
	FOLLOWING_NORMAL_BACKGROUND_IMAGE : "img/twitter_profile_fol_normal.png",
	FOLLOWING_HIGHLIGHT_BACKGROUND_IMAGE : "img/twitter_profile_fol_select.png",
	FOLLOWING_BACKGROUND_IMAGE_WIDTH : 306,
	FOLLOWING_BACKGROUND_IMAGE_HEIGHT : 39,
	
	FOLLOWING_NORMAL_IMAGE : "img/following_icon_1.png",
	FOLLOWING_HIGHLIGHT_IMAGE : "img/following_icon_2.png",
	FOLLOWING_NORMAL_IMAGE_WIDTH : 18,
	FOLLOWING_NORMAL_IMAGE_HEIGHT : 20,
	
	FOLLOWERS_NORMAL_IMAGE : "img/followers_icon_1.png",
	FOLLOWERS_HIGHLIGHT_IMAGE : "img/followers_icon_2.png",
	FOLLOWERS_NORMAL_IMAGE_WIDTH : 27,
	FOLLOWERS_NORMAL_IMAGE_HEIGHT : 20,
	
	FOLLOW_NORMAL_IMAGE : "img/twitter_profile_box_1.png",
	FOLLOW_HIGHLIGHT_IMAGE : "img/twitter_profile_highlight_box_1.png",
	FOLLOW_IMAGE_WIDTH : 224,
	FOLLOW_IMAGE_HEIGHT : 40,
	
	LISTBOX_HIGHLIGHT_IMG : "img/profile_list_highlight.png",
	LISTBOX_NORMAL_IMG : "img/profile_list_box.png",
	
	LISTBOX_IMG_WIDTH : 524,
	LISTBOX_IMG_HEIGHT : 96,
	
	CLOCK_NORMAL_IMAGE : "img/twitter_clock_icon_2.png",
	CLOCK_HIGHLIGHT_IMAGE : "img/twitter_clock_icon_1.png",
	CLOCK_IMAGE_WIDTH : 14,
	CLOCK_IMAGE_HEIGHT : 14,
	
	COUNT_IN_PAGE : 4
}

UIProfile.Init = function()
{
	this.profile_div = document.getElementById("ProfileDiv");
	this.profile_image_div = document.getElementById("ProfileDiv_Image");
	this.bigname_div = document.getElementById("ProfileDiv_BigName");
	this.name_div = document.getElementById("ProfileDiv_Name");
	this.location_div = document.getElementById("ProfileDiv_Location");
	this.web_div = document.getElementById("ProfileDiv_Web");
	this.bio_div = document.getElementById("ProfileDiv_Bio");
	this.tweets_div = document.getElementById("ProfileDiv_Tweets");
	this.following_number_div = document.getElementById("ProfileDiv_Following_Number");
	this.followers_number_div = document.getElementById("ProfileDiv_Followers_Number");
	this.followers_background_image_div = document.getElementById("ProfileDiv_Followers_Background_Image");
	this.following_background_image_div = document.getElementById("ProfileDiv_Following_Background_Image");
	this.follow_text_div = document.getElementById("ProfileDiv_Follow_Text");
	this.following_image_div = document.getElementById("ProfileDiv_Following_Image");
	this.followers_image_div = document.getElementById("ProfileDiv_Followers_Image");
	this.following_text_div = document.getElementById("ProfileDiv_Following_Text");
	this.followers_text_div = document.getElementById("ProfileDiv_Followers_Text");
	this.follow_div = document.getElementById("ProfileDiv_Follow");
	this.follow_check_div = document.getElementById("ProfileDiv_Follow_Check");
	this.follow_image_div = document.getElementById("ProfileDiv_Follow_Highlight");
	
	this.name_text_div = document.getElementById("ProfileDiv_Name_Text");
	this.location_text_div = document.getElementById("ProfileDiv_Location_Text");
	this.web_text_div = document.getElementById("ProfileDiv_Web_Text");
	this.bio_text_div = document.getElementById("ProfileDiv_Bio_Text");
	this.tweets_text_div = document.getElementById("ProfileDiv_Tweets_Text");
	
	for (var i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		this.listbox_background_div[i] = document.getElementById("ProfileDiv_Listbox" + (i + 1));
		this.datetime_div[i] = document.getElementById("ProfileDiv_Datetime" + (i + 1));
		this.text_div[i] = document.getElementById("ProfileDiv_Text" + (i + 1));
		this.clock_image_div[i] = document.getElementById("ProfileDiv_Clock" + (i + 1));
		this.list_div[i] = document.getElementById("ProfileDiv_List" + (i+1));
		this.starimage_div[i] = document.getElementById("ProfileDiv_StarImage" + (i+1));	
	}
	
	this.SetNameText();
	this.SetLocationText();
	this.SetWebText();
	this.SetBioText();
	this.SetTweetsText();
}

/*
 * NAME_TEXT : "Name",
	LOCATION_TEXT : "Location",
	WEB_TEXT : "Web",
	BIO_TEXT : "Bio",
	TWEETS_TEXT : "Tweets"
 */
UIProfile.SetNameText = function()
{
	widgetAPI.putInnerHTML(this.name_text_div, SID_NAME);
}

UIProfile.SetLocationText = function()
{
	widgetAPI.putInnerHTML(this.location_text_div, TWID_LOCATION);
}

UIProfile.SetWebText = function()
{
	widgetAPI.putInnerHTML(this.web_text_div, SID_WEB);
}

UIProfile.SetBioText = function()
{
	widgetAPI.putInnerHTML(this.bio_text_div, TWID_BIO);
}

UIProfile.SetTweetsText = function()
{
	widgetAPI.putInnerHTML(this.tweets_text_div, TWID_TWEETS);
}

UIProfile.DrawFollowNormalImage = function()
{
	Util.SetImageToDiv(this.follow_image_div, this.FOLLOW_NORMAL_IMAGE, 
					   this.FOLLOW_IMAGE_WIDTH, this.FOLLOW_IMAGE_HEIGHT);
}

UIProfile.DrawFollowHighlightImage = function()
{
	Util.SetImageToDiv(this.follow_image_div, this.FOLLOW_HIGHLIGHT_IMAGE, 
					   this.FOLLOW_IMAGE_WIDTH, this.FOLLOW_IMAGE_HEIGHT);
}

UIProfile.ShowFollowCheck = function()
{
	this.follow_check_div.style.display = DISPLAY_BLOCK;
	//interactive remote start
	if (iRemoteTW.detailViewFlag == "0") {
		iRemoteTW.profile();
	}
	//interactive remote end
}

UIProfile.HideFollowCheck = function()
{
	this.follow_check_div.style.display = DISPLAY_NONE;
	//interactive remote start
	if (iRemoteTW.detailViewFlag == "0") {
		iRemoteTW.profile();
	}
	//interactive remote end
}


UIProfile.ShowFollow = function()
{
	this.follow_div.style.display = DISPLAY_BLOCK;
}

UIProfile.HideFollow = function()
{
	this.follow_div.style.display = DISPLAY_NONE;
}

UIProfile.Show = function()
{
	this.profile_div.style.display = DISPLAY_BLOCK;
}

UIProfile.Hide = function()
{
	this.profile_div.style.display = DISPLAY_NONE;
}

UIProfile.SetBignameToBignameDiv = function(bigname)
{
	widgetAPI.putInnerHTML(this.bigname_div, bigname.toSeperate(15));
}

UIProfile.SetLocationToLocationDiv = function(location)
{
	widgetAPI.putInnerHTML(this.location_div, location);
}

UIProfile.SetNameToNameDiv = function(name)
{
	widgetAPI.putInnerHTML(this.name_div, name);
}

UIProfile.SetWebToWebDiv = function(web)
{
	widgetAPI.putInnerHTML(this.web_div, web.toSeperate(15));
}

UIProfile.SetBioToBioDiv = function(bio)
{
	widgetAPI.putInnerHTML(this.bio_div, bio.toSeperate(15));
}

UIProfile.SetTweetsNumberToTweetsDiv = function(num)
{
	widgetAPI.putInnerHTML(this.tweets_div, num);
}

UIProfile.SetFollowingNumberToFollowingNumberDiv = function(num)
{
	widgetAPI.putInnerHTML(this.following_number_div, num);
}

UIProfile.SetFollowersNumberToFollowersNumberDiv = function(num)
{
	widgetAPI.putInnerHTML(this.followers_number_div, num);
}


UIProfile.SetNormalStyleToFollowTextDiv = function()
{
	Util.SetClassToDiv(this.follow_text_div, "ProfileDiv_Follow_Text_Normal_Style");
}

UIProfile.SetHighlightStyleToFollowTextDiv = function()
{
	Util.SetClassToDiv(this.follow_text_div, "ProfileDiv_Follow_Text_Highlight_Style");
}

UIProfile.SetFollowText = function(text)
{
	widgetAPI.putInnerHTML(this.follow_text_div, text.toSeperate(15));
}

UIProfile.SetNormalStyleToFollowingTextDiv = function()
{
	Util.SetClassToDiv(this.following_text_div, "ProfileDiv_Following_Text_Normal_Style");
}

UIProfile.SetHighlightStyleToFollowingTextDiv = function()
{
	Util.SetClassToDiv(this.following_text_div, "ProfileDiv_Following_Text_Highlight_Style");
}


UIProfile.SetNormalStyleToFollowersTextDiv = function()
{
	Util.SetClassToDiv(this.followers_text_div, "ProfileDiv_Following_Text_Normal_Style");
}

UIProfile.SetHighlightStyleToFollowersTextDiv = function()
{
	Util.SetClassToDiv(this.followers_text_div, "ProfileDiv_Following_Text_Highlight_Style");
}


UIProfile.SetNormalStyleToFollowersNumberDiv = function()
{
	Util.SetClassToDiv(this.followers_number_div, "ProfileDiv_Following_Text_Normal_Style");
}

UIProfile.SetHighlightStyleToFollowersNumberDiv = function()
{
	Util.SetClassToDiv(this.followers_number_div, "ProfileDiv_Following_Text_Highlight_Style");
}


UIProfile.SetNormalStyleToFollowingNumberDiv = function()
{
	Util.SetClassToDiv(this.following_number_div, "ProfileDiv_Following_Text_Normal_Style");
}

UIProfile.SetHighlightStyleToFollowingNumberDiv = function()
{
	Util.SetClassToDiv(this.following_number_div, "ProfileDiv_Following_Text_Highlight_Style");
}


UIProfile.DrawProfileImageToProfileImageDiv = function(image_path)
{
	Util.SetImageToDiv(this.profile_image_div, image_path,
					   this.PROFILE_IMAGE_WIDTH, this.PROFILE_IMAGE_HEIGHT); 
}

UIProfile.DrawNormalImageToFollowingImageDiv = function()
{
	Util.SetImageToDiv(this.following_image_div, this.FOLLOWING_NORMAL_IMAGE, 
					   this.FOLLOWING_NORMAL_IMAGE_WIDTH, this.FOLLOWING_NORMAL_IMAGE_HEIGHT);
}

UIProfile.DrawHighlightImageToFollowingImageDiv = function()
{
	Util.SetImageToDiv(this.following_image_div, this.FOLLOWING_HIGHLIGHT_IMAGE, 
					   this.FOLLOWING_NORMAL_IMAGE_WIDTH, this.FOLLOWING_NORMAL_IMAGE_HEIGHT);
}

UIProfile.DrawNormalImageToFollowersImageDiv = function()
{
	Util.SetImageToDiv(this.followers_image_div, this.FOLLOWERS_NORMAL_IMAGE, 
					   this.FOLLOWERS_NORMAL_IMAGE_WIDTH, this.FOLLOWERS_NORMAL_IMAGE_HEIGHT);
}

UIProfile.DrawHighlightImageToFollowersImageDiv = function()
{
	Util.SetImageToDiv(this.followers_image_div, this.FOLLOWERS_HIGHLIGHT_IMAGE, 
					   this.FOLLOWERS_NORMAL_IMAGE_WIDTH, this.FOLLOWERS_NORMAL_IMAGE_HEIGHT);
}

UIProfile.DrawFollowingBackgroundImage = function(image_path)
{
	Util.SetImageToDiv(this.following_background_image_div, image_path, 
					   this.FOLLOWING_BACKGROUND_IMAGE_WIDTH, this.FOLLOWING_BACKGROUND_IMAGE_HEIGHT); 
}

UIProfile.DrawFollowersBackgroundImage = function(image_path)
{
	Util.SetImageToDiv(this.followers_background_image_div, image_path, 
					   this.FOLLOWING_BACKGROUND_IMAGE_WIDTH, this.FOLLOWING_BACKGROUND_IMAGE_HEIGHT); 
}

/*
 * this.datetime_div[i] = document.getElementById("ProfileDiv_Datetime" + (i + 1));
		this.text_div[i] = document.getElementById("ProfileDiv_Text" + (i + 1));
		this.clock_image_div[i] = document.getElementById("ProfileDiv_Clock" + (i + 1));
 */

UIProfile.SetDateTimeToDatetimeDiv = function(index, datetime)
{
	widgetAPI.putInnerHTML(this.datetime_div[index], datetime);
}

UIProfile.SetTextToTextDiv = function(index, text)
{
	widgetAPI.putInnerHTML(this.text_div[index], text.toSeperate());
}

UIProfile.DrawClockImage = function(index, image_path)
{
	Util.SetImageToDiv(this.clock_image_div[index], image_path, 
					   this.CLOCK_IMAGE_WIDTH, this.CLOCK_IMAGE_HEIGHT);
}

UIProfile.SetNormalStyleToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.datetime_div[index], "ProfileDiv_Normal_DateTime_Style");
}

UIProfile.SetHighlightStyleToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.datetime_div[index], "ProfileDiv_Highlight_DateTime_Style");
}

UIProfile.SetNormalStyleToTextDiv = function(index)
{
	Util.SetClassToDiv(this.text_div[index], "ProfileDiv_Normal_Text_Style");
}

UIProfile.SetHighlightStyleToTextDiv = function(index)
{
	Util.SetClassToDiv(this.text_div[index], "ProfileDiv_Highlight_Text_Style");
}

UIProfile.DrawNormalListboxBackground = function(index)
{
	Util.SetImageToDiv(this.listbox_background_div[index], this.LISTBOX_NORMAL_IMG,
					   this.LISTBOX_IMG_WIDTH, this.LISTBOX_IMG_HEIGHT);	
}

UIProfile.DrawHighlightListboxBackground = function(index)
{
	Util.SetImageToDiv(this.listbox_background_div[index], this.LISTBOX_HIGHLIGHT_IMG,
					   this.LISTBOX_IMG_WIDTH, this.LISTBOX_IMG_HEIGHT);
}

UIProfile.ShowList = function(index)
{
	this.list_div[index].style.display = DISPLAY_BLOCK;
}

UIProfile.HideList = function(index)
{
	this.list_div[index].style.display = DISPLAY_NONE;
}

UIProfile.HideStarImage = function(index)
{
	this.starimage_div[index].style.display = DISPLAY_NONE;
}

UIProfile.ShowStarImage = function(index)
{
	this.starimage_div[index].style.display = DISPLAY_BLOCK;
}

UIProfile.SetStarImageToStarImageDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.STARIMAGE_WIDTH 
	       + "' height='" + this.STARIMAGE_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.starimage_div[index], tmp);
}

UIProfile.LeftSideDisplay = function(status)
{
	alert("UIProfile.LeftSideDisplay()");
		
	this.SetBignameToBignameDiv(status.ScreenName);
	this.SetNameToNameDiv(status.Name);
	this.SetLocationToLocationDiv(status.Location);
	this.SetWebToWebDiv(status.Url);
	//this.SetWebToWebDiv("http://aaaaaaaa aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
	this.SetBioToBioDiv(status.Description);
	this.SetTweetsNumberToTweetsDiv(status.StatusesCount);
	this.SetFollowingNumberToFollowingNumberDiv(status.FriendsCount);
	this.SetFollowersNumberToFollowersNumberDiv(status.FollowersCount);
	
	var strProfileOwner = status.UserId ? status.UserId : status.Id;
	
	if (People.ContainFollowingId(strProfileOwner))
	{
		this.SetFollowText(TWID_UNFOLLOW);
		this.ShowFollowCheck();
	}
	else 
	{
		this.SetFollowText(TWID_FOLLOW);
		this.HideFollowCheck();
	}
	
	//this.DrawProfileImageToProfileImageDiv(status.User.ProfileImageUrl);
	this.DrawProfileImageToProfileImageDiv(status.ProfileImageUrl);
	
	this.SetNormalStyleToFollowTextDiv();
	this.SetNormalStyleToFollowingTextDiv();
	this.SetNormalStyleToFollowersTextDiv();
	
	this.DrawNormalImageToFollowingImageDiv();
	this.DrawNormalImageToFollowersImageDiv();
	
	this.SetNormalStyleToFollowersNumberDiv();
	this.SetNormalStyleToFollowingNumberDiv();
	
	this.DrawFollowingBackgroundImage(this.FOLLOWING_NORMAL_BACKGROUND_IMAGE);
	this.DrawFollowersBackgroundImage(this.FOLLOWING_NORMAL_BACKGROUND_IMAGE);	
	
	this.DrawFollowNormalImage();
	if (ProfileMgr.GetFocusLocation() == 0) 
	{
		switch (ProfileMgr.GetLeftSideCurrentIndex())
		{
			case 0:
				this.SetHighlightStyleToFollowTextDiv();
				this.DrawFollowHighlightImage();
				break;
			case 1:
				this.DrawHighlightImageToFollowingImageDiv();
				this.SetHighlightStyleToFollowingTextDiv();
				this.DrawFollowingBackgroundImage(this.FOLLOWING_HIGHLIGHT_BACKGROUND_IMAGE);
				this.SetHighlightStyleToFollowingNumberDiv();
				break;
			case 2:
				this.DrawHighlightImageToFollowersImageDiv();
				this.SetHighlightStyleToFollowersTextDiv();
				this.DrawFollowersBackgroundImage(this.FOLLOWING_HIGHLIGHT_BACKGROUND_IMAGE);
				this.SetHighlightStyleToFollowersNumberDiv();
				break;
		}
	}
	this.Refresh();
}

UIProfile.RightSideDisplay = function(status_list)
{
	//this.Hide();
	alert("UIProfile.RightSideDisplay()");
	if(status_list == null)
		return;
	HelpNavigationMgr.HideProfileHelp();
	
	var current_index = ProfileMgr.GetRightSideCurrentIndex();
	
	if(ProfileMgr.GetFocusLocation() == 1)
	{
		if (status_list[current_index].Favorited) 
			HelpNavigationMgr.ShowProfileHelp(1);
		else 
			HelpNavigationMgr.ShowProfileHelp(2);
	}
	
	for (var i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		if (status_list[i]) 
		{
			//alert("status_list[i].Favorited -> " + status_list[i].Favorited);
			if (status_list[i].Favorited) 
			{
				this.SetStarImageToStarImageDiv(i, this.STARIMAGE_NORMAL_IMG);
				this.ShowStarImage(i);
			}
			else 
			{
				this.HideStarImage(i);
			}
			
			this.DrawNormalListboxBackground(i);
			this.SetNormalStyleToDatetimeDiv(i);
			this.SetNormalStyleToTextDiv(i);
			this.SetTextToTextDiv(i, status_list[i].Text);
			this.SetDateTimeToDatetimeDiv(i, Util.ExtractMessage(status_list[i], status_list[i].CreatedAt));
			this.DrawClockImage(i, this.CLOCK_NORMAL_IMAGE);
			
			if (ProfileMgr.GetFocusLocation() == 1) 
			{
				if (i == current_index) 
				{
					if (status_list[i].Favorited) 
					{
						this.SetStarImageToStarImageDiv(i, this.STARIMAGE_HIGHLIGHT_IMG);
						this.ShowStarImage(i);
					}
					else
						this.HideStarImage(i);
					
					this.DrawHighlightListboxBackground(i);
					this.DrawClockImage(i, this.CLOCK_HIGHLIGHT_IMAGE);
					this.SetHighlightStyleToDatetimeDiv(i);
					this.SetHighlightStyleToTextDiv(i);
				}
			}
			this.ShowList(i);
		}
		else
			this.HideList(i);
	}
	//this.Show();
	this.Refresh();
}

UIProfile.Refresh = function()
{
	this.Hide();
	this.Show();	
}

UIProfile.RefreshFollow = function()
{
	this.HideFollow();
	this.ShowFollow();
}

UIProfile.Display = function(status, status_list)
{
	if (status_list) {
		ProfileMgr.Ready.set();
		this.LeftSideDisplay(status);
		this.RightSideDisplay(status_list);
	} else {
		ProfileMgr.Ready.unset();
		this.LeftSideDisplay(status);
		UIProfile.HideList(0);
		UIProfile.HideList(1);
		UIProfile.HideList(2);
		UIProfile.HideList(3);
		HelpNavigationMgr.ShowProfileHelp(1);
	}
}
