var UIProfilePeople =
{
	people_div_list : Array(),
	people_div : null,
	peoplelist_image_div : Array(),
	peoplelist_imageframe_div : Array(),
	peoplelist_listbox_div : Array(),
	peoplelist_name_div : Array(),
	peoplelist_datetime_div : Array(),
	peoplelist_text_div : Array(),
	peoplelist_starimage_div : Array(),
	peoplelist_div : Array(),
	peoplelist_fullnamelocation_div : Array(),
	peoplelist_indicator_div : Array(),
	
	message_div : null,
	
	COUNT_IN_PAGE : 4,
	IMG_WIDTH : 48,
	IMG_HEIGHT : 48,
	
	LISTBOX_IMG_WIDTH : 780,
	LISTBOX_IMG_HEIGHT : 95,
	
	CLOCK_IMG_WIDTH : 14,
	CLOCK_IMG_HEIGHT : 14,
	
	IMAGE_FRAME_WIDTH : 90,
	IMAGE_FRAME_HEIGHT : 90,
	
	STARIMAGE_WIDTH : 18,
	STARIMAGE_HEIGHT : 17,
	
	LISTBOX_HIGHLIGHT_IMG : "img/twitter_list_box_highlight.png",
	LISTBOX_IMG : "img/twitter_list_box.png",

	IMAGE_HIGHLIGHT : "img/twitter_image_highlight.png",
	IMAGE_NOHIGHLIGHT : "img/twitter_image.png",
	
	CLOCK_HIGHLIGHT_IMG : "img/twitter_clock_icon_1.png",
	CLOCK_NORMAL_IMG : "img/twitter_clock_icon_2.png",
	
	STARIMAGE_HIGHLIGHT_IMG : "img/twitter_star_icon.png",
	STARIMAGE_NORMAL_IMG : "img/twitter_star_icon_2.png",
	
	HIGHLIGHT_NAME_STYLE : "ProfilePeopleListDiv_Highlight_Name_Style",
	NORMAL_NAME_STYLE : "ProfilePeopleListDiv_Normal_Name_Style",
	HIGHLIGHT_TEXT_STYLE : "ProfilePeopleListDiv_Highlight_Text_Style",
	NORMAL_TEXT_STYLE : "ProfilePeopleListDiv_Normal_Text_Style",
	HIGHLIGHT_DATETIME_STYLE : "ProfilePeopleListDiv_Highlight_DateTime_Style",
	NORMAL_DATETIME_STYLE : "ProfilePeopleListDiv_Normal_DateTime_Style",
}

UIProfilePeople.Init = function()
{
	alert("UIProfilePeople.Init");
	var i;
	//for(i=0; i<this.COUNT_IN_PAGE; i++)
//		this.people_div_list[i] = document.getElementById("ProfilePeopleListDiv"+(i+1));
		
	this.people_div = document.getElementById("ProfilePeopleDiv");
	this.message_div = document.getElementById("ProfilePeopleDiv_Message");
	this.title1_div = document.getElementById("ProfilePeopleDiv_Title1");
	this.title2_div = document.getElementById("ProfilePeopleDiv_Title2");
	
	for (i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		this.peoplelist_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1));
		this.peoplelist_image_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_Image");
		this.peoplelist_imageframe_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_ImageFrame");
		this.peoplelist_listbox_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_ListBox");
		this.peoplelist_name_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_Name");
		this.peoplelist_datetime_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_DateTime");
		this.peoplelist_text_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_Text");
		this.peoplelist_starimage_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_StarImage");
		this.peoplelist_fullnamelocation_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_FullnameLocation");
		this.peoplelist_indicator_div[i] = document.getElementById("ProfilePeopleListDiv"+(i+1)+"_Indicator_Image");
	}
	
	this.SetTitle1(TWID_PROFILE);
}

UIProfilePeople.SetTitle1 = function(text)
{
	widgetAPI.putInnerHTML(this.title1_div, text);
	this.title1_div.style.display = DISPLAY_BLOCK;
}

UIProfilePeople.SetTitle2 = function(text)
{
	widgetAPI.putInnerHTML(this.title2_div, text);
	this.title2_div.style.display = DISPLAY_BLOCK;
}

UIProfilePeople.SetMessage = function(text)
{
	widgetAPI.putInnerHTML(this.message_div, text);
}

UIProfilePeople.ShowIndicator = function(index)
{
	this.peoplelist_indicator_div[index].style.display = DISPLAY_BLOCK;
}

UIProfilePeople.HideIndicator = function(index)
{
	this.peoplelist_indicator_div[index].style.display = DISPLAY_NONE;
}

UIProfilePeople.SetHighlightClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.peoplelist_datetime_div[index], this.HIGHLIGHT_DATETIME_STYLE);	
}

UIProfilePeople.SetNormalClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.peoplelist_datetime_div[index], this.NORMAL_DATETIME_STYLE);	
}

UIProfilePeople.SetNormalClassToAllDatetimeDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToDatetimeDiv(i);
}

UIProfilePeople.SetHighlightClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.peoplelist_text_div[index], this.HIGHLIGHT_TEXT_STYLE);
}

UIProfilePeople.SetNormalClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.peoplelist_text_div[index], this.NORMAL_TEXT_STYLE);
}

UIProfilePeople.SetNormalClassToAllTextDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToTextDiv(i);
}

UIProfilePeople.SetHighlightClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.peoplelist_name_div[index], this.HIGHLIGHT_NAME_STYLE);
}

UIProfilePeople.SetNormalClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.peoplelist_name_div[index], this.NORMAL_NAME_STYLE);
}

UIProfilePeople.SetNormalClassToAllNameDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToNameDiv(i);
}

UIProfilePeople.SetStarImageToStarImageDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.STARIMAGE_WIDTH 
	       + "' height='" + this.STARIMAGE_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.peoplelist_starimage_div[index], tmp);
	
	//this.STARIMAGE_HIGHLIGHT_IMG
}

UIProfilePeople.SetHighlightStarImageToStarImageDiv = function(index)
{
	this.SetStarImageToStarImageDiv(index, this.STARIMAGE_HIGHLIGHT_IMG);
}

UIProfilePeople.SetNormalStarImageToStarImageDiv = function(index)
{
	this.SetStarImageToStarImageDiv(index, this.STARIMAGE_NORMAL_IMG);
}

UIProfilePeople.HideStarImage = function(index)
{
	this.peoplelist_starimage_div[index].style.display = DISPLAY_NONE;
}

UIProfilePeople.ShowStarImage = function(index)
{
	this.peoplelist_starimage_div[index].style.display = DISPLAY_BLOCK;
}

UIProfilePeople.SetNormalStarImageToAllStarImageDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.SetNormalStarImageToStarImageDiv(i);
	}
}

UIProfilePeople.SetImageToImageFrameDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMAGE_FRAME_WIDTH 
	       + "' height='" + this.IMAGE_FRAME_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.peoplelist_imageframe_div[index], tmp);	
}

UIProfilePeople.SetHighlightImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_HIGHLIGHT);
}

UIProfilePeople.SetNormalImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_NOHIGHLIGHT);
}

UIProfilePeople.SetNormalImageToAllImageFrameDiv = function(index)
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalImageToImageFrameDiv(i);
}

UIProfilePeople.SetImageToImageDiv = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMG_WIDTH + "' height='" + this.IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.peoplelist_image_div[index], tmp);	
}

UIProfilePeople.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListBox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UIProfilePeople.SetImageToListbox = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.LISTBOX_IMG_WIDTH + "' height='" 
		   + this.LISTBOX_IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.peoplelist_listbox_div[index], tmp);
}

UIProfilePeople.SetNormalImageToListbox = function(index)
{
	//alert("UIProfilePeople.SetNormalImageToListbox() -> " + this.LISTBOX_IMG);
	this.SetImageToListbox(index, this.LISTBOX_IMG);
}

UIProfilePeople.SetNormalImageToAllListbox = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalImageToListbox(i);
}

UIProfilePeople.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListbox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UIProfilePeople.SetNameToNameDiv = function(index, name)
{
	widgetAPI.putInnerHTML(this.peoplelist_name_div[index], name);
}

UIProfilePeople.SetTextToTextDiv = function(index, text)
{
	widgetAPI.putInnerHTML(this.peoplelist_text_div[index], text);
}

UIProfilePeople.GetClockImageHtml = function(image)
{
	var tmp_str = "";
	tmp_str += "<img src='" + image + 
			   "' width='" + this.CLOCK_IMG_WIDTH +"' height='"+ this.CLOCK_IMG_HEIGHT + "'>";
	
	return tmp_str;
}

UIProfilePeople.GetNormalClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_NORMAL_IMG);
}

UIProfilePeople.GetHighlightClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_HIGHLIGHT_IMG);
}

UIProfilePeople.SetDateTimeToDatetimeDiv = function(index, datetime)
{
	widgetAPI.putInnerHTML(this.peoplelist_datetime_div[index], datetime);
}

UIProfilePeople.Show = function()
{
	this.people_div.style.display = DISPLAY_BLOCK; 
}

UIProfilePeople.Hide = function()
{
	this.people_div.style.display = DISPLAY_NONE;
}

UIProfilePeople.ShowList = function(index)
{
	this.peoplelist_div[index].style.display = DISPLAY_BLOCK;
}

UIProfilePeople.HideList = function(index)
{
	this.peoplelist_div[index].style.display = DISPLAY_NONE;
}

UIProfilePeople.HideAllList = function()
{
	for(var i=0; i<this.COUNT_IN_PAGE; i++)
		UIProfilePeople.HideList(i);
}

UIProfilePeople.SetFullnameLocationNormalClass = function(index)
{
	Util.SetClassToDiv(this.peoplelist_fullnamelocation_div[index], 
					   "ProfilePeopleListDiv_Normal_FullnameLocation_Style");
}

UIProfilePeople.SetFullnameLocationHighlightClass = function(index)
{
	Util.SetClassToDiv(this.peoplelist_fullnamelocation_div[index], 
					   "ProfilePeopleListDiv_Highlight_FullnameLocation_Style");
}

UIProfilePeople.SetFullnameLocation = function(index, fullname_text, location_text)
{
	widgetAPI.putInnerHTML(this.peoplelist_fullnamelocation_div[index], 
						   (location_text == "" ? fullname_text : fullname_text + " | " + location_text));
}



UIProfilePeople.Display = function(user_list)
{
	alert("UIProfilePeople.Display");
	
	this.SetNormalImageToAllListbox();
	this.SetNormalImageToAllImageFrameDiv();
	
	if(user_list == null)
	{
		alert("user_list가 null이다.");
		//for(i=0; i<this.COUNT_IN_PAGE; i++)			
		//	widgetAPI.putInnerHTML(this.peoplelist_div[i], "");
		return;
	}
	
	this.SetNormalClassToAllNameDiv();
	this.SetNormalClassToAllTextDiv();
	this.SetNormalClassToAllDatetimeDiv();
	//this.SetNormalStarImageToAllStarImageDiv();
	
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.ShowList(i);
		this.SetFullnameLocationNormalClass(i);
		this.HideIndicator(i);
		if(user_list[i] != null)
		{
			/*
			if (status_list[i].Favorited) 
			{
				this.ShowStarImage(i);
				this.SetStarImageToStarImageDiv(i, this.STARIMAGE_NORMAL_IMG);	
			}
			else 
				this.HideStarImage(i);
			*/
			this.SetImageToImageDiv(i, user_list[i].ProfileImageUrl);
			this.SetFullnameLocation(i, user_list[i].Name, user_list[i].Location);
			this.SetNameToNameDiv(i, user_list[i].ScreenName);
			this.SetTextToTextDiv(i, user_list[i].Text);
			if(user_list[i] && user_list[i].CreatedAt)
				this.SetDateTimeToDatetimeDiv(i, this.GetNormalClockImageHtml() + " " 
											  + Util.ExtractMessage(user_list[i], user_list[i].CreatedAt));
			else
				this.SetDateTimeToDatetimeDiv(i, "");
			
			if(ProfilePeopleMgr.GetCurrentIndex() == i)
			{
				this.SetFullnameLocationHighlightClass(i);
				/*if (user_list[i].Status.Favorited) 
				{
					this.ShowStarImage(i);
					this.SetStarImageToStarImageDiv(i, this.STARIMAGE_HIGHLIGHT_IMG);
				}
				else
					this.HideStarImage(i);*/
				this.SetHighlightImageToListbox(i);
				this.SetHighlightImageToImageFrameDiv(i);
				this.SetHighlightClassToNameDiv(i);
				this.SetHighlightClassToTextDiv(i);
				
				this.SetHighlightClassToDatetimeDiv(i);
				if(user_list[i] && user_list[i].CreatedAt)
					this.SetDateTimeToDatetimeDiv(i, this.GetHighlightClockImageHtml() + " " 
												  + Util.ExtractMessage(user_list[i], user_list[i].CreatedAt));
				else
					this.SetDateTimeToDatetimeDiv(i, "");
				this.ShowIndicator(i);				
			}
		}
		else
			this.HideList(i);
			
	}
	
	//ScrollBarMgr.Display();
}
