var UISearch =
{
	search_div_list : Array(),
	search_div : null,
	searchlist_image_div : Array(),
	searchlist_imageframe_div : Array(),
	searchlist_listbox_div : Array(),
	searchlist_name_div : Array(),
	searchlist_datetime_div : Array(),
	searchlist_text_div : Array(),
	searchlist_starimage_div : Array(),
	searchlist_div : Array(),
	
	COUNT_IN_PAGE : 4,
	IMG_WIDTH : 48,
	IMG_HEIGHT : 48,
	
	LISTBOX_IMG_WIDTH : 780,
	LISTBOX_IMG_HEIGHT : 95,
	
	CLOCK_IMG_WIDTH : 14,
	CLOCK_IMG_HEIGHT : 14,
	
	IMAGE_FRAME_WIDTH : 90,
	IMAGE_FRAME_HEIGHT : 90,
	
	STARIMAGE_WIDTH : 18,
	STARIMAGE_HEIGHT : 17,
	
	LISTBOX_HIGHLIGHT_IMG : "img/twitter_list_box_highlight.png",
	LISTBOX_IMG : "img/twitter_list_box.png",

	IMAGE_HIGHLIGHT : "img/twitter_image_highlight.png",
	IMAGE_NOHIGHLIGHT : "img/twitter_image.png",
	
	CLOCK_HIGHLIGHT_IMG : "img/twitter_clock_icon_1.png",
	CLOCK_NORMAL_IMG : "img/twitter_clock_icon_2.png",
	
	STARIMAGE_HIGHLIGHT_IMG : "img/twitter_star_icon.png",
	STARIMAGE_NORMAL_IMG : "img/twitter_star_icon_2.png",
	
	HIGHLIGHT_NAME_STYLE : "SearchListDiv_Highlight_Name_Style",
	NORMAL_NAME_STYLE : "SearchListDiv_Normal_Name_Style",
	HIGHLIGHT_TEXT_STYLE : "SearchListDiv_Highlight_Text_Style",
	NORMAL_TEXT_STYLE : "SearchListDiv_Normal_Text_Style",
	HIGHLIGHT_DATETIME_STYLE : "SearchListDiv_Highlight_DateTime_Style",
	NORMAL_DATETIME_STYLE : "SearchListDiv_Normal_DateTime_Style",
}

UISearch.Init = function()
{
	alert("UISearch.Init");
	var i;
	//for(i=0; i<this.COUNT_IN_PAGE; i++)
//		this.search_div_list[i] = document.getElementById("SearchListDiv"+(i+1));
		
	this.search_div = document.getElementById("SearchDiv");
	this.message_div = document.getElementById("SearchDiv_Message");
	
	for (i = 0; i < this.COUNT_IN_PAGE; i++) 
	{
		this.searchlist_image_div[i] = document.getElementById("SearchListDiv"+(i+1)+"_Image");
		this.searchlist_imageframe_div[i] = document.getElementById("SearchListDiv"+(i+1)+"_ImageFrame");
		this.searchlist_listbox_div[i] = document.getElementById("SearchListDiv"+(i+1)+"_ListBox");
		this.searchlist_name_div[i] = document.getElementById("SearchListDiv"+(i+1)+"_Name");
		this.searchlist_datetime_div[i] = document.getElementById("SearchListDiv"+(i+1)+"_DateTime");
		this.searchlist_text_div[i] = document.getElementById("SearchListDiv"+(i+1)+"_Text");
		this.searchlist_starimage_div[i] = document.getElementById("SearchListDiv"+(i+1)+"_StarImage");
		this.searchlist_div[i] = document.getElementById("SearchListDiv"+(i+1));
	}
}

UISearch.SetMessage = function(query)
{
	widgetAPI.putInnerHTML(this.message_div, SID_MIX_REAL_TIME_RESULTS_FOR.Replace("\""+ (query.length > 50 ?  query.slice(0,50) + "..." : query) +"\""));
}

UISearch.SetHighlightClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.searchlist_datetime_div[index], this.HIGHLIGHT_DATETIME_STYLE);	
}

UISearch.SetNormalClassToDatetimeDiv = function(index)
{
	Util.SetClassToDiv(this.searchlist_datetime_div[index], this.NORMAL_DATETIME_STYLE);	
}

UISearch.SetNormalClassToAllDatetimeDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToDatetimeDiv(i);
}

UISearch.SetHighlightClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.searchlist_text_div[index], this.HIGHLIGHT_TEXT_STYLE);
}

UISearch.SetNormalClassToTextDiv = function(index)
{
	Util.SetClassToDiv(this.searchlist_text_div[index], this.NORMAL_TEXT_STYLE);
}

UISearch.SetNormalClassToAllTextDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToTextDiv(i);
}

UISearch.SetHighlightClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.searchlist_name_div[index], this.HIGHLIGHT_NAME_STYLE);
}

UISearch.SetNormalClassToNameDiv = function(index)
{
	Util.SetClassToDiv(this.searchlist_name_div[index], this.NORMAL_NAME_STYLE);
}

UISearch.SetNormalClassToAllNameDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalClassToNameDiv(i);
}

UISearch.SetStarImageToStarImageDiv = function(index, image_path)
{
	var temp_img = new Image();
	temp_img.src = image_path;
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.STARIMAGE_WIDTH 
	       + "' height='" + this.STARIMAGE_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.searchlist_starimage_div[index], tmp);
	
	//this.STARIMAGE_HIGHLIGHT_IMG
}

UISearch.SetHighlightStarImageToStarImageDiv = function(index)
{
	this.SetStarImageToStarImageDiv(index, this.STARIMAGE_HIGHLIGHT_IMG);
}

UISearch.SetNormalStarImageToStarImageDiv = function(index)
{
	this.SetStarImageToStarImageDiv(index, this.STARIMAGE_NORMAL_IMG);
}

UISearch.HideStarImage = function(index)
{
	this.searchlist_starimage_div[index].style.display = DISPLAY_NONE;
}

UISearch.ShowStarImage = function(index)
{
	this.searchlist_starimage_div[index].style.display = DISPLAY_BLOCK;
}

UISearch.SetNormalStarImageToAllStarImageDiv = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.SetNormalStarImageToStarImageDiv(i);
	}
}

UISearch.SetImageToImageFrameDiv = function(index, image_path)
{
	var temp_img = new Image();
	temp_img.src = image_path;
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMAGE_FRAME_WIDTH 
	       + "' height='" + this.IMAGE_FRAME_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.searchlist_imageframe_div[index], tmp);	
}

UISearch.SetHighlightImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_HIGHLIGHT);
}

UISearch.SetNormalImageToImageFrameDiv = function(index)
{
	this.SetImageToImageFrameDiv(index, this.IMAGE_NOHIGHLIGHT);
}

UISearch.SetNormalImageToAllImageFrameDiv = function(index)
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalImageToImageFrameDiv(i);
}

UISearch.SetProfileImage = function(index, image_path)
{
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.IMG_WIDTH + "' height='" + this.IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.searchlist_image_div[index], tmp);	
}

UISearch.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListBox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UISearch.SetImageToListbox = function(index, image_path)
{
	var temp_img = new Image();
	temp_img.src = image_path;
	var tmp = "";
	tmp += "<img src='" + image_path + "' width='" + this.LISTBOX_IMG_WIDTH + "' height='" 
		   + this.LISTBOX_IMG_HEIGHT + "'>";
	widgetAPI.putInnerHTML(this.searchlist_listbox_div[index], tmp);
}

UISearch.SetNormalImageToListbox = function(index)
{
	//alert("UISearch.SetNormalImageToListbox() -> " + this.LISTBOX_IMG);
	this.SetImageToListbox(index, this.LISTBOX_IMG);
}

UISearch.SetNormalImageToAllListbox = function()
{
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
		this.SetNormalImageToListbox(i);
}

UISearch.SetHighlightImageToListbox = function(index)
{
	this.SetImageToListbox(index, this.LISTBOX_HIGHLIGHT_IMG);
}

UISearch.SetNameToNameDiv = function(index, name)
{
	widgetAPI.putInnerHTML(this.searchlist_name_div[index], name);
}

UISearch.SetTextToTextDiv = function(index, text)
{
	widgetAPI.putInnerHTML(this.searchlist_text_div[index], text);
}

UISearch.GetClockImageHtml = function(image)
{
	var tmp_str = "";
	tmp_str += "<img src='" + image + 
			   "' width='" + this.CLOCK_IMG_WIDTH +"' height='"+ this.CLOCK_IMG_HEIGHT + "'>";
	
	return tmp_str;
}

UISearch.GetNormalClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_NORMAL_IMG);
}

UISearch.GetHighlightClockImageHtml = function()
{
	return this.GetClockImageHtml(this.CLOCK_HIGHLIGHT_IMG);
}

UISearch.SetDateTimeToDatetimeDiv = function(index, datetime)
{
	widgetAPI.putInnerHTML(this.searchlist_datetime_div[index], datetime);
}

UISearch.Show = function()
{
	this.search_div.style.display = DISPLAY_BLOCK; 
}

UISearch.Hide = function()
{
	this.search_div.style.display = DISPLAY_NONE;
}

UISearch.Refresh = function()
{
	this.Hide();
	this.Show();
}

UISearch.HideAllList = function()
{
	for(var i=0; i<this.COUNT_IN_PAGE; i++)
		this.HideList(i);
}

UISearch.HideList = function(index)
{
	this.searchlist_div[index].style.display = DISPLAY_NONE;
}

UISearch.ShowList = function(index)
{
	this.searchlist_div[index].style.display = DISPLAY_BLOCK;
}

UISearch.Display = function(status_list)
{
	alert("UISearch.Display");

	this.SetNormalImageToAllListbox();
	this.SetNormalImageToAllImageFrameDiv();
	
	if(status_list == null)
	{
		alert("status_list가 null이다.");
		for(i=0; i<this.COUNT_IN_PAGE; i++)			
			widgetAPI.putInnerHTML(this.search_div_list[i], "");
		return;
	}
	
	this.SetNormalClassToAllNameDiv();
	this.SetNormalClassToAllTextDiv();
	this.SetNormalClassToAllDatetimeDiv();
	//this.SetNormalStarImageToAllStarImageDiv();
	
	var i;
	
	for(i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.HideList(i);
		if(status_list[i] != null)
		{
			this.SetProfileImage(i, status_list[i].ProfileImageUrl);
			if (status_list[i].Favorited) 
			{
				this.ShowStarImage(i);
				this.SetStarImageToStarImageDiv(i, this.STARIMAGE_NORMAL_IMG);	
			}
			else 
				this.HideStarImage(i);
			
			this.SetNameToNameDiv(i, status_list[i].ScreenName);
			this.SetTextToTextDiv(i, status_list[i].Text);
			this.SetDateTimeToDatetimeDiv(i, this.GetNormalClockImageHtml() + " " 
											 + Util.ExtractMessage(status_list[i], status_list[i].CreatedAt));
			if(SearchMgr.GetCurrentIndex() == i)
			{
				if (status_list[i].Favorited) 
				{
					this.ShowStarImage(i);
					this.SetStarImageToStarImageDiv(i, this.STARIMAGE_HIGHLIGHT_IMG);
				}
				else
					this.HideStarImage(i);
				this.SetHighlightImageToListbox(i);
				this.SetHighlightImageToImageFrameDiv(i);
				this.SetHighlightClassToNameDiv(i);
				this.SetHighlightClassToTextDiv(i);
				
				this.SetHighlightClassToDatetimeDiv(i);
				this.SetDateTimeToDatetimeDiv(i, this.GetHighlightClockImageHtml() + " " 
											 + Util.ExtractMessage(status_list[i], status_list[i].CreatedAt));				
			}
			this.ShowList(i);
		}		
	}
	//this.Hide();
	//setTimeout(null,1000);
	//this.Show();
}
