var UITopics = 
{
	topics_div : null,
	topicbox_image_div : null,
	topicbox_text_div : null,
	title_div : null,
	list_highlight_div : Array(),
	list_text_div : Array(),
	message_div : null,
	
	TOPICBOX_NORMAL_IMAGE : "img/twitter_topic_box.png",
	TOPICBOX_HIGHLIGHT_IMAGE : "img/twitter_profile_highlight_box_1.png",
	TOPICBOX_IMAGE_WIDTH : 224,
	TOPICBOX_IMAGE_HEIGHT : 40,

	COUNT_IN_PAGE : 8
}
/*
 * <div id="TopicsDiv">
			<div id="TopicsDiv_Background_Image"></div>
			<div id="TopicsDiv_Mirror_Image"></div>
			<div id="TopicsDiv_TopicBox">
				<div id="TopicsDiv_TopicBox_Image"></div>
				<div id="TopicsDiv_TopicBox_Text"></div>
			</div>
			<div id="TopicsDiv_Title"></div>
			<div id="TopicsDiv_List_Background_Image"></div>
			<div id="TopicsDiv_List1">
				<div id="TopicsDiv_List1_Highlight"></div>
				<div id="TopicsDiv_List1_Text"></div>
			</div>
			<div id="TopicsDiv_List2">
				<div id="TopicsDiv_List2_Highlight"></div>
				<div id="TopicsDiv_List2_Text"></div>
			</div>
			<div id="TopicsDiv_List3">
				<div id="TopicsDiv_List3_Highlight"></div>
				<div id="TopicsDiv_List3_Text"></div>
			</div>
			<div id="TopicsDiv_List4">
				<div id="TopicsDiv_List4_Highlight"></div>
				<div id="TopicsDiv_List4_Text"></div>
			</div>
			<div id="TopicsDiv_List5">
				<div id="TopicsDiv_List5_Highlight"></div>
				<div id="TopicsDiv_List5_Text"></div>
			</div>
			<div id="TopicsDiv_List6">
				<div id="TopicsDiv_List6_Highlight"></div>
				<div id="TopicsDiv_List6_Text"></div>
			</div>
			<div id="TopicsDiv_List7">
				<div id="TopicsDiv_List7_Highlight"></div>
				<div id="TopicsDiv_List7_Text"></div>
			</div>
			<div id="TopicsDiv_List8">
				<div id="TopicsDiv_List8_Highlight"></div>
				<div id="TopicsDiv_List8_Text"></div>
			</div>
		</div>
 */
UITopics.Init = function()
{
	this.topics_div = document.getElementById("TopicsDiv");
	this.topicbox_image_div = document.getElementById("TopicsDiv_TopicBox_Image");
	this.topicbox_text_div = document.getElementById("TopicsDiv_TopicBox_Text");
	this.title_div = document.getElementById("TopicsDiv_Title");
	
	for(var i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.list_highlight_div[i] = document.getElementById("TopicsDiv_List" + (i+1) + "_Highlight");
		this.list_text_div[i] = document.getElementById("TopicsDiv_List" + (i+1) + "_Text");	
	}
	this.SetTitleText("* "+TWID_TRENDING_TOPICS);		
	this.SetTopicBoxText(SID_TOPIC_SEARCH);
}

UITopics.Show = function()
{
	this.topics_div.style.display = DISPLAY_BLOCK;
}

UITopics.Hide = function()
{
	this.topics_div.style.display = DISPLAY_NONE;
}

UITopics.Refresh = function()
{
	this.Hide();
	this.Show();
}



UITopics.HideListHighlight = function(index)
{
	this.list_highlight_div[index].style.display = DISPLAY_NONE;
}

UITopics.ShowListHighlight = function(index)
{
	this.list_highlight_div[index].style.display = DISPLAY_BLOCK;
}

UITopics.SetListText = function(index, text)
{
	widgetAPI.putInnerHTML(this.list_text_div[index], text);
}

UITopics.SetTopicBoxText = function(text)
{
	widgetAPI.putInnerHTML(this.topicbox_text_div, text);
}

UITopics.SetTitleText = function(text)
{
	widgetAPI.putInnerHTML(this.title_div, text);
}

UITopics.SetTopicBoxTextStyle = function(style)
{
	Util.SetClassToDiv(this.topicbox_text_div, style);
}

UITopics.DrawNormalTopicBox = function()
{
	Util.SetImageToDiv(this.topicbox_image_div, this.TOPICBOX_NORMAL_IMAGE, 
					   this.TOPICBOX_IMAGE_WIDTH, this.TOPICBOX_IMAGE_HEIGHT);	
}

UITopics.DrawHighlightTopicBox = function()
{
	Util.SetImageToDiv(this.topicbox_image_div, this.TOPICBOX_HIGHLIGHT_IMAGE, 
					   this.TOPICBOX_IMAGE_WIDTH, this.TOPICBOX_IMAGE_HEIGHT);	
}

UITopics.Display = function(topic_list)
{
	alert("UITopics.Display()");
	
	HelpNavigationMgr.ShowTopicsHelp();
	
	if (TopicsMgr.GetFocusLocation() == -1) 
	{
		this.DrawHighlightTopicBox();
		this.SetTopicBoxTextStyle("TopicsDiv_TopicBox_Highlight_Text_Style");
	}
	else 
	{
		this.DrawNormalTopicBox();
		this.SetTopicBoxTextStyle("TopicsDiv_TopicBox_Normal_Text_Style");
	}
		
	var i;
	for(i=0; i<this.COUNT_IN_PAGE; i++)
	{
		this.HideListHighlight(i);
		Util.SetClassToDiv(this.list_text_div[i], "TopicsDiv_List_Normal_Text_Style");
		this.SetListText(i, "");
		if (topic_list[i]) 
		{
			this.SetListText(i, topic_list[i].name);
			if (TopicsMgr.GetFocusLocation() == i) 
			{
				alert(TopicsMgr.GetFocusLocation() + " " + i);
				this.ShowListHighlight(i);
				Util.SetClassToDiv(this.list_text_div[i], "TopicsDiv_List_Highlight_Text_Style");
			}
		}
	}
	this.Refresh();
}
