function Consumer(pSetting) {

	var setting = pSetting;
	var eventListner = null;

	setting.tokenSecret = "";
	setting.actionMethod = "POST";

	this.authenticate = function(pUsername, pPassword, pEventListner) {
		setting.xAuthUsername = pUsername;
		setting.xAuthPassword = pPassword;
		setting.xAuthMode = "client_auth";

		eventListner = pEventListner;
   		getAccessToken();
	}

	function getAccessToken() {
		var parameters = [];
		parameters.push(["x_auth_username", setting.xAuthUsername]);
		parameters.push(["x_auth_password", setting.xAuthPassword]);
		parameters.push(["x_auth_mode", setting.xAuthMode]);
		setupRequest(setting.serviceProvider.accessTokenURL, parameters, callbackAccessToken);
	}

	function callbackAccessToken(pXHRObject) {
    // the response back from the twitter.com servers that contain the oauth
    // token and secret for the user
    alert('user tokens: ' + pXHRObject.responseText);

	}

	function setupRequest(pURL, pParameters, pCallback) {
		var parameterString = ''
	    for(var count=0;count<pParameters.length;count++) {
	      parameterString += pParameters[count][0] + '=' + pParameters[count][1] + '&';
	    }
	    parameterString = parameterString.substring(0,parameterString.length - 1);

		var oAccessor = {
			consumerSecret : setting.consumerSecret
			, consumerKey : setting.consumerKey
		}
		var oMessage = {
			action : pURL
			, method : setting.actionMethod
			, parameters : pParameters
		}

    	OAuth.completeRequest(oMessage, oAccessor);

		var XHRObject = NETSocket.getXMLHttpRequest();
		NETSocket.setURL(XHRObject, setting.actionMethod, pURL, "", pCallback, null);
	    NETSocket.setRequestHeader(XHRObject, "Content-type", "application/x-www-form-urlencoded;charset=utf-8");
	    NETSocket.setRequestHeader(XHRObject, "Authorization", OAuth.getAuthorizationHeader("https://twitter.com", oMessage.parameters));
		NETSocket.callURL(XHRObject,parameterString);
	}
}