//XMLHttpRequest의 wrapper

var XMLRequester =
{
	httpRequest : null,
	onreadystatechange : null,
	method : "",
	url : "",
	userid : "",
	password : "",
	/*senddata : null,*/
	onreceive : null,
	onbadreceive : null,
	additional_info : null,
	on401receive : null,
	on403receive : null,
	onerrorreceive : null,
	
	retry_count : 0,
	RETRY_MAX : 3, //401 실패시 재시도 횟수
	retry_async : true,
	
	XHRPoolObj : null
}

//XMLRequester 초기화
TwitterConsumer.Init = function(method, url, userid, password)
{
	alert("TwitterConsumer.Init()");
	this.method = method;
	this.url = url;
	
	//if(this.userid == null)
	//	this.userid = "";
	//else
	this.userid = userid;
	
	//if(this.password == null)
	//	this.password = "";
	//else
	this.password = password;
	this.XHRPoolObj = new XMLHttpRequestPool(3);
}
		
//XMLHttpRequest 객체 자체를 리턴
TwitterConsumer.GetXMLHttpRequest = function()
{
	alert("TwitterConsumer.GetXMLHttpRequest()");
	return this.httpRequest;
}

//onreadystatechange 이벤트 핸들러 설정
TwitterConsumer.SetOnReadyStateChange = function(onreadystatechange)
{
	alert("TwitterConsumer.SetOnReadyStateChange()");
	this.onreadystatechange = onreadystatechange;
}

//XMLHttpRequest.send()에 실어 보낼  데이터 설정
TwitterConsumer.SetSendMessage = function(data)
{
	alert("TwitterConsumer.SetSendMessage()");
	this.senddata = senddata;
}

//데이터를 성공적으로 받았을 때(200)의 콜백함수 설정
TwitterConsumer.SetOnReceive = function(func)
{
	alert("TwitterConsumer.SetOnReceive()");
	Test(func,null,"func가 null")
	this.onreceive = func;	
}

//잘못된 요구 일 때(400)의 콜백함수 설정
TwitterConsumer.SetOnBadReceive = function(func)
{
	alert("TwitterConsumer.SetOnBadReceive()");
	Test(func, null, "func가 null")
	this.onbadreceive = func;		
}

//잘못된 요구 일 때(401)의 콜백함수 설정
TwitterConsumer.SetOn401Receive = function(func)
{
	alert("TwitterConsumer.SetOn401Receive()");
	Test(func, null, "func가 null")
	this.on401receive = func;
}

//잘못된 요구 일 때(403)의 콜백함수 설정
TwitterConsumer.SetOn403Receive = function(func)
{
	alert("TwitterConsumer.SetOn403Receive()");
	Test(func, null, "func가 null")
	this.on403receive = func;
}

//에러 일 때의 콜백함수 설정
TwitterConsumer.SetOnErrorReceive = function(func)
{
	alert("TwitterConsumer.SetOnErrorReceive()");
	Test(func, null, "func가 null")
	this.onerrorreceive = func;
}


//데이터 요청
TwitterConsumer.Request = function(async)
{
	alert("TwitterConsumer.Request()");
	
	this.retry_async = async;
	if (async == null) 
	{
		async = true;
	}
	
	this.httpRequest = this.XHRPoolObj.getXHRObj();
	
	if (this.httpRequest) 
	{
		this.httpRequest.onreadystatechange = this.ReceiveXMLHttpResponse; 
		this.httpRequest.open(this.method, this.url, async, this.userid, this.password);
		//this.httpRequest.setRequestHeader("Authorization","Basic "+Util.EncodeBase64(this.userid+":"+this.password));
		//this.httpRequest.setRequestHeader("Authorization","Basic   "+document.crypt2.Encode(this.userid+":"+this.password,"base64"));
		//this.httpRequest.send(this.senddata);
		this.httpRequest.send();
	}
	
}

//XMLHttpRequest 객체를 삭제, 이 객체를 사용했으면 필수로 호출
TwitterConsumer.Destroy = function()
{
	alert("*****************************TwitterConsumer.Destroy()")
	if (this.httpRequest != null) 
	{
		alert("****************");
		this.httpRequest.destroy();
	}
}

TwitterConsumer.SetAdditionalInfo = function(info)
{
	this.additional_info = info;	
}

//요청에 대한 응답을 받는 핸들러	
TwitterConsumer.ReceiveXMLHttpResponse = function(e)
{	
	alert("TwitterConsumer.ReceiveXMLHttpResponse");
	
	if (TwitterConsumer.httpRequest.readyState == 4) 
	{
		//pluginAPI.setOnWatchDog();
		alert(TwitterConsumer.httpRequest.status);
//		alert(TwitterConsumer.httpRequest.responseText);
		if (TwitterConsumer.httpRequest.status == 200 || TwitterConsumer.httpRequest.status == 1011) 
		{
			Test(TwitterConsumer.onreceive, null, "this.onreceive가 null");
			alert("TwitterConsumer.ReceiveXMLHttpResponse 200");
			TwitterConsumer.retry_count = 0;
			if(TwitterConsumer.onreceive)
				TwitterConsumer.onreceive(TwitterConsumer.httpRequest, TwitterConsumer.additional_info);
			return;
		}
		else if(TwitterConsumer.httpRequest.status == 302) //redirection
		{
			TwitterConsumer.retry_count = 0;
			if(TwitterConsumer.onreceive)
				TwitterConsumer.onreceive(TwitterConsumer.httpRequest, TwitterConsumer.additional_info);
			return;
		}
		else if (TwitterConsumer.httpRequest.status == 400) 
		{
			RateLimitStatus.CheckRemainingRequest();
			
			Test(TwitterConsumer.onreceive, null, "this.onreceive가 null");
			alert("TwitterConsumer.ReceiveXMLHttpResponse 400");
			if(TwitterConsumer.onbadreceive)
				TwitterConsumer.onbadreceive(TwitterConsumer.httpRequest);
			return;
		}
		else if (TwitterConsumer.httpRequest.status == 401)
		{
			alert(ID);
			alert(PASSWORD);
			Test(TwitterConsumer.onreceive, null, "this.onreceive가 null");
			alert("TwitterConsumer.ReceiveXMLHttpResponse 401");
			
			//TwitterConsumer.Request();
			//TwitterConsumer.onbadreceive(TwitterConsumer.httpRequest);
			TwitterConsumer.retry_count++;
			if (TwitterConsumer.retry_count == TwitterConsumer.RETRY_MAX) 
			{
				alert("ㅋㅋㅋ");
				if(TwitterConsumer.onerrorreceive)
						TwitterConsumer.onerrorreceive(TwitterConsumer.httpRequest);
				if (TwitterConsumer.on401receive) 
				{
					TwitterConsumer.retry_count = 0;
					
					if(TwitterConsumer.on401receive)
						TwitterConsumer.on401receive(TwitterConsumer.httpRequest);
				}
			}
			else
			{
				TwitterConsumer.Request(TwitterConsumer.retry_async);
			}
			return;
		}
		else if(TwitterConsumer.httpRequest.status == 403)
		{
			Test(TwitterConsumer.onreceive, null, "this.onreceive가 null");
			alert("TwitterConsumer.ReceiveXMLHttpResponse 403");
			if(TwitterConsumer.onerrorreceive)
				TwitterConsumer.onerrorreceive(TwitterConsumer.httpRequest);
			return;
			//if(TwitterConsumer.on403receive)
			//	TwitterConsumer.on403receive(TwitterConsumer.httpRequest);
		}
		else
		{
			if(TwitterConsumer.onerrorreceive)
				TwitterConsumer.onerrorreceive(TwitterConsumer.httpRequest);
			return;
		}
		/*
		else if(TwitterConsumer.httpRequest.status == 901)
		{
			TwitterConsumer.Request(TwitterConsumer.retry_async);
		}
		*/
		//if(this.httpRequest != null)
		//	this.httpRequest.destroy();
	}
	else if(TwitterConsumer.httpRequest.readyState == 3)
	{
		//pluginAPI.setOffWatchDog();
	}
}